
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest1 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test001"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(5.298292365610485d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.3018019822761655d);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test002"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(27897.914186474914d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 486.91045699282256d);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test003"); }


    float f2 = org.apache.commons.math.util.FastMath.min(10.000001f, 1.0000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0000002f);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test004"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test005"); }


    float f2 = org.apache.commons.math.util.FastMath.max(10.000002f, 5.6E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.000002f);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test006"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex1 = complex0.sin();
    org.apache.commons.math.complex.Complex complex2 = complex1.acos();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test007"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.9619293111271657d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4994474954607064d);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test008"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.27870244104338554d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0390895693510367d);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test009"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(100.0d, 0.6324141749317367d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 100.0d);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test010"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(3.3761716627689415E10d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.3761716628E10d);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test011"); }


    double d2 = org.apache.commons.math.util.FastMath.log(0.5d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test012"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(562.5908713659215d, 0.7888691004120912d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 562.5914244447071d);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test013"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.7494537294032446d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8472365817182267d);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test014"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(100.0f, 0.5638901133613027d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 99.99999f);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test015"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(1.4210856E-14f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4210856E-14f);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test016"); }


    double d1 = org.apache.commons.math.util.FastMath.floor((-8.818341496687935d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-9.0d));

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test017"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test018"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(1.633123935319537E16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9586967629285477d));

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test019"); }


    int i2 = org.apache.commons.math.util.FastMath.max((-127), 127);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 127);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test020"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(5.298292365610486d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3842507050922375d);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test021"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex5 = complex3.multiply(0);
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str7 = complex6.toString();
    org.apache.commons.math.complex.Complex complex9 = complex6.divide(10.0d);
    org.apache.commons.math.complex.Complex complex10 = complex3.add(complex6);
    java.lang.String str11 = complex3.toString();
    org.apache.commons.math.complex.Complex complex13 = complex3.subtract(472.99170677017315d);
    // The following exception was thrown during execution in test generation
    try {
      java.util.List list15 = complex13.nthRoot((-46));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "(0.0, 0.0)"+ "'", str7.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "(0.0, 0.0)"+ "'", str11.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test022"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(8.255262617767077d, (-1.1646962223442412d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 8.337018542539381d);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test023"); }


    long long1 = org.apache.commons.math.util.FastMath.round(1.0684302966890729d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test024"); }


    double d2 = org.apache.commons.math.util.FastMath.log(1.7182818284590453d, 17.423254322194396d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5.279280537194312d);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test025"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex2 = complex0.tanh();
    org.apache.commons.math.complex.Complex complex3 = complex2.negate();
    org.apache.commons.math.complex.Complex complex4 = complex2.tanh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test026"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.0d, 2.2482497965321384d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.2482497965321384d);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test027"); }


    double d2 = org.apache.commons.math.util.FastMath.max(Double.NaN, (-1.059306170823243d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test028"); }


    float f2 = org.apache.commons.math.util.FastMath.max(5.877472E-38f, 6.776264E-21f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 6.776264E-21f);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test029"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(1.4994164853475962d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0713192425324237d);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test030"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    double d6 = complex5.abs();
    org.apache.commons.math.complex.Complex complex7 = complex5.negate();
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str9 = complex8.toString();
    org.apache.commons.math.complex.Complex complex11 = complex8.divide(10.0d);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str13 = complex12.toString();
    org.apache.commons.math.complex.Complex complex15 = complex12.divide(10.0d);
    org.apache.commons.math.complex.Complex complex16 = complex12.atan();
    double d17 = complex12.getReal();
    org.apache.commons.math.complex.Complex complex18 = complex11.divide(complex12);
    org.apache.commons.math.complex.Complex complex19 = complex18.sinh();
    org.apache.commons.math.complex.Complex complex20 = complex5.multiply(complex19);
    double d21 = complex5.abs();
    org.apache.commons.math.complex.Complex complex22 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str23 = complex22.toString();
    org.apache.commons.math.complex.Complex complex25 = complex22.divide(10.0d);
    org.apache.commons.math.complex.Complex complex26 = complex5.subtract(complex25);
    org.apache.commons.math.complex.Complex complex27 = complex5.reciprocal();
    org.apache.commons.math.complex.Complex complex28 = complex5.acos();
    org.apache.commons.math.complex.Complex complex29 = complex5.sin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "(0.0, 0.0)"+ "'", str9.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "(0.0, 0.0)"+ "'", str13.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "(0.0, 0.0)"+ "'", str23.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test031"); }


    double d2 = org.apache.commons.math.util.FastMath.min(2.718281828459045d, 30.33641479955664d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.718281828459045d);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test032"); }


    double d1 = org.apache.commons.math.util.FastMath.signum((-0.15893875707301755d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test033"); }


    float f2 = org.apache.commons.math.util.FastMath.max(1.3552527E-20f, 0.99999994f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.99999994f);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test034"); }


    int i2 = org.apache.commons.math.util.FastMath.min(0, 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test035"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.5942523830676013d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5598894600732733d);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test036"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.0713192425324237d, 0.6298504606588339d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0713192425324237d);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test037"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(8.898003867693388d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.0d);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test038"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(5.9604645E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 5.960465E-8f);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test039"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(1.1368683772161603E-13d, 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 7.450580596923828E-9d);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test040"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(2.3247449259825346d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test041"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(0.4016403234678432d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test042"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(1.1102230246251565E-16d, 0.206266504263706d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1102230246251565E-16d);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test043"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(6.098422370824876E-42d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0643754954817267E-43d);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test044"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test045"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(1.6155871E-27f, 8.255262617767077d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.6155873E-27f);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test046"); }


    int i1 = org.apache.commons.math.util.FastMath.abs((-4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 4);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test047"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh((-0.7853981633974483d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.8686709614860095d));

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test048"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)(-127), (java.lang.Number)0.5638901133613027d, true);
    java.lang.Throwable[] throwable_array5 = numberIsTooSmallException4.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test049"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(1.0973528874766536d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test050"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.4636476090008061d, (-1.059306170823243d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1563298270287616d);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test051"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(6.18808023963255d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.509178478658056d);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test052"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)571.4092128626095d);
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str5 = complex4.toString();
    org.apache.commons.math.complex.Complex complex7 = complex4.divide(10.0d);
    org.apache.commons.math.complex.Complex complex8 = complex4.atan();
    org.apache.commons.math.complex.Complex complex9 = complex4.sqrt();
    org.apache.commons.math.exception.util.Localizable localizable10 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException14 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable10, (java.lang.Number)1.0d, (java.lang.Number)1, true);
    boolean b15 = numberIsTooSmallException14.getBoundIsAllowed();
    boolean b16 = numberIsTooSmallException14.getBoundIsAllowed();
    boolean b17 = complex9.equals((java.lang.Object)numberIsTooSmallException14);
    java.lang.Throwable[] throwable_array18 = numberIsTooSmallException14.getSuppressed();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable3, (java.lang.Object[])throwable_array18);
    notPositiveException2.addSuppressed((java.lang.Throwable)mathIllegalArgumentException19);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str21 = mathIllegalArgumentException19.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "(0.0, 0.0)"+ "'", str5.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test053"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2((-0.9117339147869651d), (-3.620554677378942d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-2.8949002684197898d));

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test054"); }


    double d1 = org.apache.commons.math.util.FastMath.log(6.098422370824876E-42d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-94.9005437957542d));

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test055"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(5.960465E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 5.960465E-8f);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test056"); }


    double d1 = org.apache.commons.math.util.FastMath.sin((-0.3003315357936178d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.2958369186554349d));

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test057"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex3.cos();
    org.apache.commons.math.complex.Complex complex5 = complex3.sin();
    org.apache.commons.math.complex.Complex complex7 = complex3.pow(155.74607629780772d);
    org.apache.commons.math.complex.Complex complex8 = complex3.tan();
    org.apache.commons.math.complex.Complex complex9 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str10 = complex9.toString();
    org.apache.commons.math.complex.Complex complex12 = complex9.divide(10.0d);
    org.apache.commons.math.complex.Complex complex13 = complex9.sqrt();
    org.apache.commons.math.complex.Complex complex14 = complex13.sqrt();
    org.apache.commons.math.complex.Complex complex15 = complex3.divide(complex14);
    java.lang.String str16 = complex15.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "(0.0, 0.0)"+ "'", str10.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "(NaN, NaN)"+ "'", str16.equals("(NaN, NaN)"));

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test058"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    double d6 = complex5.abs();
    org.apache.commons.math.complex.Complex complex7 = complex5.negate();
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str9 = complex8.toString();
    org.apache.commons.math.complex.Complex complex11 = complex8.divide(10.0d);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str13 = complex12.toString();
    org.apache.commons.math.complex.Complex complex15 = complex12.divide(10.0d);
    org.apache.commons.math.complex.Complex complex16 = complex12.atan();
    double d17 = complex12.getReal();
    org.apache.commons.math.complex.Complex complex18 = complex11.divide(complex12);
    org.apache.commons.math.complex.Complex complex19 = complex18.sinh();
    org.apache.commons.math.complex.Complex complex20 = complex5.multiply(complex19);
    org.apache.commons.math.complex.Complex complex21 = complex19.cosh();
    org.apache.commons.math.complex.Complex complex23 = complex19.multiply(100);
    org.apache.commons.math.complex.Complex complex24 = complex19.exp();
    boolean b25 = complex24.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "(0.0, 0.0)"+ "'", str9.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "(0.0, 0.0)"+ "'", str13.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test059"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(1.5687425639732988d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 486.9104569928082d);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test060"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(0.0f, 17.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test061"); }


    long long1 = org.apache.commons.math.util.FastMath.abs(5L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 5L);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test062"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(0.8043329073114002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test063"); }


    int i2 = org.apache.commons.math.util.FastMath.min(127, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test064"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh((-0.5838256856389528d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5549061501729473d));

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test065"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(2.7501926809973805d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.7501926809973805d);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test066"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(0.9810483386931524d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test067"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(0.9717076235658828d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test068"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(5729.578500735815d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test069"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(0.99999994f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test070"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(0.4054651081081644d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.40546510810816444d);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test071"); }


    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.valueOf(1.0561710704371283d);
    org.apache.commons.math.complex.Complex complex2 = complex1.sqrt1z();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test072"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(10.000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 10.000001f);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test073"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.99999994f), number1, false);
    boolean b4 = numberIsTooSmallException3.getBoundIsAllowed();
    java.lang.Number number5 = numberIsTooSmallException3.getArgument();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext6 = numberIsTooSmallException3.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (-0.99999994f)+ "'", number5.equals((-0.99999994f)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test074"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.004068909791782042d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0040689210193623464d);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test075"); }


    double d2 = org.apache.commons.math.util.FastMath.log(472.9917067701732d, 0.6298504606588339d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.07505552985078214d));

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test076"); }


    int i2 = org.apache.commons.math.util.FastMath.min(16, 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 16);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test077"); }


    double d2 = org.apache.commons.math.util.FastMath.pow((-0.7799404488492867d), 0.0040689210193623464d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test078"); }


    long long2 = org.apache.commons.math.util.FastMath.max(0L, 3L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 3L);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test079"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex1 = complex0.asin();
    double d2 = complex0.getReal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test080"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.0d, 2.8421709430404007E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.8421709430404007E-14d);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test081"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex2 = complex0.tanh();
    org.apache.commons.math.complex.Complex complex4 = complex2.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str6 = complex5.toString();
    org.apache.commons.math.complex.Complex complex8 = complex5.divide(10.0d);
    org.apache.commons.math.complex.Complex complex9 = complex5.sqrt();
    org.apache.commons.math.complex.Complex complex10 = complex9.sqrt();
    org.apache.commons.math.complex.Complex complex11 = complex4.divide(complex9);
    org.apache.commons.math.complex.Complex complex12 = complex4.negate();
    org.apache.commons.math.complex.Complex complex13 = complex4.sinh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "(0.0, 0.0)"+ "'", str6.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test082"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.0d, 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test083"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException2 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, obj_array1);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test084"); }


    double d2 = org.apache.commons.math.util.FastMath.pow((-2.3255682831178905d), (-1.2742906661628783d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test085"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.0d, 7.610125138662287d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test086"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.6324141749317367d, 1.0390895693510367d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5467360837388863d);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test087"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException10 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable6, (java.lang.Number)1.0d, (java.lang.Number)1, true);
    boolean b11 = numberIsTooSmallException10.getBoundIsAllowed();
    boolean b12 = numberIsTooSmallException10.getBoundIsAllowed();
    boolean b13 = complex5.equals((java.lang.Object)numberIsTooSmallException10);
    org.apache.commons.math.exception.NotPositiveException notPositiveException15 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)0.043779429008038606d);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext16 = notPositiveException15.getContext();
    numberIsTooSmallException10.addSuppressed((java.lang.Throwable)notPositiveException15);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str18 = numberIsTooSmallException10.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext16);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test088"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(2.324744925982534d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test089"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test090"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(1.0684302966890729d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test091"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(5.6E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4E-45f);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test092"); }


    double d2 = org.apache.commons.math.util.FastMath.log(0.4054651081081644d, 5.298292365610485d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.8470663458581498d));

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test093"); }


    org.apache.commons.math.complex.Complex complex1 = new org.apache.commons.math.complex.Complex(0.9442157056960554d);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test094"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(0.99999994f, (-43));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.1368683E-13f);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test095"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str2 = complex1.toString();
    org.apache.commons.math.complex.Complex complex4 = complex1.divide(10.0d);
    org.apache.commons.math.complex.Complex complex5 = complex1.sqrt();
    org.apache.commons.math.complex.Complex complex6 = complex5.sqrt();
    org.apache.commons.math.complex.Complex complex7 = complex0.pow(complex5);
    org.apache.commons.math.complex.Complex complex8 = complex5.sin();
    // The following exception was thrown during execution in test generation
    try {
      java.util.List list10 = complex5.nthRoot((-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "(0.0, 0.0)"+ "'", str2.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test096"); }


    float f2 = org.apache.commons.math.util.FastMath.min(0.0f, 0.99999994f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test097"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.7320611188953036d, 572.9577951308233d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 572.9577951308233d);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test098"); }


    long long2 = org.apache.commons.math.util.FastMath.min(5L, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test099"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(12.206072645590039d, 0.9640275800758169d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 12.244082595464972d);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test100"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(0.6298504606588339d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test101"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(1.5079075814430074d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.906567021658158d);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test102"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex2 = complex0.divide(23.7189981105004d);
    org.apache.commons.math.complex.Complex complex3 = complex2.atan();
    double d4 = complex3.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.04213534355718506d);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test103"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp((-3.620554677378942d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-3.6205546773789417d));

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test104"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(0.40546510810816444d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5d);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test105"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.23843993779997755d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.23618699012423314d);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test106"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(8.337018542539381d, 1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.4830369085648982d);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test107"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(0.004068909791782042d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.23313135828856557d);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test108"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(1.192093E-7f, 12.206072645590039d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.1920932E-7f);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test109"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test110"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.9857523134976062d, 7.450580596923828E-9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.570796319236628d);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test111"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(1.5079075814430074d, 5.279280537194312d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 8.743598617579881d);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test112"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(10.000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 10.000002f);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test113"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(0.20926878881659672d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2327763104874101d);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test114"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(0.6878042196470536d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7433319723196464d);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test115"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(0.4830369085648982d, 0.6324141749317367d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.14937726636683846d));

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test116"); }


    int i1 = org.apache.commons.math.util.FastMath.round(99.99999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test117"); }


    double d2 = org.apache.commons.math.util.FastMath.min(562.5908713659215d, 100.00000958932033d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 100.00000958932033d);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test118"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.5d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5d);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test119"); }


    long long2 = org.apache.commons.math.util.FastMath.max(100L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test120"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.27682028313567125d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2732983724693881d);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test121"); }


    int i1 = org.apache.commons.math.util.FastMath.abs((-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test122"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(0.4054651081081644d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5d);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test123"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh((-151.3992618007532d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test124"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.2732983724693881d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2699088553971d);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test125"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(0.4636476090008061d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5898626184376445d);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test126"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    org.apache.commons.math.complex.Complex complex1 = complex0.cos();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test127"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.8043329073114002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.666452139851179d);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test128"); }


    double d2 = org.apache.commons.math.util.FastMath.max((-0.2433191398503863d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test129"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(1.1461665536423291d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test130"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.6298504606588339d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8571940551507987d);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test131"); }


    double d2 = org.apache.commons.math.util.FastMath.log(1.633123935319537E16d, 0.19127615195887154d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.0443063174997841d));

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test132"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(0.1439924411155437d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0025131421954502947d);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test133"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    double d6 = complex5.abs();
    org.apache.commons.math.complex.Complex complex7 = complex5.negate();
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str9 = complex8.toString();
    org.apache.commons.math.complex.Complex complex11 = complex8.divide(10.0d);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str13 = complex12.toString();
    org.apache.commons.math.complex.Complex complex15 = complex12.divide(10.0d);
    org.apache.commons.math.complex.Complex complex16 = complex12.atan();
    double d17 = complex12.getReal();
    org.apache.commons.math.complex.Complex complex18 = complex11.divide(complex12);
    org.apache.commons.math.complex.Complex complex19 = complex18.sinh();
    org.apache.commons.math.complex.Complex complex20 = complex5.multiply(complex19);
    org.apache.commons.math.complex.Complex complex21 = complex20.log();
    org.apache.commons.math.complex.Complex complex22 = complex20.cosh();
    org.apache.commons.math.complex.Complex complex23 = complex20.atan();
    org.apache.commons.math.complex.Complex complex24 = complex20.reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "(0.0, 0.0)"+ "'", str9.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "(0.0, 0.0)"+ "'", str13.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test134"); }


    long long2 = org.apache.commons.math.util.FastMath.max(0L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test135"); }


    double d2 = org.apache.commons.math.util.FastMath.pow((-1.059306170823243d), (-1.1646962223442414d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test136"); }


    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.valueOf(0.7584597774815581d, 100.00000958932033d);
    org.apache.commons.math.complex.Complex complex3 = complex2.asin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test137"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(1.3552529E-20f, 1.3552529E-20f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.3552529E-20f);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test138"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex2 = complex0.tanh();
    org.apache.commons.math.complex.Complex complex3 = complex2.negate();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str5 = complex4.toString();
    org.apache.commons.math.complex.Complex complex6 = complex4.tanh();
    org.apache.commons.math.complex.Complex complex8 = complex6.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex9 = complex2.divide(complex8);
    org.apache.commons.math.complex.Complex complex10 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex12 = complex10.divide(23.7189981105004d);
    org.apache.commons.math.complex.Complex complex13 = complex9.add(complex12);
    org.apache.commons.math.complex.Complex complex14 = complex13.tanh();
    org.apache.commons.math.complex.Complex complex15 = complex13.cos();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "(0.0, 0.0)"+ "'", str5.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test139"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(11.512925464970229d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 11.0d);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test140"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(0.5942523830676013d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 34.048153515365016d);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test141"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(0.6711409035604262d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9564681893139935d);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test142"); }


    float f2 = org.apache.commons.math.util.FastMath.min(1.0000002f, 1.1368685E-13f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.1368685E-13f);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test143"); }


    double d1 = org.apache.commons.math.util.FastMath.log10((-0.1989984043539292d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test144"); }


    float f2 = org.apache.commons.math.util.FastMath.max(2.8E-45f, 1.6155871E-27f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.6155871E-27f);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test145"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)(-46), (java.lang.Number)1.0643754954817267E-43d, true);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test146"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder((-0.5549061501729473d), 0.9857523134976062d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.43084616332465886d);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test147"); }


    int i2 = org.apache.commons.math.util.FastMath.max((-4), 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test148"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(9.999999999999987E9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 23.7189981105004d);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test149"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex2 = complex0.tanh();
    org.apache.commons.math.complex.Complex complex4 = complex2.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex5 = complex2.sinh();
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str7 = complex6.toString();
    org.apache.commons.math.complex.Complex complex8 = complex6.tanh();
    org.apache.commons.math.complex.Complex complex10 = complex8.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex11 = complex8.sinh();
    boolean b12 = complex5.equals((java.lang.Object)complex11);
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str14 = complex13.toString();
    org.apache.commons.math.complex.Complex complex15 = complex13.tanh();
    org.apache.commons.math.complex.Complex complex16 = complex15.negate();
    org.apache.commons.math.complex.Complex complex17 = complex11.divide(complex16);
    org.apache.commons.math.complex.Complex complex18 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str19 = complex18.toString();
    org.apache.commons.math.complex.Complex complex21 = complex18.divide(10.0d);
    org.apache.commons.math.complex.Complex complex22 = complex18.atan();
    org.apache.commons.math.complex.Complex complex23 = complex17.pow(complex18);
    org.apache.commons.math.complex.Complex complex25 = complex17.pow((-0.0d));
    java.lang.String str26 = complex25.toString();
    org.apache.commons.math.complex.Complex complex28 = complex25.pow(1.570796319236628d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "(0.0, 0.0)"+ "'", str7.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "(0.0, 0.0)"+ "'", str14.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "(0.0, 0.0)"+ "'", str19.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "(NaN, NaN)"+ "'", str26.equals("(NaN, NaN)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test150"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(100.0f, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 102400.0f);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test151"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.9015687974747479d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1233820640473444d);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test152"); }


    float f2 = org.apache.commons.math.util.FastMath.min(1.6155873E-27f, 102400.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.6155873E-27f);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test153"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.sqrt();
    org.apache.commons.math.complex.Complex complex5 = complex4.atan();
    org.apache.commons.math.complex.Complex complex6 = complex4.atan();
    org.apache.commons.math.complex.Complex complex7 = complex4.sqrt();
    org.apache.commons.math.complex.Complex complex8 = complex4.log();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test154"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh((-0.1989984043539292d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.20031440893866512d));

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test155"); }


    int i2 = org.apache.commons.math.util.FastMath.max((-43), 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test156"); }


    org.apache.commons.math.complex.Complex complex1 = new org.apache.commons.math.complex.Complex(1.2352049125074833d);
    org.apache.commons.math.complex.Complex complex2 = complex1.sin();
    org.apache.commons.math.complex.Complex complex3 = complex1.atan();
    boolean b4 = complex1.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test157"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh((-0.7853981633974483d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7212254887267799d));

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test158"); }


    long long2 = org.apache.commons.math.util.FastMath.max((-1L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test159"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(1.5690462692939164d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.027385023515312447d);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test160"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.0d, 3.2075721022576458d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test161"); }


    float f2 = org.apache.commons.math.util.FastMath.max(1.1368684E-13f, 2.8E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.1368684E-13f);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test162"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.19611987703015266d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test163"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)0.9954809208505304d);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test164"); }


    double d2 = org.apache.commons.math.util.FastMath.log(0.19127615195887152d, 0.9810483386931524d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.011567785282685778d);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test165"); }


    double d1 = org.apache.commons.math.util.FastMath.exp((-0.3003315357936178d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7405726536343799d);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test166"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str5 = complex4.toString();
    org.apache.commons.math.complex.Complex complex7 = complex4.divide(10.0d);
    org.apache.commons.math.complex.Complex complex8 = complex4.atan();
    double d9 = complex4.getReal();
    org.apache.commons.math.complex.Complex complex10 = complex3.divide(complex4);
    org.apache.commons.math.complex.Complex complex11 = complex4.tan();
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str13 = complex12.toString();
    org.apache.commons.math.complex.Complex complex14 = complex12.tanh();
    org.apache.commons.math.complex.Complex complex16 = complex14.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex17 = complex14.sinh();
    boolean b18 = complex17.isInfinite();
    org.apache.commons.math.complex.Complex complex19 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str20 = complex19.toString();
    org.apache.commons.math.complex.Complex complex22 = complex19.divide(10.0d);
    org.apache.commons.math.complex.Complex complex23 = complex22.cos();
    org.apache.commons.math.complex.Complex complex24 = complex22.sin();
    org.apache.commons.math.complex.Complex complex26 = complex22.pow(155.74607629780772d);
    org.apache.commons.math.complex.Complex complex27 = complex17.add(complex22);
    org.apache.commons.math.complex.Complex complex28 = complex11.divide(complex17);
    org.apache.commons.math.complex.Complex complex29 = complex11.sqrt();
    org.apache.commons.math.complex.Complex complex30 = complex29.tan();
    org.apache.commons.math.complex.Complex complex31 = complex29.tan();
    org.apache.commons.math.complex.Complex complex32 = complex29.tanh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "(0.0, 0.0)"+ "'", str5.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "(0.0, 0.0)"+ "'", str13.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "(0.0, 0.0)"+ "'", str20.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test167"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex5 = complex3.multiply(0);
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.ZERO;
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str8 = complex7.toString();
    org.apache.commons.math.complex.Complex complex10 = complex7.divide(10.0d);
    org.apache.commons.math.complex.Complex complex11 = complex7.sqrt();
    org.apache.commons.math.complex.Complex complex12 = complex11.sqrt();
    org.apache.commons.math.complex.Complex complex13 = complex6.pow(complex11);
    org.apache.commons.math.complex.Complex complex14 = complex3.add(complex13);
    boolean b15 = complex3.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "(0.0, 0.0)"+ "'", str8.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test168"); }


    long long2 = org.apache.commons.math.util.FastMath.max(5L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 5L);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test169"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex2 = complex0.tanh();
    org.apache.commons.math.complex.Complex complex3 = complex2.negate();
    org.apache.commons.math.complex.Complex complex4 = complex3.tanh();
    java.lang.String str5 = complex3.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "(-0.0, -0.0)"+ "'", str5.equals("(-0.0, -0.0)"));

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test170"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test171"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter((-1.0f), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.99999994f));

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test172"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.0d, (-0.2433191398503863d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test173"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    double d6 = complex5.abs();
    org.apache.commons.math.complex.Complex complex7 = complex5.negate();
    org.apache.commons.math.complex.Complex complex9 = complex5.pow((-1.0d));
    org.apache.commons.math.complex.Complex complex10 = complex9.reciprocal();
    org.apache.commons.math.complex.Complex complex12 = complex10.multiply(0.0d);
    org.apache.commons.math.complex.Complex complex14 = complex12.add(2.2482497965321384d);
    double d15 = complex14.getReal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test174"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(6.7762636E-21f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 8.0779357E-28f);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test175"); }


    float f2 = org.apache.commons.math.util.FastMath.min(1.1920929E-7f, 0.99999994f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.1920929E-7f);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test176"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(0.19611987703015266d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test177"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(0.0f, 20.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test178"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(3.2075721022576458d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.268583683740982d);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test179"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh((-151.3992618007532d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test180"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(10.000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 10.000003f);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test181"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(11.512925464970229d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 11.51292546497023d);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test182"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot((-0.9891437136247581d), (-1.1646962223442412d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.528045345055677d);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test183"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(9.999999999999987E9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2154.434690031883d);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test184"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(99.99999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 100.0f);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test185"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.9619293111271657d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test186"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(5729.578500735815d, 1.0E10d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0000000000001642E10d);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test187"); }


    int i2 = org.apache.commons.math.util.FastMath.max(0, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test188"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.19127615195887154d, 11.51292546497023d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 11.514514289724433d);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test189"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(7.450580596923828E-9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.300371626015253E-10d);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test190"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(5.8774723E-38f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test191"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    double d6 = complex5.abs();
    org.apache.commons.math.complex.Complex complex7 = complex5.negate();
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str9 = complex8.toString();
    org.apache.commons.math.complex.Complex complex11 = complex8.divide(10.0d);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str13 = complex12.toString();
    org.apache.commons.math.complex.Complex complex15 = complex12.divide(10.0d);
    org.apache.commons.math.complex.Complex complex16 = complex12.atan();
    double d17 = complex12.getReal();
    org.apache.commons.math.complex.Complex complex18 = complex11.divide(complex12);
    org.apache.commons.math.complex.Complex complex19 = complex18.sinh();
    org.apache.commons.math.complex.Complex complex20 = complex5.multiply(complex19);
    double d21 = complex5.abs();
    org.apache.commons.math.complex.Complex complex22 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str23 = complex22.toString();
    org.apache.commons.math.complex.Complex complex25 = complex22.divide(10.0d);
    org.apache.commons.math.complex.Complex complex26 = complex5.subtract(complex25);
    org.apache.commons.math.complex.Complex complex27 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str28 = complex27.toString();
    org.apache.commons.math.complex.Complex complex30 = complex27.divide(10.0d);
    org.apache.commons.math.complex.Complex complex31 = complex27.atan();
    org.apache.commons.math.complex.Complex complex32 = complex27.sqrt();
    double d33 = complex32.abs();
    org.apache.commons.math.complex.Complex complex34 = complex32.negate();
    org.apache.commons.math.complex.Complex complex36 = complex32.pow((-1.0d));
    org.apache.commons.math.complex.Complex complex37 = complex36.reciprocal();
    double d38 = complex36.getReal();
    org.apache.commons.math.complex.Complex complex39 = complex25.add(complex36);
    org.apache.commons.math.complex.Complex complex40 = complex36.log();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "(0.0, 0.0)"+ "'", str9.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "(0.0, 0.0)"+ "'", str13.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "(0.0, 0.0)"+ "'", str23.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "(0.0, 0.0)"+ "'", str28.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d38, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex40);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test192"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(0.004068909791782042d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test193"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str3 = complex2.toString();
    org.apache.commons.math.complex.Complex complex5 = complex2.divide(10.0d);
    org.apache.commons.math.complex.Complex complex6 = complex2.atan();
    org.apache.commons.math.complex.Complex complex7 = complex2.sqrt();
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException12 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable8, (java.lang.Number)1.0d, (java.lang.Number)1, true);
    boolean b13 = numberIsTooSmallException12.getBoundIsAllowed();
    boolean b14 = numberIsTooSmallException12.getBoundIsAllowed();
    boolean b15 = complex7.equals((java.lang.Object)numberIsTooSmallException12);
    java.lang.Throwable[] throwable_array16 = numberIsTooSmallException12.getSuppressed();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException17 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable1, (java.lang.Object[])throwable_array16);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException18 = new org.apache.commons.math.exception.NullArgumentException(localizable0, (java.lang.Object[])throwable_array16);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str19 = nullArgumentException18.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "(0.0, 0.0)"+ "'", str3.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test194"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(0.0f, 1.6155871E-27f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test195"); }


    int i2 = org.apache.commons.math.util.FastMath.max(0, (-8));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test196"); }


    org.apache.commons.math.complex.Complex complex1 = new org.apache.commons.math.complex.Complex(0.6711409035604262d);
    double d2 = complex1.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6711409035604262d);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test197"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(0.4636476090008061d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.33381197550235236d));

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test198"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(100.00000958932033d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 100.00000958932034d);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test199"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(0.5910937589642483d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test200"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(0.7494537294032446d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7494537294032446d);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test201"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.99999994f), number1, false);
    boolean b4 = numberIsTooSmallException3.getBoundIsAllowed();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext5 = numberIsTooSmallException3.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test202"); }


    double d1 = org.apache.commons.math.util.FastMath.rint((-88.02969193111305d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-88.0d));

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test203"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.5090052002716081d, 2.8421709430404007E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9999999999999808d);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test204"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(1.1368683772161603E-13d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test205"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh((-0.5838256856389528d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.6682471609862244d));

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test206"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(5.298292365610485d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test207"); }


    long long2 = org.apache.commons.math.util.FastMath.min((-1L), 3L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1L));

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test208"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException6 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable2, (java.lang.Number)1.0d, (java.lang.Number)1, true);
    java.lang.Throwable[] throwable_array7 = numberIsTooSmallException6.getSuppressed();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable1, (java.lang.Object[])throwable_array7);
    java.lang.Throwable[] throwable_array9 = mathIllegalArgumentException8.getSuppressed();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test209"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.8571940551507987d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6948091529267435d);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test210"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(4.9E-324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test211"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(1.1368683772161603E-13d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.5243548967072378E-29d);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test212"); }


    long long2 = org.apache.commons.math.util.FastMath.max(100L, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test213"); }


    long long1 = org.apache.commons.math.util.FastMath.abs(1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test214"); }


    float f2 = org.apache.commons.math.util.FastMath.min(6.776264E-21f, 1.0000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 6.776264E-21f);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test215"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex3.cos();
    org.apache.commons.math.complex.Complex complex5 = complex3.sin();
    org.apache.commons.math.complex.Complex complex7 = complex3.pow(155.74607629780772d);
    org.apache.commons.math.complex.Complex complex8 = complex3.tan();
    org.apache.commons.math.complex.Complex complex9 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str10 = complex9.toString();
    org.apache.commons.math.complex.Complex complex12 = complex9.divide(10.0d);
    org.apache.commons.math.complex.Complex complex13 = complex9.sqrt();
    org.apache.commons.math.complex.Complex complex14 = complex13.sqrt();
    org.apache.commons.math.complex.Complex complex15 = complex3.divide(complex14);
    double d16 = complex15.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "(0.0, 0.0)"+ "'", str10.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test216"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    double d6 = complex5.abs();
    org.apache.commons.math.complex.Complex complex7 = complex5.negate();
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str9 = complex8.toString();
    org.apache.commons.math.complex.Complex complex11 = complex8.divide(10.0d);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str13 = complex12.toString();
    org.apache.commons.math.complex.Complex complex15 = complex12.divide(10.0d);
    org.apache.commons.math.complex.Complex complex16 = complex12.atan();
    double d17 = complex12.getReal();
    org.apache.commons.math.complex.Complex complex18 = complex11.divide(complex12);
    org.apache.commons.math.complex.Complex complex19 = complex18.sinh();
    org.apache.commons.math.complex.Complex complex20 = complex5.multiply(complex19);
    org.apache.commons.math.complex.Complex complex21 = complex5.sqrt1z();
    org.apache.commons.math.complex.Complex complex22 = complex5.sin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "(0.0, 0.0)"+ "'", str9.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "(0.0, 0.0)"+ "'", str13.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test217"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex2 = complex0.tanh();
    org.apache.commons.math.complex.Complex complex4 = complex2.pow(303.5697911758657d);
    boolean b5 = complex2.isNaN();
    org.apache.commons.math.complex.Complex complex6 = complex2.tanh();
    double d7 = complex2.getImaginary();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test218"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot((-0.6792955392460595d), 5.877471754111439E-39d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6792955392460595d);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test219"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.0d, 2.8421709430404007E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.9E-324d);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test220"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign((-1.1646962223442412d), 23.7189981105004d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1646962223442412d);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test221"); }


    float f2 = org.apache.commons.math.util.FastMath.max(10.0f, 1.0000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test222"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(1.3214140867669402d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test223"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test224"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    double d6 = complex5.abs();
    org.apache.commons.math.complex.Complex complex7 = complex5.negate();
    org.apache.commons.math.complex.Complex complex9 = complex5.pow((-1.0d));
    org.apache.commons.math.complex.Complex complex10 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str11 = complex10.toString();
    org.apache.commons.math.complex.Complex complex13 = complex10.divide(10.0d);
    org.apache.commons.math.complex.Complex complex14 = complex10.atan();
    org.apache.commons.math.complex.Complex complex15 = complex9.multiply(complex10);
    java.lang.String str16 = complex15.toString();
    org.apache.commons.math.complex.Complex complex17 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str18 = complex17.toString();
    org.apache.commons.math.complex.Complex complex20 = complex17.divide(10.0d);
    org.apache.commons.math.complex.Complex complex22 = complex20.multiply(0);
    org.apache.commons.math.complex.Complex complex23 = org.apache.commons.math.complex.Complex.ZERO;
    org.apache.commons.math.complex.Complex complex24 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str25 = complex24.toString();
    org.apache.commons.math.complex.Complex complex27 = complex24.divide(10.0d);
    org.apache.commons.math.complex.Complex complex28 = complex24.sqrt();
    org.apache.commons.math.complex.Complex complex29 = complex28.sqrt();
    org.apache.commons.math.complex.Complex complex30 = complex23.pow(complex28);
    org.apache.commons.math.complex.Complex complex31 = complex20.add(complex30);
    org.apache.commons.math.complex.Complex complex32 = complex15.subtract(complex20);
    org.apache.commons.math.complex.Complex complex34 = complex32.pow(1.6577230712881387E-41d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "(0.0, 0.0)"+ "'", str11.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "(NaN, NaN)"+ "'", str16.equals("(NaN, NaN)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "(0.0, 0.0)"+ "'", str18.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "(0.0, 0.0)"+ "'", str25.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex34);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test225"); }


    int i2 = org.apache.commons.math.util.FastMath.max((-46), 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test226"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.4016403234678432d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.551115123125783E-17d);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test227"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(0.6298504606588339d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7288857185142362d);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test228"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(2.642452923762922d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 151.4014000936201d);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test229"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(11.51292546497023d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.138498341311953d);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test230"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh((-0.2433191398503863d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.23862835562346357d));

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test231"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    double d6 = complex5.abs();
    org.apache.commons.math.complex.Complex complex7 = complex5.negate();
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str9 = complex8.toString();
    org.apache.commons.math.complex.Complex complex11 = complex8.divide(10.0d);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str13 = complex12.toString();
    org.apache.commons.math.complex.Complex complex15 = complex12.divide(10.0d);
    org.apache.commons.math.complex.Complex complex16 = complex12.atan();
    double d17 = complex12.getReal();
    org.apache.commons.math.complex.Complex complex18 = complex11.divide(complex12);
    org.apache.commons.math.complex.Complex complex19 = complex18.sinh();
    org.apache.commons.math.complex.Complex complex20 = complex5.multiply(complex19);
    double d21 = complex5.abs();
    org.apache.commons.math.complex.Complex complex22 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str23 = complex22.toString();
    org.apache.commons.math.complex.Complex complex25 = complex22.divide(10.0d);
    org.apache.commons.math.complex.Complex complex26 = complex5.subtract(complex25);
    org.apache.commons.math.complex.Complex complex27 = complex25.cosh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "(0.0, 0.0)"+ "'", str9.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "(0.0, 0.0)"+ "'", str13.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "(0.0, 0.0)"+ "'", str23.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test232"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(0.9954535513251116d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0019789996986699144d));

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test233"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(1.9999999999999973E10d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 24.412145291060344d);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test234"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(0.09539284973523542d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.09539284973523542d);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test235"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(9.536743E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test236"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(9.999999999999987E9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 33);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test237"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    double d6 = complex5.abs();
    org.apache.commons.math.complex.Complex complex7 = complex5.negate();
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str9 = complex8.toString();
    org.apache.commons.math.complex.Complex complex11 = complex8.divide(10.0d);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str13 = complex12.toString();
    org.apache.commons.math.complex.Complex complex15 = complex12.divide(10.0d);
    org.apache.commons.math.complex.Complex complex16 = complex12.atan();
    double d17 = complex12.getReal();
    org.apache.commons.math.complex.Complex complex18 = complex11.divide(complex12);
    org.apache.commons.math.complex.Complex complex19 = complex18.sinh();
    org.apache.commons.math.complex.Complex complex20 = complex5.multiply(complex19);
    double d21 = complex5.abs();
    org.apache.commons.math.complex.Complex complex22 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str23 = complex22.toString();
    org.apache.commons.math.complex.Complex complex25 = complex22.divide(10.0d);
    org.apache.commons.math.complex.Complex complex26 = complex5.subtract(complex25);
    double d27 = complex26.getArgument();
    org.apache.commons.math.complex.Complex complex29 = complex26.divide(0.0d);
    org.apache.commons.math.complex.Complex complex31 = complex26.add(0.7328188267635404d);
    org.apache.commons.math.complex.ComplexField complexField32 = complex26.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "(0.0, 0.0)"+ "'", str9.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "(0.0, 0.0)"+ "'", str13.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "(0.0, 0.0)"+ "'", str23.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField32);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test238"); }


    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.valueOf(11.512925464970229d, (-1.059306170823243d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test239"); }


    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.valueOf(3.3761716627689415E10d, 24.412145291060344d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test240"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(1.633123935319537E16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 38.025003373828866d);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test241"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(5.877472E-38f, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.938736E-38f);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test242"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex2 = complex0.tanh();
    org.apache.commons.math.complex.Complex complex3 = complex2.sinh();
    org.apache.commons.math.complex.Complex complex4 = complex3.tanh();
    org.apache.commons.math.complex.Complex complex5 = complex3.exp();
    java.util.List list7 = complex5.nthRoot(100);
    org.apache.commons.math.complex.Complex complex8 = complex5.sin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test243"); }


    double d2 = org.apache.commons.math.util.FastMath.max(2.7501926809973805d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.7501926809973805d);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test244"); }


    double d2 = org.apache.commons.math.util.FastMath.min((-9.0d), (-2.3255682831178905d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-9.0d));

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test245"); }


    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.valueOf(0.6711409035604262d, 6.188080239632552d);
    org.apache.commons.math.complex.Complex complex3 = complex2.cos();
    org.apache.commons.math.complex.Complex complex5 = complex3.divide(0.0d);
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str7 = complex6.toString();
    org.apache.commons.math.complex.Complex complex8 = complex6.tanh();
    org.apache.commons.math.complex.Complex complex9 = complex8.sinh();
    org.apache.commons.math.complex.Complex complex10 = complex9.tanh();
    org.apache.commons.math.complex.Complex complex11 = complex9.exp();
    org.apache.commons.math.complex.Complex complex12 = complex3.divide(complex11);
    double d13 = complex12.getImaginary();
    org.apache.commons.math.complex.Complex complex14 = complex12.asin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "(0.0, 0.0)"+ "'", str7.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == (-151.3992618007532d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test246"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(0.5898626184376445d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test247"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, number1, (java.lang.Number)100000.0d, false);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext5 = numberIsTooSmallException4.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test248"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(1.300371626015253E-10d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.300371626015253E-10d);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test249"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(1.7182818284590453d, 0.4636476090008061d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.13630860754417906d));

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test250"); }


    org.apache.commons.math.complex.Complex complex1 = new org.apache.commons.math.complex.Complex(7.610125138662287d);
    org.apache.commons.math.complex.Complex complex3 = complex1.subtract(24.412145291060344d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test251"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(1.1920929E-7f, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.1920928E-7f);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test252"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(3.399216241149525E248d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.399216241149525E248d);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test253"); }


    float f2 = org.apache.commons.math.util.FastMath.max((-0.99999994f), 102400.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 102400.0f);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test254"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.sqrt();
    double d5 = complex0.getImaginary();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test255"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(1.0000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0000004f);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test256"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh((-5.863230431669847d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-175.92806217526356d));

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test257"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3956124250860895d);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test258"); }


    double d1 = org.apache.commons.math.util.FastMath.asin((-0.5549061501729473d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5882501498161081d));

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test259"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(27897.914186474914d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test260"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test261"); }


    double d1 = org.apache.commons.math.util.FastMath.log(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.605170185988092d);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test262"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(1.5079075814430074d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.998023154517277d);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test263"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(0.8043329073114002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8043329073114002d);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test264"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(1.1447298858494004d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test265"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)0.8043329073114001d);
    boolean b2 = notPositiveException1.getBoundIsAllowed();
    java.lang.Number number4 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException6 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.99999994f), number4, false);
    boolean b7 = numberIsTooSmallException6.getBoundIsAllowed();
    java.lang.Number number8 = numberIsTooSmallException6.getArgument();
    java.lang.Throwable[] throwable_array9 = numberIsTooSmallException6.getSuppressed();
    notPositiveException1.addSuppressed((java.lang.Throwable)numberIsTooSmallException6);
    java.lang.Number number11 = numberIsTooSmallException6.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + (-0.99999994f)+ "'", number8.equals((-0.99999994f)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + (-0.99999994f)+ "'", number11.equals((-0.99999994f)));

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test266"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.99999994f), number1, false);
    boolean b4 = numberIsTooSmallException3.getBoundIsAllowed();
    java.lang.Number number5 = numberIsTooSmallException3.getArgument();
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException8 = new org.apache.commons.math.exception.NotPositiveException(localizable6, (java.lang.Number)8);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext9 = notPositiveException8.getContext();
    java.lang.Number number10 = notPositiveException8.getMin();
    numberIsTooSmallException3.addSuppressed((java.lang.Throwable)notPositiveException8);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext12 = numberIsTooSmallException3.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (-0.99999994f)+ "'", number5.equals((-0.99999994f)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 0+ "'", number10.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext12);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test267"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(7.610125138662287d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4401410188114185d);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test268"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException4 = new org.apache.commons.math.exception.NotPositiveException(localizable2, (java.lang.Number)(-1.0f));
    java.lang.Throwable[] throwable_array5 = notPositiveException4.getSuppressed();
    org.apache.commons.math.exception.NullArgumentException nullArgumentException6 = new org.apache.commons.math.exception.NullArgumentException(localizable1, (java.lang.Object[])throwable_array5);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException7 = new org.apache.commons.math.exception.NullArgumentException(localizable0, (java.lang.Object[])throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test269"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(2.938736E-38f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-125));

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test270"); }


    float f2 = org.apache.commons.math.util.FastMath.min(5.960465E-8f, 5.6E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 5.6E-45f);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test271"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1023));

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test272"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)486.91045699282256d, (java.lang.Number)2.8E-45f, false);
    java.lang.Throwable[] throwable_array4 = numberIsTooSmallException3.getSuppressed();
    java.lang.Number number5 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException6 = new org.apache.commons.math.exception.NotPositiveException(number5);
    numberIsTooSmallException3.addSuppressed((java.lang.Throwable)notPositiveException6);
    java.lang.Number number8 = numberIsTooSmallException3.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 486.91045699282256d+ "'", number8.equals(486.91045699282256d));

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test273"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    double d6 = complex5.abs();
    org.apache.commons.math.complex.Complex complex7 = complex5.negate();
    org.apache.commons.math.complex.Complex complex9 = complex5.pow((-1.0d));
    org.apache.commons.math.complex.Complex complex10 = complex9.reciprocal();
    double d11 = complex9.getReal();
    org.apache.commons.math.complex.Complex complex12 = complex9.tan();
    double d13 = complex12.getReal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test274"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder((-0.0d), 38.025003373828866d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.0d));

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test275"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(0.19611987703015266d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.19869400191985884d);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test276"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(5.551115123125783E-17d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.551115123125783E-17d);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test277"); }


    float f2 = org.apache.commons.math.util.FastMath.max(1.1920928E-7f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.1920928E-7f);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test278"); }


    double d2 = org.apache.commons.math.util.FastMath.min(1.5d, 2.3012989023072947d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5d);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test279"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(1.4401410188114185d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test280"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(0.7584597774815581d, (-1.059306170823243d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.30084639334168484d));

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test281"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(2.3247449259825346d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test282"); }


    long long2 = org.apache.commons.math.util.FastMath.min(3L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 3L);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test283"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.9999999999999808d, (java.lang.Number)0.19364351603270627d, false);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test284"); }


    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.valueOf(0.6324141749317367d, 0.9954809208505303d);
    double d3 = complex2.abs();
    double d4 = complex2.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.1793769339918467d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0048351637649937d);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test285"); }


    long long1 = org.apache.commons.math.util.FastMath.round(562.5908713659215d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 563L);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test286"); }


    double d2 = org.apache.commons.math.util.FastMath.max(4.9E-324d, 572.9577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 572.9577951308232d);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test287"); }


    double d2 = org.apache.commons.math.util.FastMath.min(2.8421709430404007E-14d, (-88.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-88.0d));

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test288"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(1.1368683E-13f, 5.8774723E-38f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.1368683E-13f);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test289"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(1.1920928E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-24));

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test290"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(6.18808023963255d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.9724241318574138d);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test291"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str5 = complex4.toString();
    org.apache.commons.math.complex.Complex complex7 = complex4.divide(10.0d);
    org.apache.commons.math.complex.Complex complex8 = complex4.atan();
    double d9 = complex4.getReal();
    org.apache.commons.math.complex.Complex complex10 = complex3.divide(complex4);
    org.apache.commons.math.complex.Complex complex11 = complex4.tan();
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.valueOf(2.718281828459045d);
    org.apache.commons.math.complex.Complex complex14 = complex11.subtract(complex13);
    org.apache.commons.math.complex.Complex complex15 = complex11.atan();
    org.apache.commons.math.complex.Complex complex17 = complex11.multiply(100);
    org.apache.commons.math.complex.Complex complex18 = complex11.sqrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "(0.0, 0.0)"+ "'", str5.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test292"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)(-1.0f));
    java.lang.Throwable[] throwable_array3 = notPositiveException2.getSuppressed();
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException8 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable4, (java.lang.Number)16, (java.lang.Number)2.220446049250313E-16d, false);
    java.lang.Number number9 = numberIsTooSmallException8.getMin();
    notPositiveException2.addSuppressed((java.lang.Throwable)numberIsTooSmallException8);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str11 = notPositiveException2.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 2.220446049250313E-16d+ "'", number9.equals(2.220446049250313E-16d));

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test293"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(9.498053558627485E-40d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 9.498053558627485E-40d);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test294"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    double d6 = complex5.abs();
    org.apache.commons.math.complex.Complex complex7 = complex5.negate();
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str9 = complex8.toString();
    org.apache.commons.math.complex.Complex complex11 = complex8.divide(10.0d);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str13 = complex12.toString();
    org.apache.commons.math.complex.Complex complex15 = complex12.divide(10.0d);
    org.apache.commons.math.complex.Complex complex16 = complex12.atan();
    double d17 = complex12.getReal();
    org.apache.commons.math.complex.Complex complex18 = complex11.divide(complex12);
    org.apache.commons.math.complex.Complex complex19 = complex18.sinh();
    org.apache.commons.math.complex.Complex complex20 = complex5.multiply(complex19);
    org.apache.commons.math.complex.Complex complex21 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str22 = complex21.toString();
    org.apache.commons.math.complex.Complex complex24 = complex21.divide(10.0d);
    org.apache.commons.math.complex.Complex complex25 = complex21.atan();
    org.apache.commons.math.complex.Complex complex26 = complex21.sqrt();
    double d27 = complex26.abs();
    org.apache.commons.math.complex.Complex complex28 = complex26.negate();
    org.apache.commons.math.complex.Complex complex29 = complex28.acos();
    org.apache.commons.math.complex.Complex complex30 = complex20.divide(complex28);
    org.apache.commons.math.complex.Complex complex31 = complex28.sqrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "(0.0, 0.0)"+ "'", str9.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "(0.0, 0.0)"+ "'", str13.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "(0.0, 0.0)"+ "'", str22.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test295"); }


    double d1 = org.apache.commons.math.util.FastMath.rint((-2.3255682831178905d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-2.0d));

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test296"); }


    int i2 = org.apache.commons.math.util.FastMath.max(53, (-8));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 53);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test297"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(5.877472E-38f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-124));

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test298"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees((-88.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-5042.028597151244d));

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test299"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    double d6 = complex5.abs();
    org.apache.commons.math.complex.Complex complex7 = complex5.negate();
    org.apache.commons.math.complex.Complex complex9 = complex5.pow((-1.0d));
    org.apache.commons.math.complex.Complex complex10 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str11 = complex10.toString();
    org.apache.commons.math.complex.Complex complex13 = complex10.divide(10.0d);
    org.apache.commons.math.complex.Complex complex14 = complex10.atan();
    org.apache.commons.math.complex.Complex complex15 = complex9.multiply(complex10);
    org.apache.commons.math.complex.Complex complex17 = complex9.multiply(2.642452923762922d);
    org.apache.commons.math.complex.Complex complex18 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex20 = complex18.divide(23.7189981105004d);
    org.apache.commons.math.complex.Complex complex21 = complex20.atan();
    org.apache.commons.math.complex.Complex complex22 = complex9.subtract(complex20);
    org.apache.commons.math.complex.Complex complex23 = complex9.log();
    org.apache.commons.math.complex.Complex complex24 = complex23.atan();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "(0.0, 0.0)"+ "'", str11.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test300"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)8);
    java.lang.Number number3 = notPositiveException2.getMin();
    java.lang.Number number4 = notPositiveException2.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0+ "'", number4.equals(0));

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test301"); }


    org.apache.commons.math.complex.Complex complex2 = new org.apache.commons.math.complex.Complex(Double.NEGATIVE_INFINITY, Double.POSITIVE_INFINITY);
    org.apache.commons.math.complex.Complex complex3 = complex2.atan();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test302"); }


    org.apache.commons.math.complex.Complex complex1 = new org.apache.commons.math.complex.Complex(1.2352049125074833d);
    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str3 = complex2.toString();
    org.apache.commons.math.complex.Complex complex5 = complex2.divide(10.0d);
    org.apache.commons.math.complex.Complex complex6 = complex5.cos();
    org.apache.commons.math.complex.Complex complex7 = complex1.divide(complex5);
    org.apache.commons.math.complex.Complex complex8 = complex1.tanh();
    boolean b9 = complex8.isInfinite();
    boolean b10 = complex8.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "(0.0, 0.0)"+ "'", str3.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test303"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str2 = complex1.toString();
    org.apache.commons.math.complex.Complex complex4 = complex1.divide(10.0d);
    org.apache.commons.math.complex.Complex complex5 = complex1.sqrt();
    org.apache.commons.math.complex.Complex complex6 = complex5.sqrt();
    org.apache.commons.math.complex.Complex complex7 = complex0.pow(complex5);
    org.apache.commons.math.complex.Complex complex8 = complex5.sinh();
    org.apache.commons.math.complex.Complex complex9 = complex8.cosh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "(0.0, 0.0)"+ "'", str2.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test304"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.0d, 127);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test305"); }


    long long2 = org.apache.commons.math.util.FastMath.max(5L, 563L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 563L);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test306"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.906567021658158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.439858493062462d);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test307"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    double d6 = complex5.abs();
    org.apache.commons.math.complex.Complex complex7 = complex5.negate();
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str9 = complex8.toString();
    org.apache.commons.math.complex.Complex complex11 = complex8.divide(10.0d);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str13 = complex12.toString();
    org.apache.commons.math.complex.Complex complex15 = complex12.divide(10.0d);
    org.apache.commons.math.complex.Complex complex16 = complex12.atan();
    double d17 = complex12.getReal();
    org.apache.commons.math.complex.Complex complex18 = complex11.divide(complex12);
    org.apache.commons.math.complex.Complex complex19 = complex18.sinh();
    org.apache.commons.math.complex.Complex complex20 = complex5.multiply(complex19);
    double d21 = complex5.abs();
    org.apache.commons.math.complex.Complex complex22 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str23 = complex22.toString();
    org.apache.commons.math.complex.Complex complex25 = complex22.divide(10.0d);
    org.apache.commons.math.complex.Complex complex26 = complex5.subtract(complex25);
    double d27 = complex26.getArgument();
    org.apache.commons.math.complex.Complex complex29 = complex26.divide(0.0d);
    org.apache.commons.math.complex.Complex complex31 = complex26.add(0.7328188267635404d);
    org.apache.commons.math.complex.Complex complex32 = complex31.cos();
    org.apache.commons.math.complex.Complex complex33 = complex32.cosh();
    org.apache.commons.math.complex.Complex complex34 = complex32.acos();
    java.util.List list36 = complex32.nthRoot(1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "(0.0, 0.0)"+ "'", str9.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "(0.0, 0.0)"+ "'", str13.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "(0.0, 0.0)"+ "'", str23.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list36);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test308"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.998023154517277d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7844087630327927d);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test309"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(2154.434690031883d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 46.41588833612778d);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test310"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(0.7888691004120914d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8881830331705799d);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test311"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str5 = complex4.toString();
    org.apache.commons.math.complex.Complex complex7 = complex4.divide(10.0d);
    org.apache.commons.math.complex.Complex complex8 = complex4.atan();
    double d9 = complex4.getReal();
    org.apache.commons.math.complex.Complex complex10 = complex3.divide(complex4);
    double d11 = complex3.getArgument();
    org.apache.commons.math.complex.Complex complex12 = complex3.cos();
    org.apache.commons.math.complex.Complex complex13 = complex12.exp();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "(0.0, 0.0)"+ "'", str5.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test312"); }


    double d2 = org.apache.commons.math.util.FastMath.max((-0.13630860754417906d), 11.512925464970229d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 11.512925464970229d);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test313"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    double d6 = complex5.abs();
    org.apache.commons.math.complex.Complex complex7 = complex5.negate();
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str9 = complex8.toString();
    org.apache.commons.math.complex.Complex complex11 = complex8.divide(10.0d);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str13 = complex12.toString();
    org.apache.commons.math.complex.Complex complex15 = complex12.divide(10.0d);
    org.apache.commons.math.complex.Complex complex16 = complex12.atan();
    double d17 = complex12.getReal();
    org.apache.commons.math.complex.Complex complex18 = complex11.divide(complex12);
    org.apache.commons.math.complex.Complex complex19 = complex18.sinh();
    org.apache.commons.math.complex.Complex complex20 = complex5.multiply(complex19);
    org.apache.commons.math.complex.Complex complex21 = complex19.cosh();
    org.apache.commons.math.complex.Complex complex23 = complex19.multiply(100);
    org.apache.commons.math.complex.Complex complex24 = complex19.reciprocal();
    double d25 = complex19.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "(0.0, 0.0)"+ "'", str9.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "(0.0, 0.0)"+ "'", str13.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test314"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(571.4092128626095d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 32739.336271919994d);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test315"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(151.4014000936201d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test316"); }


    int i2 = org.apache.commons.math.util.FastMath.max(0, (-43));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test317"); }


    float f2 = org.apache.commons.math.util.FastMath.min(1.1368685E-13f, 8.0779357E-28f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 8.0779357E-28f);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test318"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test319"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex2 = complex0.tanh();
    org.apache.commons.math.complex.Complex complex3 = complex0.sqrt();
    double d4 = complex3.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test320"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)0.27682028313567125d);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test321"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test322"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex3.cos();
    org.apache.commons.math.complex.Complex complex6 = complex3.subtract((-1.1646962223442412d));
    org.apache.commons.math.complex.Complex complex7 = complex6.sqrt1z();
    org.apache.commons.math.complex.Complex complex8 = complex7.tan();
    org.apache.commons.math.complex.Complex complex9 = complex7.sin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test323"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.0d, 3.4941386353643082E-40d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test324"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.8043329073114002d, 0.7494537294032446d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.820703123237321d);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test325"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(6.776264E-21f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 6.776265E-21f);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test326"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.693591941616213d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6064122944486688d);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test327"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)3L, (java.lang.Number)0.04379342597276536d, false);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test328"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(9.536743E-7f, 1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.536743E-7f);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test329"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(2.8E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.8E-45f);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test330"); }


    float f2 = org.apache.commons.math.util.FastMath.min(5.9604645E-8f, 1.0000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 5.9604645E-8f);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test331"); }


    double d1 = org.apache.commons.math.util.FastMath.abs((-0.6682471609862244d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6682471609862244d);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test332"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(0.19364351603270627d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.19611987703015268d);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test333"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str5 = complex4.toString();
    org.apache.commons.math.complex.Complex complex7 = complex4.divide(10.0d);
    org.apache.commons.math.complex.Complex complex8 = complex4.atan();
    double d9 = complex4.getReal();
    org.apache.commons.math.complex.Complex complex10 = complex3.divide(complex4);
    double d11 = complex3.getArgument();
    org.apache.commons.math.complex.Complex complex12 = complex3.cos();
    org.apache.commons.math.complex.Complex complex15 = new org.apache.commons.math.complex.Complex(155.74607629780772d, 9.498053558627485E-40d);
    boolean b16 = complex3.equals((java.lang.Object)9.498053558627485E-40d);
    org.apache.commons.math.complex.Complex complex17 = complex3.cos();
    java.lang.String str18 = complex3.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "(0.0, 0.0)"+ "'", str5.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "(0.0, 0.0)"+ "'", str18.equals("(0.0, 0.0)"));

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test334"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(1.0390895693510367d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7775282917784656d);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test335"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(0.19364351603270627d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.003379716929909152d);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test336"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(5.960465E-8f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 5.960465E-8f);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test337"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(0.2699088553971d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.309845059984566d);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test338"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(8.743598617579881d, 127);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4876462164983637E39d);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test339"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)1.1793769339918467d, (java.lang.Number)0.9954535513251116d, true);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test340"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(5.298292365610486d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.0d);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test341"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    double d6 = complex5.abs();
    org.apache.commons.math.complex.Complex complex7 = complex5.negate();
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str9 = complex8.toString();
    org.apache.commons.math.complex.Complex complex11 = complex8.divide(10.0d);
    org.apache.commons.math.complex.Complex complex12 = complex8.atan();
    double d13 = complex8.getReal();
    boolean b14 = complex8.isNaN();
    org.apache.commons.math.complex.Complex complex15 = complex7.subtract(complex8);
    org.apache.commons.math.complex.Complex complex16 = org.apache.commons.math.complex.Complex.ZERO;
    org.apache.commons.math.complex.Complex complex17 = complex16.tan();
    boolean b18 = complex8.equals((java.lang.Object)complex17);
    org.apache.commons.math.complex.Complex complex19 = complex17.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "(0.0, 0.0)"+ "'", str9.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test342"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(10.000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 3);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test343"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.43084616332465886d, 0.19127615195887154d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.43084616332465886d);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test344"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.04213534355718506d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.04211042573633514d);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test345"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder((-0.8686709614860095d), 3.2285327801518617d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.8686709614860095d));

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test346"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(12.244082595464972d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0879262505752219d);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test347"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p((-3.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test348"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.8350496134445521d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7413298102518842d);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test349"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1((-175.92806217526356d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test350"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test351"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(2.938736E-38f, 0.0025131421954502947d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.9387362E-38f);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test352"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(0.206266504263706d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9788023806894764d);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test353"); }


    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.valueOf(2.220446049250313E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test354"); }


    long long1 = org.apache.commons.math.util.FastMath.round(3.4941386353643082E-40d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test355"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(3.399216241149525E248d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.399216241149525E248d);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test356"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.9810483386931524d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9936424467350886d);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test357"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(5.8774717541114375E-39d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.8774717541114375E-39d);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test358"); }


    float f2 = org.apache.commons.math.util.FastMath.max(9.536743E-7f, 1.1920929E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.536743E-7f);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test359"); }


    double d1 = org.apache.commons.math.util.FastMath.log(1.1461665536423291d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.1364229424989041d);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test360"); }


    int i1 = org.apache.commons.math.util.FastMath.abs((-46));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 46);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test361"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(0.6064122944486688d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test362"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(1.4E-45f, 0.99999994f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test363"); }


    long long1 = org.apache.commons.math.util.FastMath.abs((-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test364"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(5.298292365610486d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9999499987499375d);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test365"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5707963267948966d);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test366"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.1364229424989041d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test367"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    double d6 = complex5.abs();
    org.apache.commons.math.complex.Complex complex7 = complex5.negate();
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str9 = complex8.toString();
    org.apache.commons.math.complex.Complex complex11 = complex8.divide(10.0d);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str13 = complex12.toString();
    org.apache.commons.math.complex.Complex complex15 = complex12.divide(10.0d);
    org.apache.commons.math.complex.Complex complex16 = complex12.atan();
    double d17 = complex12.getReal();
    org.apache.commons.math.complex.Complex complex18 = complex11.divide(complex12);
    org.apache.commons.math.complex.Complex complex19 = complex18.sinh();
    org.apache.commons.math.complex.Complex complex20 = complex5.multiply(complex19);
    org.apache.commons.math.complex.Complex complex21 = complex19.sin();
    org.apache.commons.math.complex.Complex complex22 = complex21.acos();
    org.apache.commons.math.complex.Complex complex23 = complex21.conjugate();
    org.apache.commons.math.complex.Complex complex24 = complex21.sinh();
    org.apache.commons.math.complex.Complex complex25 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.complex.Complex complex26 = complex24.subtract(complex25);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "(0.0, 0.0)"+ "'", str9.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "(0.0, 0.0)"+ "'", str13.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test368"); }


    java.lang.Number number0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException(number0, (java.lang.Number)0.0d, false);
    boolean b4 = numberIsTooSmallException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test369"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(0.04213534355718506d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test370"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.6298504606588339d, 1.4994164853475962d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.39768215213524344d);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test371"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(6.776264E-21f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 8.0779357E-28f);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test372"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(1.9724241318574138d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.18808023963255d);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test373"); }


    int i2 = org.apache.commons.math.util.FastMath.max(8, 127);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 127);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test374"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(4.60517028188129d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.6637263607479427d);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test375"); }


    int i2 = org.apache.commons.math.util.FastMath.min(0, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test376"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException6 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable2, (java.lang.Number)1.0d, (java.lang.Number)1, true);
    java.lang.Throwable[] throwable_array7 = numberIsTooSmallException6.getSuppressed();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable1, (java.lang.Object[])throwable_array7);
    java.lang.Throwable[] throwable_array9 = mathIllegalArgumentException8.getSuppressed();
    org.apache.commons.math.exception.NullArgumentException nullArgumentException10 = new org.apache.commons.math.exception.NullArgumentException(localizable0, (java.lang.Object[])throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test377"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(46.41588833612778d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.439342592338763E20d);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test378"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.sqrt();
    org.apache.commons.math.complex.Complex complex5 = complex4.atan();
    org.apache.commons.math.complex.Complex complex6 = complex4.atan();
    double d7 = complex6.getImaginary();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test379"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder((-1.1646962223442414d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test380"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(1.1461665536423291d, 572.9577951308233d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 572.9589415472484d);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test381"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(0.5942523830676013d, 1.1447298858494002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.5504775027817989d));

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test382"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(8.337018542539381d, 0.04379342597276536d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.016267607713962948d);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test383"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(1.1368685E-13f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.1368685E-13f);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test384"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(1.0643754954817267E-43d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test385"); }


    double d1 = org.apache.commons.math.util.FastMath.exp((-0.23862835562346357d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7877075750711516d);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test386"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder((-175.92806217526356d), (-0.9117339147869651d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.03658337862069849d);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test387"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2((-0.6338334730692691d), 5.298292365610485d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.11906393121016186d));

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test388"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)5.960465E-8f);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test389"); }


    float f2 = org.apache.commons.math.util.FastMath.max(1.0000004f, 1.0000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0000004f);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test390"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(155.74607629780772d, 1.2352049125074833d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.11025732186481996d);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test391"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(5.8774717541114375E-39d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.8774717541114375E-39d);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test392"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(5.877472E-38f, 1.439858493062462d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 5.8774723E-38f);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test393"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder((-3.6205546773789417d), 0.8571940551507987d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.1917784567757468d));

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test394"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    double d6 = complex5.abs();
    org.apache.commons.math.complex.Complex complex7 = complex5.negate();
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str9 = complex8.toString();
    org.apache.commons.math.complex.Complex complex11 = complex8.divide(10.0d);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str13 = complex12.toString();
    org.apache.commons.math.complex.Complex complex15 = complex12.divide(10.0d);
    org.apache.commons.math.complex.Complex complex16 = complex12.atan();
    double d17 = complex12.getReal();
    org.apache.commons.math.complex.Complex complex18 = complex11.divide(complex12);
    org.apache.commons.math.complex.Complex complex19 = complex18.sinh();
    org.apache.commons.math.complex.Complex complex20 = complex5.multiply(complex19);
    org.apache.commons.math.complex.Complex complex21 = complex19.sin();
    org.apache.commons.math.complex.Complex complex22 = complex19.cosh();
    org.apache.commons.math.complex.Complex complex23 = complex19.atan();
    org.apache.commons.math.complex.Complex complex24 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str25 = complex24.toString();
    org.apache.commons.math.complex.Complex complex27 = complex24.divide(10.0d);
    org.apache.commons.math.complex.Complex complex28 = complex24.atan();
    org.apache.commons.math.complex.Complex complex29 = complex24.sqrt();
    double d30 = complex29.abs();
    org.apache.commons.math.complex.Complex complex31 = complex29.negate();
    org.apache.commons.math.complex.Complex complex32 = complex29.sqrt1z();
    org.apache.commons.math.complex.Complex complex33 = complex32.sqrt();
    org.apache.commons.math.complex.Complex complex34 = complex23.add(complex32);
    org.apache.commons.math.complex.Complex complex35 = complex34.cos();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "(0.0, 0.0)"+ "'", str9.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "(0.0, 0.0)"+ "'", str13.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "(0.0, 0.0)"+ "'", str25.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex35);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test395"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex2 = complex0.tanh();
    org.apache.commons.math.complex.Complex complex4 = complex2.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex5 = complex2.sinh();
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str7 = complex6.toString();
    org.apache.commons.math.complex.Complex complex8 = complex6.tanh();
    org.apache.commons.math.complex.Complex complex10 = complex8.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex11 = complex8.sinh();
    boolean b12 = complex5.equals((java.lang.Object)complex11);
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str14 = complex13.toString();
    org.apache.commons.math.complex.Complex complex15 = complex13.tanh();
    org.apache.commons.math.complex.Complex complex16 = complex15.negate();
    org.apache.commons.math.complex.Complex complex17 = complex11.divide(complex16);
    org.apache.commons.math.complex.Complex complex18 = complex17.sinh();
    double d19 = complex17.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "(0.0, 0.0)"+ "'", str7.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "(0.0, 0.0)"+ "'", str14.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test396"); }


    long long2 = org.apache.commons.math.util.FastMath.max(5L, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 5L);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test397"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    double d6 = complex5.abs();
    org.apache.commons.math.complex.Complex complex7 = complex5.negate();
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str9 = complex8.toString();
    org.apache.commons.math.complex.Complex complex11 = complex8.divide(10.0d);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str13 = complex12.toString();
    org.apache.commons.math.complex.Complex complex15 = complex12.divide(10.0d);
    org.apache.commons.math.complex.Complex complex16 = complex12.atan();
    double d17 = complex12.getReal();
    org.apache.commons.math.complex.Complex complex18 = complex11.divide(complex12);
    org.apache.commons.math.complex.Complex complex19 = complex18.sinh();
    org.apache.commons.math.complex.Complex complex20 = complex5.multiply(complex19);
    org.apache.commons.math.complex.Complex complex21 = complex19.sin();
    org.apache.commons.math.complex.Complex complex22 = complex21.acos();
    org.apache.commons.math.complex.Complex complex23 = complex21.conjugate();
    org.apache.commons.math.complex.Complex complex24 = complex21.sinh();
    org.apache.commons.math.complex.Complex complex25 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str26 = complex25.toString();
    org.apache.commons.math.complex.Complex complex28 = complex25.divide(10.0d);
    org.apache.commons.math.complex.Complex complex29 = complex25.sqrt();
    org.apache.commons.math.complex.Complex complex30 = complex29.atan();
    org.apache.commons.math.complex.Complex complex31 = complex29.sqrt1z();
    org.apache.commons.math.complex.Complex complex32 = complex21.add(complex29);
    // The following exception was thrown during execution in test generation
    try {
      java.util.List list34 = complex29.nthRoot((-4));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "(0.0, 0.0)"+ "'", str9.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "(0.0, 0.0)"+ "'", str13.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "(0.0, 0.0)"+ "'", str26.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test398"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.0d, 0.19611987703015268d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test399"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)0.8043329073114001d);
    boolean b2 = notPositiveException1.getBoundIsAllowed();
    java.lang.Number number4 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException6 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.99999994f), number4, false);
    boolean b7 = numberIsTooSmallException6.getBoundIsAllowed();
    java.lang.Number number8 = numberIsTooSmallException6.getArgument();
    java.lang.Throwable[] throwable_array9 = numberIsTooSmallException6.getSuppressed();
    notPositiveException1.addSuppressed((java.lang.Throwable)numberIsTooSmallException6);
    java.lang.Throwable throwable11 = null;
    // The following exception was thrown during execution in test generation
    try {
      notPositiveException1.addSuppressed(throwable11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + (-0.99999994f)+ "'", number8.equals((-0.99999994f)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test400"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.27870244104338554d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.27510839017791955d);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test401"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(6.776265E-21f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-67));

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test402"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(0.5090052002716081d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.29327778065395443d));

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test403"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(2.324744925982534d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.6845225847324312d));

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test404"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException10 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable6, (java.lang.Number)1.0d, (java.lang.Number)1, true);
    boolean b11 = numberIsTooSmallException10.getBoundIsAllowed();
    boolean b12 = numberIsTooSmallException10.getBoundIsAllowed();
    boolean b13 = complex5.equals((java.lang.Object)numberIsTooSmallException10);
    org.apache.commons.math.exception.NotPositiveException notPositiveException15 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)0.043779429008038606d);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext16 = notPositiveException15.getContext();
    numberIsTooSmallException10.addSuppressed((java.lang.Throwable)notPositiveException15);
    java.lang.String str18 = notPositiveException15.toString();
    java.lang.String str19 = notPositiveException15.toString();
    java.lang.String str20 = notPositiveException15.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.exception.NotPositiveException: 0.044 is smaller than the minimum (0)"+ "'", str18.equals("org.apache.commons.math.exception.NotPositiveException: 0.044 is smaller than the minimum (0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.apache.commons.math.exception.NotPositiveException: 0.044 is smaller than the minimum (0)"+ "'", str19.equals("org.apache.commons.math.exception.NotPositiveException: 0.044 is smaller than the minimum (0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "org.apache.commons.math.exception.NotPositiveException: 0.044 is smaller than the minimum (0)"+ "'", str20.equals("org.apache.commons.math.exception.NotPositiveException: 0.044 is smaller than the minimum (0)"));

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test405"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.9475241487856403d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9821928367189565d);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test406"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, number1, (java.lang.Number)1.0561710704371283d, false);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext5 = numberIsTooSmallException4.getContext();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str6 = numberIsTooSmallException4.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test407"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex3.log();
    org.apache.commons.math.complex.Complex complex6 = complex3.multiply(0);
    org.apache.commons.math.complex.Complex complex7 = complex3.cos();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test408"); }


    double d2 = org.apache.commons.math.util.FastMath.max(2.220446049250313E-16d, 2.248249796532139d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.248249796532139d);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test409"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(10.000003f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 10.000004f);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test410"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(5729.578500735815d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.819467917949543d));

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test411"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex2 = complex0.tanh();
    org.apache.commons.math.complex.Complex complex3 = complex2.negate();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str5 = complex4.toString();
    org.apache.commons.math.complex.Complex complex6 = complex4.tanh();
    org.apache.commons.math.complex.Complex complex8 = complex6.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex9 = complex2.divide(complex8);
    org.apache.commons.math.complex.Complex complex10 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex12 = complex10.divide(23.7189981105004d);
    org.apache.commons.math.complex.Complex complex13 = complex9.add(complex12);
    org.apache.commons.math.complex.Complex complex14 = complex13.cos();
    org.apache.commons.math.complex.Complex complex15 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.complex.Complex complex16 = complex13.divide(complex15);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "(0.0, 0.0)"+ "'", str5.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test412"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.6324141749317367d, 9.999999999999987E9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6324141749317368d);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test413"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(24.242593353387655d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.8941854702254513d);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test414"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(0.7888691004120914d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.200906014613657d);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test415"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.40546510810816444d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0833333333333333d);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test416"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(24.412145291060344d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test417"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.7775282917784656d, number2, false);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str5 = numberIsTooSmallException4.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test418"); }


    float f1 = org.apache.commons.math.util.FastMath.signum((-0.99999994f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-1.0f));

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test419"); }


    double d1 = org.apache.commons.math.util.FastMath.log(3.4941386353643082E-40d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-90.85231683071339d));

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test420"); }


    org.apache.commons.math.complex.Complex complex2 = new org.apache.commons.math.complex.Complex(0.5d, (-9.0d));

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test421"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, number1, (java.lang.Number)1.5707963267948966d, false);
    java.lang.Number number5 = numberIsTooSmallException4.getArgument();
    java.lang.Throwable[] throwable_array6 = numberIsTooSmallException4.getSuppressed();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str7 = numberIsTooSmallException4.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test422"); }


    double d2 = org.apache.commons.math.util.FastMath.min((-0.7853981633974483d), 0.6298504606588339d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.7853981633974483d));

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test423"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test424"); }


    int i1 = org.apache.commons.math.util.FastMath.abs((-24));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 24);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test425"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    double d6 = complex5.abs();
    org.apache.commons.math.complex.Complex complex7 = complex5.negate();
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str9 = complex8.toString();
    org.apache.commons.math.complex.Complex complex11 = complex8.divide(10.0d);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str13 = complex12.toString();
    org.apache.commons.math.complex.Complex complex15 = complex12.divide(10.0d);
    org.apache.commons.math.complex.Complex complex16 = complex12.atan();
    double d17 = complex12.getReal();
    org.apache.commons.math.complex.Complex complex18 = complex11.divide(complex12);
    org.apache.commons.math.complex.Complex complex19 = complex18.sinh();
    org.apache.commons.math.complex.Complex complex20 = complex5.multiply(complex19);
    double d21 = complex5.abs();
    org.apache.commons.math.complex.Complex complex22 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str23 = complex22.toString();
    org.apache.commons.math.complex.Complex complex25 = complex22.divide(10.0d);
    org.apache.commons.math.complex.Complex complex26 = complex5.subtract(complex25);
    double d27 = complex26.getArgument();
    org.apache.commons.math.complex.Complex complex29 = complex26.divide(0.0d);
    org.apache.commons.math.complex.Complex complex31 = complex26.add(0.7328188267635404d);
    org.apache.commons.math.complex.Complex complex32 = complex31.cos();
    org.apache.commons.math.complex.Complex complex33 = complex32.cosh();
    org.apache.commons.math.complex.Complex complex34 = complex32.acos();
    org.apache.commons.math.complex.Complex complex35 = complex32.atan();
    org.apache.commons.math.complex.Complex complex37 = complex32.add(0.19611987703015263d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "(0.0, 0.0)"+ "'", str9.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "(0.0, 0.0)"+ "'", str13.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "(0.0, 0.0)"+ "'", str23.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex37);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test426"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str5 = complex4.toString();
    org.apache.commons.math.complex.Complex complex7 = complex4.divide(10.0d);
    org.apache.commons.math.complex.Complex complex8 = complex4.atan();
    double d9 = complex4.getReal();
    org.apache.commons.math.complex.Complex complex10 = complex3.divide(complex4);
    double d11 = complex3.getArgument();
    double d12 = complex3.getImaginary();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "(0.0, 0.0)"+ "'", str5.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test427"); }


    long long2 = org.apache.commons.math.util.FastMath.min(0L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test428"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.6363357794610766d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test429"); }


    long long2 = org.apache.commons.math.util.FastMath.min(1L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test430"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.0040689210193623464d, (java.lang.Number)(-0.09539284973523542d), true);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test431"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(2.9387362E-38f, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 3.0092658E-35f);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test432"); }


    long long2 = org.apache.commons.math.util.FastMath.max(5L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test433"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.7433319723196464d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6767447208898324d);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test434"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(1.219397960487709d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6508671710258651d);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test435"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(0.7877075750711516d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.065362353321561d);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test436"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.11025732186481996d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.10981269625718122d);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test437"); }


    double d1 = org.apache.commons.math.util.FastMath.tan((-0.5882501498161081d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.667024292525606d));

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test438"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 3);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test439"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(0.5898626184376445d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test440"); }


    float f2 = org.apache.commons.math.util.FastMath.max(2.8E-45f, 3.0092658E-35f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 3.0092658E-35f);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test441"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)16, (java.lang.Number)2.220446049250313E-16d, false);
    java.lang.Number number5 = numberIsTooSmallException4.getArgument();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext6 = numberIsTooSmallException4.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 16+ "'", number5.equals(16));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test442"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(1.6155871E-27f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.92593E-34f);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test443"); }


    int i2 = org.apache.commons.math.util.FastMath.max((-1), 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 3);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test444"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh((-94.9005437957542d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test445"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(9.999999999999987E9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.558367151751441d));

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test446"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex2 = complex0.tanh();
    org.apache.commons.math.complex.Complex complex4 = complex2.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex5 = complex2.sinh();
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str7 = complex6.toString();
    org.apache.commons.math.complex.Complex complex8 = complex6.tanh();
    org.apache.commons.math.complex.Complex complex10 = complex8.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex11 = complex8.sinh();
    boolean b12 = complex5.equals((java.lang.Object)complex11);
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str14 = complex13.toString();
    org.apache.commons.math.complex.Complex complex15 = complex13.tanh();
    org.apache.commons.math.complex.Complex complex16 = complex15.negate();
    org.apache.commons.math.complex.Complex complex17 = complex11.divide(complex16);
    org.apache.commons.math.complex.Complex complex18 = complex17.sinh();
    org.apache.commons.math.complex.Complex complex20 = complex17.subtract(5.877471754111439E-39d);
    org.apache.commons.math.complex.Complex complex21 = complex17.reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "(0.0, 0.0)"+ "'", str7.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "(0.0, 0.0)"+ "'", str14.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test447"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(0.7494537294032446d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7494537294032447d);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test448"); }


    double d1 = org.apache.commons.math.util.FastMath.log((-0.0443063174997841d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test449"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex3.sqrt();
    org.apache.commons.math.complex.Complex complex5 = complex3.sinh();
    org.apache.commons.math.complex.Complex complex6 = complex5.log();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test450"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh((-0.9586967629285477d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.8518641724177005d));

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test451"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(2154.434690031883d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test452"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(1.0048351637649937d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.09829824325093155d);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test453"); }


    org.apache.commons.math.complex.Complex complex1 = new org.apache.commons.math.complex.Complex(1.2352049125074833d);
    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str3 = complex2.toString();
    org.apache.commons.math.complex.Complex complex5 = complex2.divide(10.0d);
    org.apache.commons.math.complex.Complex complex6 = complex5.cos();
    org.apache.commons.math.complex.Complex complex7 = complex1.divide(complex5);
    org.apache.commons.math.complex.Complex complex8 = complex1.cosh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "(0.0, 0.0)"+ "'", str3.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test454"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(472.99170677017315d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 21.74837250853896d);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test455"); }


    long long1 = org.apache.commons.math.util.FastMath.round(12.206072645590039d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 12L);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test456"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)1.9999999999999973E10d, number2, false);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test457"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.7288857185142362d, 0.04211042573633514d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7288857185142362d);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test458"); }


    int i2 = org.apache.commons.math.util.FastMath.max((-124), 53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 53);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test459"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(2.8E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test460"); }


    double d2 = org.apache.commons.math.util.FastMath.min(1293.9845497873412d, (-88.02969193111305d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-88.02969193111305d));

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test461"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(0.9442157056960554d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test462"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(0.016267607713962948d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.7886763089571092d));

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test463"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(2.9387358770557194E-39d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.9387358770557194E-39d);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test464"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(2.2923331072846582d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test465"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.19127615195887154d, (-0.30084639334168484d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.35650402339229365d);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test466"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.4830369085648982d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test467"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.9640275800758169d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8214948155164382d);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test468"); }


    long long1 = org.apache.commons.math.util.FastMath.round((-0.30084639334168484d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test469"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.4830369085648982d, (-0.8518641724177005d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.4830369085648982d));

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test470"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.2327763104874101d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test471"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)1.7182818284590453d);
    java.lang.Number number3 = notPositiveException2.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 1.7182818284590453d+ "'", number3.equals(1.7182818284590453d));

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test472"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(1.4994164853475962d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.02616975452799687d);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test473"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 11013.232920103323d);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test474"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4E-45f);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test475"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = org.apache.commons.math.complex.Complex.valueOf(0.5d);
    boolean b4 = complex0.equals((java.lang.Object)0.5d);
    boolean b5 = complex0.isNaN();
    org.apache.commons.math.complex.Complex complex6 = complex0.reciprocal();
    // The following exception was thrown during execution in test generation
    try {
      java.util.List list8 = complex0.nthRoot((-24));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test476"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str2 = complex1.toString();
    org.apache.commons.math.complex.Complex complex4 = complex1.divide(10.0d);
    org.apache.commons.math.complex.Complex complex5 = complex4.log();
    org.apache.commons.math.complex.Complex complex7 = complex4.multiply(0);
    org.apache.commons.math.complex.Complex complex8 = complex0.add(complex7);
    double d9 = complex0.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "(0.0, 0.0)"+ "'", str2.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.7853981633974483d);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test477"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.4830369085648982d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1189483930560273d);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test478"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(0.0d, 0.9015687974747479d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test479"); }


    long long2 = org.apache.commons.math.util.FastMath.max(1L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test480"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.6711409035604263d, 1.9999999999999973E10d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test481"); }


    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.valueOf(0.6711409035604262d, 6.188080239632552d);
    org.apache.commons.math.complex.Complex complex3 = complex2.cos();
    org.apache.commons.math.complex.Complex complex4 = complex3.cos();
    double d5 = complex4.getImaginary();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 2.3506080457960225E65d);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test482"); }


    float f2 = org.apache.commons.math.util.FastMath.max(1.1368684E-13f, 9.536743E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.536743E-7f);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test483"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(0.5638901133613027d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5638901133613027d);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test484"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex3.cos();
    org.apache.commons.math.complex.Complex complex6 = complex3.subtract((-1.1646962223442412d));
    org.apache.commons.math.complex.Complex complex8 = complex6.multiply(100);
    org.apache.commons.math.complex.Complex complex9 = complex6.tan();
    org.apache.commons.math.complex.Complex complex10 = complex6.sin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test485"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt((-0.07505552985078214d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.42182038628595014d));

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test486"); }


    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.99999994f), number1, false);
    boolean b4 = numberIsTooSmallException3.getBoundIsAllowed();
    java.lang.Number number5 = numberIsTooSmallException3.getArgument();
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException8 = new org.apache.commons.math.exception.NotPositiveException(localizable6, (java.lang.Number)8);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext9 = notPositiveException8.getContext();
    java.lang.Number number10 = notPositiveException8.getMin();
    numberIsTooSmallException3.addSuppressed((java.lang.Throwable)notPositiveException8);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext12 = notPositiveException8.getContext();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str13 = notPositiveException8.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (-0.99999994f)+ "'", number5.equals((-0.99999994f)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 0+ "'", number10.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext12);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test487"); }


    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.valueOf(0.09539284973523542d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test488"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex2 = complex0.tanh();
    org.apache.commons.math.complex.Complex complex4 = complex2.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex5 = complex2.sinh();
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str7 = complex6.toString();
    org.apache.commons.math.complex.Complex complex8 = complex6.tanh();
    org.apache.commons.math.complex.Complex complex10 = complex8.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex11 = complex8.sinh();
    boolean b12 = complex5.equals((java.lang.Object)complex11);
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str14 = complex13.toString();
    org.apache.commons.math.complex.Complex complex15 = complex13.tanh();
    org.apache.commons.math.complex.Complex complex16 = complex15.negate();
    org.apache.commons.math.complex.Complex complex17 = complex11.divide(complex16);
    org.apache.commons.math.complex.Complex complex18 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str19 = complex18.toString();
    org.apache.commons.math.complex.Complex complex21 = complex18.divide(10.0d);
    org.apache.commons.math.complex.Complex complex22 = complex18.atan();
    org.apache.commons.math.complex.Complex complex23 = complex17.pow(complex18);
    org.apache.commons.math.complex.Complex complex25 = complex17.pow((-0.0d));
    boolean b26 = complex25.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "(0.0, 0.0)"+ "'", str7.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "(0.0, 0.0)"+ "'", str14.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "(0.0, 0.0)"+ "'", str19.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test489"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(2.2482497965321384d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.682780517510536d);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test490"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(0.9999999999999808d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5403023058681559d);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test491"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str5 = complex4.toString();
    org.apache.commons.math.complex.Complex complex7 = complex4.divide(10.0d);
    org.apache.commons.math.complex.Complex complex8 = complex4.atan();
    double d9 = complex4.getReal();
    org.apache.commons.math.complex.Complex complex10 = complex3.divide(complex4);
    double d11 = complex3.getArgument();
    org.apache.commons.math.complex.Complex complex12 = complex3.cos();
    org.apache.commons.math.complex.Complex complex15 = new org.apache.commons.math.complex.Complex(155.74607629780772d, 9.498053558627485E-40d);
    boolean b16 = complex3.equals((java.lang.Object)9.498053558627485E-40d);
    org.apache.commons.math.complex.Complex complex17 = complex3.cos();
    org.apache.commons.math.complex.Complex complex19 = complex3.pow(9.999999999999987E9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "(0.0, 0.0)"+ "'", str5.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test492"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.NaN;
    org.apache.commons.math.complex.Complex complex1 = complex0.cosh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test493"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.10981269625718122d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test494"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(1.1368683772161603E-13d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1368683772160957E-13d);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test495"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.7413298102518842d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test496"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt((-0.7799404488492867d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9204929812402679d));

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test497"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    double d6 = complex5.abs();
    org.apache.commons.math.complex.Complex complex7 = complex5.negate();
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str9 = complex8.toString();
    org.apache.commons.math.complex.Complex complex11 = complex8.divide(10.0d);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str13 = complex12.toString();
    org.apache.commons.math.complex.Complex complex15 = complex12.divide(10.0d);
    org.apache.commons.math.complex.Complex complex16 = complex12.atan();
    double d17 = complex12.getReal();
    org.apache.commons.math.complex.Complex complex18 = complex11.divide(complex12);
    org.apache.commons.math.complex.Complex complex19 = complex18.sinh();
    org.apache.commons.math.complex.Complex complex20 = complex5.multiply(complex19);
    org.apache.commons.math.complex.Complex complex21 = complex20.log();
    org.apache.commons.math.complex.Complex complex22 = complex20.cosh();
    org.apache.commons.math.complex.Complex complex23 = complex22.cos();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "(0.0, 0.0)"+ "'", str9.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "(0.0, 0.0)"+ "'", str13.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test498"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 4);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test499"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex2 = complex0.divide(23.7189981105004d);
    org.apache.commons.math.complex.Complex complex3 = complex2.atan();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str5 = complex4.toString();
    org.apache.commons.math.complex.Complex complex6 = complex4.tanh();
    org.apache.commons.math.complex.Complex complex8 = complex6.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex9 = complex2.add(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex9.sqrt1z();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "(0.0, 0.0)"+ "'", str5.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test500"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.9619293111271657d, 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 63040.99933402993d);

  }

}
