
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest3 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test001"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(303.5697911758657d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.482258551879637d);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test002"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(0.8881830331705799d, 1.528045345055677d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.6398623118850971d));

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test003"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(12.20607264554004d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 12.0d);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test004"); }


    double d2 = org.apache.commons.math.util.FastMath.pow((-0.9586967629285477d), 0.4054651081081644d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test005"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-5.863230431669847d), (java.lang.Number)472.99170677017315d, true);
    java.lang.String str4 = numberIsTooSmallException3.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.exception.NumberIsTooSmallException: -5.863 is smaller than the minimum (472.992)"+ "'", str4.equals("org.apache.commons.math.exception.NumberIsTooSmallException: -5.863 is smaller than the minimum (472.992)"));

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test006"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh((-90.85231683071339d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test007"); }


    float f2 = org.apache.commons.math.util.FastMath.min(9.536743E-7f, 1.3552529E-20f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.3552529E-20f);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test008"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex2 = complex0.tanh();
    org.apache.commons.math.complex.Complex complex4 = complex0.divide(1.5687425639732988d);
    org.apache.commons.math.complex.Complex complex5 = complex0.atan();
    org.apache.commons.math.complex.Complex complex6 = complex5.reciprocal();
    double d7 = complex6.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test009"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(10.000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 3);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test010"); }


    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.valueOf(0.0d, 63040.99933402993d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test011"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex5 = complex0.add(0.5d);
    org.apache.commons.math.complex.Complex complex6 = complex5.asin();
    double d7 = complex5.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.5d);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test012"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.0d, 3.399216241149525E248d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.399216241149525E248d);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test013"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(2.7764722807237177d, (-0.9586967629285477d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.375685444067651d);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test014"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = org.apache.commons.math.complex.Complex.valueOf(0.5d);
    boolean b4 = complex0.equals((java.lang.Object)0.5d);
    boolean b5 = complex0.isNaN();
    org.apache.commons.math.complex.Complex complex6 = complex0.sqrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test015"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(1.4942737807978699d, 1.567088411874469d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.07281463107659913d));

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test016"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.3995315539170533d, Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test017"); }


    float f2 = org.apache.commons.math.util.FastMath.max(1.3552529E-20f, 20.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 20.0f);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test018"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(5.279280537194311d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.3478438924827056d);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test019"); }


    double d1 = org.apache.commons.math.util.FastMath.sin((-2.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9092974268256817d));

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test020"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(30.33641479955664d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 30.336414799556643d);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test021"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)1.0d, (java.lang.Number)1, true);
    boolean b5 = numberIsTooSmallException4.getBoundIsAllowed();
    boolean b6 = numberIsTooSmallException4.getBoundIsAllowed();
    org.apache.commons.math.exception.NotPositiveException notPositiveException8 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)1.0000002f);
    numberIsTooSmallException4.addSuppressed((java.lang.Throwable)notPositiveException8);
    java.lang.Number number10 = numberIsTooSmallException4.getMin();
    boolean b11 = numberIsTooSmallException4.getBoundIsAllowed();
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException18 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable14, (java.lang.Number)1.0d, (java.lang.Number)1, true);
    java.lang.Throwable[] throwable_array19 = numberIsTooSmallException18.getSuppressed();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException20 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable13, (java.lang.Object[])throwable_array19);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException21 = new org.apache.commons.math.exception.NullArgumentException(localizable12, (java.lang.Object[])throwable_array19);
    numberIsTooSmallException4.addSuppressed((java.lang.Throwable)nullArgumentException21);
    org.apache.commons.math.exception.NotPositiveException notPositiveException24 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)1.1793769339918467d);
    nullArgumentException21.addSuppressed((java.lang.Throwable)notPositiveException24);
    boolean b26 = notPositiveException24.getBoundIsAllowed();
    java.lang.Number number27 = notPositiveException24.getMin();
    java.lang.Number number28 = notPositiveException24.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 1+ "'", number10.equals(1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number27 + "' != '" + 0+ "'", number27.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number28 + "' != '" + 1.1793769339918467d+ "'", number28.equals(1.1793769339918467d));

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test022"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.9015687974747479d, 155.74607629780772d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 155.74607629780772d);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test023"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.375685444067651d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.551115123125783E-17d);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test024"); }


    int i2 = org.apache.commons.math.util.FastMath.max((-1023), 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 8);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test025"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)1.0d, (java.lang.Number)1, true);
    boolean b5 = numberIsTooSmallException4.getBoundIsAllowed();
    boolean b6 = numberIsTooSmallException4.getBoundIsAllowed();
    org.apache.commons.math.exception.NotPositiveException notPositiveException8 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)1.0000002f);
    numberIsTooSmallException4.addSuppressed((java.lang.Throwable)notPositiveException8);
    java.lang.Number number10 = numberIsTooSmallException4.getMin();
    boolean b11 = numberIsTooSmallException4.getBoundIsAllowed();
    org.apache.commons.math.exception.util.Localizable localizable12 = null;
    org.apache.commons.math.exception.util.Localizable localizable13 = null;
    org.apache.commons.math.exception.util.Localizable localizable14 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException18 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable14, (java.lang.Number)1.0d, (java.lang.Number)1, true);
    java.lang.Throwable[] throwable_array19 = numberIsTooSmallException18.getSuppressed();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException20 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable13, (java.lang.Object[])throwable_array19);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException21 = new org.apache.commons.math.exception.NullArgumentException(localizable12, (java.lang.Object[])throwable_array19);
    numberIsTooSmallException4.addSuppressed((java.lang.Throwable)nullArgumentException21);
    org.apache.commons.math.exception.NotPositiveException notPositiveException24 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)1.1793769339918467d);
    nullArgumentException21.addSuppressed((java.lang.Throwable)notPositiveException24);
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException29 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)0.5090052002716081d, (java.lang.Number)0.09539284973523542d, true);
    nullArgumentException21.addSuppressed((java.lang.Throwable)numberIsTooSmallException29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 1+ "'", number10.equals(1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test026"); }


    float f2 = org.apache.commons.math.util.FastMath.max(1.1920929E-7f, 99.99999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 99.99999f);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test027"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    double d6 = complex5.abs();
    java.util.List list8 = complex5.nthRoot(100);
    org.apache.commons.math.complex.Complex complex9 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str10 = complex9.toString();
    org.apache.commons.math.complex.Complex complex12 = complex9.divide(10.0d);
    org.apache.commons.math.complex.Complex complex13 = complex9.atan();
    org.apache.commons.math.complex.Complex complex14 = complex9.sqrt();
    org.apache.commons.math.complex.Complex complex15 = complex9.atan();
    org.apache.commons.math.complex.Complex complex17 = complex9.divide(0.6948091529267435d);
    boolean b18 = complex5.equals((java.lang.Object)complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "(0.0, 0.0)"+ "'", str10.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test028"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(0.8245180957274355d, (-0.14937726636683846d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.07174550247359524d));

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test029"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(1.1368685E-13f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.3552527E-20f);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test030"); }


    long long1 = org.apache.commons.math.util.FastMath.round((-1.059306170823243d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-1L));

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test031"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    double d6 = complex5.abs();
    org.apache.commons.math.complex.Complex complex7 = complex5.negate();
    org.apache.commons.math.complex.Complex complex9 = complex5.pow((-1.0d));
    org.apache.commons.math.complex.Complex complex10 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str11 = complex10.toString();
    org.apache.commons.math.complex.Complex complex13 = complex10.divide(10.0d);
    org.apache.commons.math.complex.Complex complex14 = complex10.atan();
    org.apache.commons.math.complex.Complex complex15 = complex9.multiply(complex10);
    org.apache.commons.math.complex.Complex complex16 = complex9.exp();
    org.apache.commons.math.complex.Complex complex17 = complex16.sinh();
    org.apache.commons.math.complex.Complex complex18 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str19 = complex18.toString();
    org.apache.commons.math.complex.Complex complex21 = complex18.divide(10.0d);
    org.apache.commons.math.complex.Complex complex22 = complex18.atan();
    org.apache.commons.math.complex.Complex complex23 = complex18.sqrt();
    double d24 = complex23.abs();
    org.apache.commons.math.complex.Complex complex25 = complex23.negate();
    org.apache.commons.math.complex.Complex complex26 = complex25.negate();
    org.apache.commons.math.complex.Complex complex28 = complex26.multiply(0.5942523830676013d);
    org.apache.commons.math.complex.Complex complex29 = complex17.divide(complex26);
    org.apache.commons.math.complex.Complex complex30 = complex17.tan();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "(0.0, 0.0)"+ "'", str11.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "(0.0, 0.0)"+ "'", str19.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test032"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(0.9586967629285477d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test033"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(5.279280537194311d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test034"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex2 = complex0.tanh();
    org.apache.commons.math.complex.Complex complex3 = complex2.negate();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str5 = complex4.toString();
    org.apache.commons.math.complex.Complex complex6 = complex4.tanh();
    org.apache.commons.math.complex.Complex complex8 = complex6.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex9 = complex2.divide(complex8);
    org.apache.commons.math.complex.Complex complex10 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex12 = complex10.divide(23.7189981105004d);
    org.apache.commons.math.complex.Complex complex13 = complex9.add(complex12);
    org.apache.commons.math.complex.Complex complex14 = complex12.acos();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "(0.0, 0.0)"+ "'", str5.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test035"); }


    float f2 = org.apache.commons.math.util.FastMath.max(1.1920929E-7f, 10.000004f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.000004f);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test036"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.220446049250313E-16d);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test037"); }


    int i2 = org.apache.commons.math.util.FastMath.max(0, (-67));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test038"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(0.8043329073114001d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6362444267838565d);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test039"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.6508671710258651d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test040"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(1.0490207503157023d, 2.3506080457960225E65d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0490207503157023d);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test041"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(0.8944271909999159d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6389165189617602d);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test042"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(572.9577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.305661184154149d);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test043"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)3.207572102257646d, (java.lang.Number)(-1.8470663458581498d), true);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test044"); }


    double d2 = org.apache.commons.math.util.FastMath.log(0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test045"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(6.188080239632551d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 485.91045699282216d);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test046"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(0.011631784147364786d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.011699696406739273d);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test047"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)0.043779429008038606d);
    java.lang.Number number2 = notPositiveException1.getMin();
    java.lang.Throwable[] throwable_array3 = notPositiveException1.getSuppressed();
    boolean b4 = notPositiveException1.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0+ "'", number2.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test048"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(2.7401365421105055d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.319122119345715d);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test049"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(0.5403023058681559d, 0.9999499987499375d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.49538820127105165d);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test050"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)2.3478438924827056d, (java.lang.Number)(-1.1696075007034656E-39d), true);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test051"); }


    double d1 = org.apache.commons.math.util.FastMath.acos((-1.7886763089571092d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test052"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(1.065362353321561d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.35961776867846035d);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test053"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex2 = complex0.divide(23.7189981105004d);
    org.apache.commons.math.complex.Complex complex3 = complex2.atan();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str5 = complex4.toString();
    org.apache.commons.math.complex.Complex complex7 = complex4.divide(10.0d);
    org.apache.commons.math.complex.Complex complex8 = complex4.atan();
    org.apache.commons.math.complex.Complex complex9 = complex4.sqrt();
    double d10 = complex9.abs();
    org.apache.commons.math.complex.Complex complex11 = complex9.negate();
    org.apache.commons.math.complex.Complex complex13 = complex9.pow((-1.0d));
    org.apache.commons.math.complex.Complex complex14 = complex13.reciprocal();
    double d15 = complex13.getReal();
    org.apache.commons.math.complex.Complex complex16 = complex3.subtract(complex13);
    org.apache.commons.math.complex.Complex complex18 = complex3.multiply(53);
    org.apache.commons.math.complex.Complex complex19 = complex3.asin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "(0.0, 0.0)"+ "'", str5.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test054"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(1.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.1292794550948173d);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test055"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(1.570796319236628d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 89.99999956694312d);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test056"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    double d6 = complex5.abs();
    org.apache.commons.math.complex.Complex complex7 = complex5.negate();
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str9 = complex8.toString();
    org.apache.commons.math.complex.Complex complex11 = complex8.divide(10.0d);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str13 = complex12.toString();
    org.apache.commons.math.complex.Complex complex15 = complex12.divide(10.0d);
    org.apache.commons.math.complex.Complex complex16 = complex12.atan();
    double d17 = complex12.getReal();
    org.apache.commons.math.complex.Complex complex18 = complex11.divide(complex12);
    org.apache.commons.math.complex.Complex complex19 = complex18.sinh();
    org.apache.commons.math.complex.Complex complex20 = complex5.multiply(complex19);
    org.apache.commons.math.complex.Complex complex21 = complex19.sin();
    org.apache.commons.math.complex.Complex complex22 = complex19.cosh();
    org.apache.commons.math.complex.Complex complex23 = complex19.atan();
    org.apache.commons.math.complex.Complex complex24 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str25 = complex24.toString();
    org.apache.commons.math.complex.Complex complex27 = complex24.divide(10.0d);
    org.apache.commons.math.complex.Complex complex28 = complex24.atan();
    org.apache.commons.math.complex.Complex complex29 = complex24.sqrt();
    double d30 = complex29.abs();
    org.apache.commons.math.complex.Complex complex31 = complex29.negate();
    org.apache.commons.math.complex.Complex complex32 = complex29.sqrt1z();
    org.apache.commons.math.complex.Complex complex33 = complex32.sqrt();
    org.apache.commons.math.complex.Complex complex34 = complex23.add(complex32);
    org.apache.commons.math.complex.Complex complex36 = complex23.multiply(8);
    org.apache.commons.math.complex.Complex complex37 = complex23.tanh();
    double d38 = complex23.abs();
    org.apache.commons.math.complex.Complex complex39 = complex23.tanh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "(0.0, 0.0)"+ "'", str9.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "(0.0, 0.0)"+ "'", str13.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "(0.0, 0.0)"+ "'", str25.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d38, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex39);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test057"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    org.apache.commons.math.complex.Complex complex1 = complex0.tan();
    org.apache.commons.math.complex.Complex complex2 = complex0.tan();
    org.apache.commons.math.complex.Complex complex3 = complex2.sinh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test058"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    double d6 = complex5.abs();
    org.apache.commons.math.complex.Complex complex7 = complex5.negate();
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str9 = complex8.toString();
    org.apache.commons.math.complex.Complex complex11 = complex8.divide(10.0d);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str13 = complex12.toString();
    org.apache.commons.math.complex.Complex complex15 = complex12.divide(10.0d);
    org.apache.commons.math.complex.Complex complex16 = complex12.atan();
    double d17 = complex12.getReal();
    org.apache.commons.math.complex.Complex complex18 = complex11.divide(complex12);
    org.apache.commons.math.complex.Complex complex19 = complex18.sinh();
    org.apache.commons.math.complex.Complex complex20 = complex5.multiply(complex19);
    org.apache.commons.math.complex.Complex complex22 = complex19.multiply((-90));
    org.apache.commons.math.complex.Complex complex23 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.complex.Complex complex24 = complex22.multiply(complex23);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "(0.0, 0.0)"+ "'", str9.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "(0.0, 0.0)"+ "'", str13.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test059"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException8 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable4, (java.lang.Number)1.0d, (java.lang.Number)1, true);
    java.lang.Throwable[] throwable_array9 = numberIsTooSmallException8.getSuppressed();
    org.apache.commons.math.exception.NullArgumentException nullArgumentException10 = new org.apache.commons.math.exception.NullArgumentException(localizable3, (java.lang.Object[])throwable_array9);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException11 = new org.apache.commons.math.exception.NullArgumentException(localizable2, (java.lang.Object[])throwable_array9);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException12 = new org.apache.commons.math.exception.NullArgumentException(localizable1, (java.lang.Object[])throwable_array9);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException13 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test060"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(9.536744E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 9.536744E-7f);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test061"); }


    double d1 = org.apache.commons.math.util.FastMath.acos((-1.6493166245939337d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test062"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.39768215213524344d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.3976821521352434d);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test063"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(486.9104569928082d, 12.206072645590039d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5457331625816941d);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test064"); }


    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.valueOf(1.0879262505752219d, 1.2000587563996268d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test065"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(3.19675454364866d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9966608296038961d);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test066"); }


    float f2 = org.apache.commons.math.util.FastMath.min(3.0092655E-35f, 2.8E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.8E-45f);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test067"); }


    double d2 = org.apache.commons.math.util.FastMath.log(0.0d, 4.440892098500626E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test068"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp((-0.9971579522038727d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test069"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(572.9589415472485d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 572.9589415472486d);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test070"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str2 = complex1.toString();
    org.apache.commons.math.complex.Complex complex4 = complex1.divide(10.0d);
    org.apache.commons.math.complex.Complex complex5 = complex1.sqrt();
    org.apache.commons.math.complex.Complex complex6 = complex5.sqrt();
    org.apache.commons.math.complex.Complex complex7 = complex0.pow(complex5);
    org.apache.commons.math.complex.Complex complex8 = complex0.negate();
    org.apache.commons.math.complex.Complex complex9 = complex0.negate();
    org.apache.commons.math.complex.Complex complex11 = complex0.multiply((-8.818341496687935d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "(0.0, 0.0)"+ "'", str2.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test071"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(0.6389165189617602d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6019079232710782d);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test072"); }


    int i2 = org.apache.commons.math.util.FastMath.min((-46), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-46));

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test073"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex2 = complex0.tanh();
    org.apache.commons.math.complex.Complex complex4 = complex2.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex5 = complex2.sinh();
    boolean b6 = complex5.isInfinite();
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str8 = complex7.toString();
    org.apache.commons.math.complex.Complex complex10 = complex7.divide(10.0d);
    org.apache.commons.math.complex.Complex complex11 = complex10.cos();
    org.apache.commons.math.complex.Complex complex12 = complex10.sin();
    org.apache.commons.math.complex.Complex complex14 = complex10.pow(155.74607629780772d);
    org.apache.commons.math.complex.Complex complex15 = complex5.add(complex10);
    org.apache.commons.math.complex.Complex complex17 = complex5.divide(1.0E10d);
    // The following exception was thrown during execution in test generation
    try {
      java.util.List list19 = complex5.nthRoot((-2));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "(0.0, 0.0)"+ "'", str8.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test074"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    double d6 = complex5.abs();
    org.apache.commons.math.complex.Complex complex7 = complex5.negate();
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str9 = complex8.toString();
    org.apache.commons.math.complex.Complex complex11 = complex8.divide(10.0d);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str13 = complex12.toString();
    org.apache.commons.math.complex.Complex complex15 = complex12.divide(10.0d);
    org.apache.commons.math.complex.Complex complex16 = complex12.atan();
    double d17 = complex12.getReal();
    org.apache.commons.math.complex.Complex complex18 = complex11.divide(complex12);
    org.apache.commons.math.complex.Complex complex19 = complex18.sinh();
    org.apache.commons.math.complex.Complex complex20 = complex5.multiply(complex19);
    boolean b21 = complex20.isInfinite();
    org.apache.commons.math.complex.Complex complex22 = complex20.negate();
    org.apache.commons.math.complex.Complex complex23 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.complex.Complex complex24 = complex22.subtract(complex23);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "(0.0, 0.0)"+ "'", str9.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "(0.0, 0.0)"+ "'", str13.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test075"); }


    float f2 = org.apache.commons.math.util.FastMath.max(99.99999f, 6.776265E-21f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 99.99999f);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test076"); }


    int i1 = org.apache.commons.math.util.FastMath.round(5.6E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test077"); }


    double d2 = org.apache.commons.math.util.FastMath.max((-0.5286359299127451d), 4.60517028188129d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.60517028188129d);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test078"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    org.apache.commons.math.complex.Complex complex6 = complex0.negate();
    org.apache.commons.math.complex.Complex complex7 = complex6.cosh();
    java.util.List list9 = complex7.nthRoot(100);
    org.apache.commons.math.complex.Complex complex11 = complex7.multiply(2.4825777280150008d);
    org.apache.commons.math.complex.Complex complex13 = complex11.add(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test079"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.9717076235658828d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8258498289963965d);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test080"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp((-0.07505552985078214d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.07505552985078212d));

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test081"); }


    float f2 = org.apache.commons.math.util.FastMath.max(10.000006f, 1.192093E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.000006f);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test082"); }


    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.valueOf(1.2000587563996268d, (-0.23862835562346357d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test083"); }


    double d2 = org.apache.commons.math.util.FastMath.max(100000.00000348654d, 5.298292365610486d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 100000.00000348654d);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test084"); }


    int i2 = org.apache.commons.math.util.FastMath.min((-24), (-24));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-24));

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test085"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(0.9105984992126147d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 52.17345083582964d);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test086"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(1.3552529E-20f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-66));

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test087"); }


    int i2 = org.apache.commons.math.util.FastMath.min(100, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test088"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(9.62965E-35f, 1.1920929E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.62965E-35f);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test089"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(1.1920929E-7f, (-1.3309582279179017d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.1920928E-7f);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test090"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)2.324744925982535d);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test091"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(2.3693207897104474d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.974086066675887d));

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test092"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    double d6 = complex5.abs();
    org.apache.commons.math.complex.Complex complex7 = complex5.negate();
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str9 = complex8.toString();
    org.apache.commons.math.complex.Complex complex11 = complex8.divide(10.0d);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str13 = complex12.toString();
    org.apache.commons.math.complex.Complex complex15 = complex12.divide(10.0d);
    org.apache.commons.math.complex.Complex complex16 = complex12.atan();
    double d17 = complex12.getReal();
    org.apache.commons.math.complex.Complex complex18 = complex11.divide(complex12);
    org.apache.commons.math.complex.Complex complex19 = complex18.sinh();
    org.apache.commons.math.complex.Complex complex20 = complex5.multiply(complex19);
    double d21 = complex5.abs();
    org.apache.commons.math.complex.Complex complex22 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str23 = complex22.toString();
    org.apache.commons.math.complex.Complex complex25 = complex22.divide(10.0d);
    org.apache.commons.math.complex.Complex complex26 = complex5.subtract(complex25);
    double d27 = complex26.getArgument();
    org.apache.commons.math.complex.Complex complex29 = complex26.divide(0.0d);
    org.apache.commons.math.complex.Complex complex31 = complex26.add(0.7328188267635404d);
    org.apache.commons.math.complex.Complex complex32 = complex31.cos();
    org.apache.commons.math.complex.Complex complex33 = complex32.cosh();
    org.apache.commons.math.complex.Complex complex34 = complex32.acos();
    boolean b35 = complex32.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "(0.0, 0.0)"+ "'", str9.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "(0.0, 0.0)"+ "'", str13.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "(0.0, 0.0)"+ "'", str23.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test093"); }


    int i2 = org.apache.commons.math.util.FastMath.max(0, (-125));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test094"); }


    float f2 = org.apache.commons.math.util.FastMath.max((-1.0f), 10.000005f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.000005f);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test095"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter((-3.6205546773789417d), (-90.85231683071339d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-3.620554677378942d));

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test096"); }


    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.valueOf(1.439342592338763E20d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test097"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(9.536745E-7f, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.2089261E24f);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test098"); }


    int i2 = org.apache.commons.math.util.FastMath.min((-67), (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-67));

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test099"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)0.3995315539170533d);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test100"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(1.0198046810404027d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2059938906312264d);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test101"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(3.138498341311953d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.138498341311953d);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test102"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(45.198870041894786d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.504096872756152d);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test103"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex2 = complex0.tanh();
    org.apache.commons.math.complex.Complex complex3 = complex2.negate();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str5 = complex4.toString();
    org.apache.commons.math.complex.Complex complex7 = complex4.divide(10.0d);
    org.apache.commons.math.complex.Complex complex8 = complex7.cos();
    org.apache.commons.math.complex.Complex complex9 = complex7.sin();
    boolean b10 = complex3.equals((java.lang.Object)complex9);
    org.apache.commons.math.complex.Complex complex11 = complex9.sin();
    double d12 = complex11.getReal();
    boolean b13 = complex11.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "(0.0, 0.0)"+ "'", str5.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test104"); }


    org.apache.commons.math.complex.Complex complex1 = new org.apache.commons.math.complex.Complex(7.610125138662287d);
    org.apache.commons.math.complex.Complex complex2 = complex1.asin();
    org.apache.commons.math.complex.Complex complex4 = complex1.add(100.0d);
    org.apache.commons.math.complex.Complex complex6 = new org.apache.commons.math.complex.Complex(1.2352049125074833d);
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str8 = complex7.toString();
    org.apache.commons.math.complex.Complex complex10 = complex7.divide(10.0d);
    org.apache.commons.math.complex.Complex complex11 = complex10.cos();
    org.apache.commons.math.complex.Complex complex12 = complex6.divide(complex10);
    org.apache.commons.math.complex.Complex complex13 = complex12.sin();
    org.apache.commons.math.complex.Complex complex14 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str15 = complex14.toString();
    org.apache.commons.math.complex.Complex complex17 = complex14.divide(10.0d);
    org.apache.commons.math.complex.Complex complex18 = complex14.atan();
    org.apache.commons.math.complex.Complex complex19 = complex14.sqrt();
    double d20 = complex19.abs();
    org.apache.commons.math.complex.Complex complex21 = complex19.negate();
    org.apache.commons.math.complex.Complex complex22 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str23 = complex22.toString();
    org.apache.commons.math.complex.Complex complex25 = complex22.divide(10.0d);
    org.apache.commons.math.complex.Complex complex26 = complex22.atan();
    double d27 = complex22.getReal();
    boolean b28 = complex22.isNaN();
    org.apache.commons.math.complex.Complex complex29 = complex21.subtract(complex22);
    org.apache.commons.math.complex.Complex complex30 = complex13.add(complex21);
    org.apache.commons.math.complex.Complex complex31 = complex1.add(complex13);
    org.apache.commons.math.complex.Complex complex32 = complex1.cos();
    org.apache.commons.math.complex.Complex complex34 = complex1.subtract(4.5172688813910025d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "(0.0, 0.0)"+ "'", str8.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "(0.0, 0.0)"+ "'", str15.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "(0.0, 0.0)"+ "'", str23.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex34);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test105"); }


    double d1 = org.apache.commons.math.util.FastMath.acos((-0.3822600141938727d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.9630371474446777d);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test106"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(1.92593E-34f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.9259302E-34f);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test107"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    double d6 = complex5.abs();
    org.apache.commons.math.complex.Complex complex7 = complex5.negate();
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str9 = complex8.toString();
    org.apache.commons.math.complex.Complex complex11 = complex8.divide(10.0d);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str13 = complex12.toString();
    org.apache.commons.math.complex.Complex complex15 = complex12.divide(10.0d);
    org.apache.commons.math.complex.Complex complex16 = complex12.atan();
    double d17 = complex12.getReal();
    org.apache.commons.math.complex.Complex complex18 = complex11.divide(complex12);
    org.apache.commons.math.complex.Complex complex19 = complex18.sinh();
    org.apache.commons.math.complex.Complex complex20 = complex5.multiply(complex19);
    org.apache.commons.math.complex.Complex complex21 = complex19.sin();
    org.apache.commons.math.complex.Complex complex22 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str23 = complex22.toString();
    org.apache.commons.math.complex.Complex complex25 = complex22.divide(10.0d);
    org.apache.commons.math.complex.Complex complex27 = complex25.multiply(0);
    org.apache.commons.math.complex.Complex complex28 = org.apache.commons.math.complex.Complex.ZERO;
    org.apache.commons.math.complex.Complex complex29 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str30 = complex29.toString();
    org.apache.commons.math.complex.Complex complex32 = complex29.divide(10.0d);
    org.apache.commons.math.complex.Complex complex33 = complex29.sqrt();
    org.apache.commons.math.complex.Complex complex34 = complex33.sqrt();
    org.apache.commons.math.complex.Complex complex35 = complex28.pow(complex33);
    org.apache.commons.math.complex.Complex complex36 = complex25.add(complex35);
    org.apache.commons.math.complex.Complex complex37 = complex36.log();
    org.apache.commons.math.complex.Complex complex38 = complex21.add(complex37);
    org.apache.commons.math.complex.Complex complex39 = complex21.asin();
    double d40 = complex21.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "(0.0, 0.0)"+ "'", str9.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "(0.0, 0.0)"+ "'", str13.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "(0.0, 0.0)"+ "'", str23.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "(0.0, 0.0)"+ "'", str30.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d40, Double.NaN, 0);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test108"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(1.0000000000001642E10d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test109"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)100.00000958932033d);
    boolean b2 = notPositiveException1.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test110"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex2 = complex0.divide(23.7189981105004d);
    org.apache.commons.math.complex.Complex complex3 = complex2.atan();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str5 = complex4.toString();
    org.apache.commons.math.complex.Complex complex6 = complex4.tanh();
    org.apache.commons.math.complex.Complex complex8 = complex6.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex9 = complex2.add(complex8);
    java.lang.String str10 = complex8.toString();
    org.apache.commons.math.complex.Complex complex11 = complex8.sinh();
    org.apache.commons.math.complex.Complex complex12 = complex8.sqrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "(0.0, 0.0)"+ "'", str5.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "(NaN, NaN)"+ "'", str10.equals("(NaN, NaN)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test111"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str2 = complex1.toString();
    org.apache.commons.math.complex.Complex complex4 = complex1.divide(10.0d);
    org.apache.commons.math.complex.Complex complex5 = complex1.sqrt();
    org.apache.commons.math.complex.Complex complex6 = complex5.sqrt();
    org.apache.commons.math.complex.Complex complex7 = complex0.pow(complex5);
    org.apache.commons.math.complex.Complex complex8 = complex0.negate();
    org.apache.commons.math.complex.Complex complex9 = complex8.tan();
    org.apache.commons.math.complex.Complex complex11 = complex8.multiply(12.20607264554004d);
    org.apache.commons.math.complex.Complex complex12 = complex11.cosh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "(0.0, 0.0)"+ "'", str2.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test112"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)(-0.09539284973523542d), (java.lang.Number)3.19675454364866d, true);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test113"); }


    double d1 = org.apache.commons.math.util.FastMath.log((-0.6398623118850971d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test114"); }


    double d1 = org.apache.commons.math.util.FastMath.exp((-0.5834872929478288d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5579492375075006d);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test115"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(1.1608753909688045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.752969407740712d);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test116"); }


    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.valueOf(0.9442157056960554d);
    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str3 = complex2.toString();
    org.apache.commons.math.complex.Complex complex5 = complex2.divide(10.0d);
    org.apache.commons.math.complex.Complex complex6 = complex2.atan();
    org.apache.commons.math.complex.Complex complex7 = complex2.sqrt();
    double d8 = complex7.abs();
    org.apache.commons.math.complex.Complex complex9 = complex7.negate();
    org.apache.commons.math.complex.Complex complex11 = complex7.pow((-1.0d));
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str13 = complex12.toString();
    org.apache.commons.math.complex.Complex complex15 = complex12.divide(10.0d);
    org.apache.commons.math.complex.Complex complex16 = complex12.atan();
    org.apache.commons.math.complex.Complex complex17 = complex11.multiply(complex12);
    org.apache.commons.math.complex.Complex complex19 = complex11.multiply(2.642452923762922d);
    org.apache.commons.math.complex.Complex complex20 = complex19.negate();
    org.apache.commons.math.complex.Complex complex21 = complex1.divide(complex19);
    java.lang.String str22 = complex19.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "(0.0, 0.0)"+ "'", str3.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "(0.0, 0.0)"+ "'", str13.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "(NaN, NaN)"+ "'", str22.equals("(NaN, NaN)"));

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test117"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter((-0.07174550247359524d), (-0.7853981633974483d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.07174550247359525d));

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test118"); }


    org.apache.commons.math.complex.Complex complex1 = new org.apache.commons.math.complex.Complex(0.19869400191985884d);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test119"); }


    int i2 = org.apache.commons.math.util.FastMath.min(3, 67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 3);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test120"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh((-0.6792955392460595d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.635622337120484d));

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test121"); }


    float f2 = org.apache.commons.math.util.FastMath.max(1.92593E-34f, 1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.92593E-34f);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test122"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.6487212707001282d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2179033476226095d);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test123"); }


    double d2 = org.apache.commons.math.util.FastMath.min(17.423254322194403d, (-0.16029076555239063d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.16029076555239063d));

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test124"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.04213534355718506d, 0.6218798476153413d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6218798476153413d);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test125"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex3.cos();
    org.apache.commons.math.complex.Complex complex5 = complex3.sin();
    org.apache.commons.math.complex.Complex complex7 = complex3.pow(155.74607629780772d);
    org.apache.commons.math.complex.Complex complex8 = complex3.tan();
    org.apache.commons.math.complex.Complex complex9 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str10 = complex9.toString();
    org.apache.commons.math.complex.Complex complex12 = complex9.divide(10.0d);
    org.apache.commons.math.complex.Complex complex13 = complex9.sqrt();
    org.apache.commons.math.complex.Complex complex14 = complex13.sqrt();
    org.apache.commons.math.complex.Complex complex15 = complex3.divide(complex14);
    // The following exception was thrown during execution in test generation
    try {
      java.util.List list17 = complex14.nthRoot((-46));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "(0.0, 0.0)"+ "'", str10.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test126"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    double d6 = complex5.abs();
    org.apache.commons.math.complex.Complex complex7 = complex5.negate();
    org.apache.commons.math.complex.Complex complex9 = complex5.pow((-1.0d));
    org.apache.commons.math.complex.Complex complex10 = complex9.reciprocal();
    org.apache.commons.math.complex.Complex complex12 = complex10.multiply(0.0d);
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str14 = complex13.toString();
    org.apache.commons.math.complex.Complex complex16 = complex13.divide(10.0d);
    org.apache.commons.math.complex.Complex complex17 = complex16.cos();
    org.apache.commons.math.complex.Complex complex18 = complex16.sin();
    org.apache.commons.math.complex.Complex complex20 = complex16.pow(155.74607629780772d);
    org.apache.commons.math.complex.Complex complex21 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str22 = complex21.toString();
    org.apache.commons.math.complex.Complex complex24 = complex21.divide(10.0d);
    org.apache.commons.math.complex.Complex complex25 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str26 = complex25.toString();
    org.apache.commons.math.complex.Complex complex28 = complex25.divide(10.0d);
    org.apache.commons.math.complex.Complex complex29 = complex25.atan();
    double d30 = complex25.getReal();
    org.apache.commons.math.complex.Complex complex31 = complex24.divide(complex25);
    org.apache.commons.math.complex.Complex complex32 = complex31.sinh();
    org.apache.commons.math.complex.Complex complex33 = complex20.divide(complex31);
    org.apache.commons.math.complex.Complex complex34 = complex10.add(complex33);
    org.apache.commons.math.complex.Complex complex35 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str36 = complex35.toString();
    org.apache.commons.math.complex.Complex complex38 = complex35.divide(10.0d);
    org.apache.commons.math.complex.Complex complex39 = complex35.atan();
    org.apache.commons.math.complex.Complex complex40 = complex33.add(complex35);
    boolean b42 = complex33.equals((java.lang.Object)(-8));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "(0.0, 0.0)"+ "'", str14.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "(0.0, 0.0)"+ "'", str22.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "(0.0, 0.0)"+ "'", str26.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "(0.0, 0.0)"+ "'", str36.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test127"); }


    float f2 = org.apache.commons.math.util.FastMath.min(20.0f, 5.6E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 5.6E-45f);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test128"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(1.0879262505752219d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0284893967016424d);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test129"); }


    double d2 = org.apache.commons.math.util.FastMath.log(0.0d, 0.6348421622198784d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test130"); }


    double d1 = org.apache.commons.math.util.FastMath.tan((-9.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.45231565944180985d);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test131"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str5 = complex4.toString();
    org.apache.commons.math.complex.Complex complex7 = complex4.divide(10.0d);
    org.apache.commons.math.complex.Complex complex8 = complex4.atan();
    double d9 = complex4.getReal();
    org.apache.commons.math.complex.Complex complex10 = complex3.divide(complex4);
    double d11 = complex3.getArgument();
    org.apache.commons.math.complex.Complex complex12 = complex3.negate();
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str14 = complex13.toString();
    org.apache.commons.math.complex.Complex complex16 = complex13.divide(10.0d);
    org.apache.commons.math.complex.Complex complex18 = complex13.add(0.5d);
    org.apache.commons.math.complex.Complex complex19 = complex3.divide(complex13);
    double d20 = complex13.getImaginary();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "(0.0, 0.0)"+ "'", str5.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "(0.0, 0.0)"+ "'", str14.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test132"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(5.279280537194311d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.8372554097761016d);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test133"); }


    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.valueOf(1.6577230712881387E-41d, 2.8941854702254513d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test134"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(0.8245180957274355d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8245180957274356d);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test135"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.complex.Complex complex3 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str4 = complex3.toString();
    org.apache.commons.math.complex.Complex complex6 = complex3.divide(10.0d);
    org.apache.commons.math.complex.Complex complex7 = complex6.cos();
    org.apache.commons.math.complex.Complex complex8 = complex7.sqrt();
    org.apache.commons.math.complex.Complex complex9 = complex8.sqrt1z();
    java.lang.Object[] obj_array10 = new java.lang.Object[] { complex9 };
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable2, obj_array10);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable1, obj_array10);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException13 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "(0.0, 0.0)"+ "'", str4.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test136"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex2 = complex0.tanh();
    org.apache.commons.math.complex.Complex complex4 = complex2.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str6 = complex5.toString();
    org.apache.commons.math.complex.Complex complex8 = complex5.divide(10.0d);
    org.apache.commons.math.complex.Complex complex9 = complex5.sqrt();
    org.apache.commons.math.complex.Complex complex10 = complex9.sqrt();
    org.apache.commons.math.complex.Complex complex11 = complex4.divide(complex9);
    org.apache.commons.math.complex.Complex complex12 = complex4.negate();
    org.apache.commons.math.complex.Complex complex13 = complex12.tan();
    org.apache.commons.math.complex.Complex complex15 = complex13.multiply(0.004068909791782042d);
    org.apache.commons.math.complex.Complex complex16 = complex13.conjugate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "(0.0, 0.0)"+ "'", str6.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test137"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp((-0.1917784567757468d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.7755575615628914E-17d);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test138"); }


    double d2 = org.apache.commons.math.util.FastMath.min(5.279280537194312d, 0.2327763104874101d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.2327763104874101d);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test139"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex3.log();
    org.apache.commons.math.complex.Complex complex6 = complex3.multiply(0);
    org.apache.commons.math.complex.Complex complex8 = complex3.pow(0.7584597774815581d);
    org.apache.commons.math.complex.Complex complex9 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str10 = complex9.toString();
    org.apache.commons.math.complex.Complex complex12 = complex9.divide(10.0d);
    org.apache.commons.math.complex.Complex complex13 = complex12.cos();
    org.apache.commons.math.complex.Complex complex15 = complex12.subtract((-1.1646962223442412d));
    org.apache.commons.math.complex.Complex complex16 = complex15.sqrt1z();
    org.apache.commons.math.complex.Complex complex17 = complex16.tan();
    org.apache.commons.math.complex.Complex complex18 = complex8.add(complex17);
    org.apache.commons.math.complex.Complex complex20 = complex18.add(1.9630371474446777d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "(0.0, 0.0)"+ "'", str10.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test140"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)486.91045699282256d, (java.lang.Number)0.27870244104338554d, true);
    boolean b5 = numberIsTooSmallException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test141"); }


    double d2 = org.apache.commons.math.util.FastMath.min((-0.4830369085648982d), 572.9577951308233d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.4830369085648982d));

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test142"); }


    double d2 = org.apache.commons.math.util.FastMath.max(100000.0d, 2.0926878881656236E-11d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 100000.0d);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test143"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh((-88.02969193111305d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-8.50705917302342E37d));

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test144"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(4.504096872756152d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7054927009042369d);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test145"); }


    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.valueOf(0.5d);
    org.apache.commons.math.complex.Complex complex2 = complex1.exp();
    org.apache.commons.math.complex.Complex complex3 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str4 = complex3.toString();
    org.apache.commons.math.complex.Complex complex5 = complex3.tanh();
    org.apache.commons.math.complex.Complex complex6 = complex3.sqrt();
    org.apache.commons.math.complex.Complex complex8 = complex6.subtract(155.74607629780772d);
    boolean b9 = complex1.equals((java.lang.Object)155.74607629780772d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "(0.0, 0.0)"+ "'", str4.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test146"); }


    long long1 = org.apache.commons.math.util.FastMath.round(6.098422370824876E-42d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test147"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)1.1435277726381747E-7d, (java.lang.Number)(-0.8518641724177005d), false);
    java.lang.Number number4 = numberIsTooSmallException3.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + (-0.8518641724177005d)+ "'", number4.equals((-0.8518641724177005d)));

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test148"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)16, (java.lang.Number)2.220446049250313E-16d, false);
    java.lang.Number number5 = numberIsTooSmallException4.getArgument();
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException10 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable6, (java.lang.Number)16, (java.lang.Number)2.220446049250313E-16d, false);
    java.lang.Number number11 = numberIsTooSmallException10.getArgument();
    java.lang.Number number12 = numberIsTooSmallException10.getArgument();
    java.lang.Throwable[] throwable_array13 = numberIsTooSmallException10.getSuppressed();
    numberIsTooSmallException4.addSuppressed((java.lang.Throwable)numberIsTooSmallException10);
    org.apache.commons.math.exception.util.Localizable localizable15 = null;
    java.lang.Object[] obj_array16 = null;
    org.apache.commons.math.exception.NullArgumentException nullArgumentException17 = new org.apache.commons.math.exception.NullArgumentException(localizable15, obj_array16);
    numberIsTooSmallException10.addSuppressed((java.lang.Throwable)nullArgumentException17);
    boolean b19 = numberIsTooSmallException10.getBoundIsAllowed();
    org.apache.commons.math.exception.util.Localizable localizable20 = null;
    java.lang.Number number21 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException24 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable20, number21, (java.lang.Number)1.0561710704371283d, false);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext25 = numberIsTooSmallException24.getContext();
    numberIsTooSmallException10.addSuppressed((java.lang.Throwable)numberIsTooSmallException24);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str27 = numberIsTooSmallException10.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 16+ "'", number5.equals(16));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 16+ "'", number11.equals(16));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 16+ "'", number12.equals(16));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext25);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test149"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.375685444067651d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test150"); }


    org.apache.commons.math.complex.Complex complex2 = new org.apache.commons.math.complex.Complex(Double.NEGATIVE_INFINITY, Double.POSITIVE_INFINITY);
    org.apache.commons.math.complex.Complex complex4 = complex2.multiply(0.011699696406739273d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test151"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(572.9589415472485d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.37251511919566827d);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test152"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test153"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(5.9604645E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test154"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex2 = complex0.divide(23.7189981105004d);
    org.apache.commons.math.complex.Complex complex3 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str4 = complex3.toString();
    org.apache.commons.math.complex.Complex complex6 = complex3.divide(10.0d);
    org.apache.commons.math.complex.Complex complex8 = complex3.add(0.5d);
    boolean b9 = complex3.isNaN();
    org.apache.commons.math.complex.Complex complex10 = complex0.pow(complex3);
    org.apache.commons.math.complex.Complex complex11 = complex10.sqrt1z();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "(0.0, 0.0)"+ "'", str4.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test155"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(1.9724241318574138d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.962026636533389d);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test156"); }


    float f2 = org.apache.commons.math.util.FastMath.min(3.009266E-35f, 10.000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 3.009266E-35f);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test157"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str5 = complex4.toString();
    org.apache.commons.math.complex.Complex complex7 = complex4.divide(10.0d);
    org.apache.commons.math.complex.Complex complex8 = complex4.atan();
    double d9 = complex4.getReal();
    org.apache.commons.math.complex.Complex complex10 = complex3.divide(complex4);
    double d11 = complex3.getArgument();
    org.apache.commons.math.complex.Complex complex12 = complex3.cos();
    org.apache.commons.math.complex.Complex complex15 = new org.apache.commons.math.complex.Complex(155.74607629780772d, 9.498053558627485E-40d);
    boolean b16 = complex3.equals((java.lang.Object)9.498053558627485E-40d);
    org.apache.commons.math.complex.Complex complex17 = complex3.cos();
    org.apache.commons.math.complex.Complex complex18 = complex17.cosh();
    org.apache.commons.math.complex.Complex complex19 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str20 = complex19.toString();
    org.apache.commons.math.complex.Complex complex22 = org.apache.commons.math.complex.Complex.valueOf(0.5d);
    boolean b23 = complex19.equals((java.lang.Object)0.5d);
    boolean b24 = complex19.isNaN();
    org.apache.commons.math.complex.Complex complex25 = complex17.multiply(complex19);
    org.apache.commons.math.complex.Complex complex27 = complex17.multiply(4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "(0.0, 0.0)"+ "'", str5.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "(0.0, 0.0)"+ "'", str20.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test158"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb((-0.9586967629285477d), 43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-8.432785906809195E12d));

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test159"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(0.40546510810816444d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.430172079611217d);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test160"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(8.0779357E-28f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 8.0779357E-28f);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test161"); }


    org.apache.commons.math.complex.Complex complex1 = new org.apache.commons.math.complex.Complex((-0.822564460074651d));

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test162"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex5 = complex3.multiply(0);
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str7 = complex6.toString();
    org.apache.commons.math.complex.Complex complex9 = complex6.divide(10.0d);
    org.apache.commons.math.complex.Complex complex10 = complex3.add(complex6);
    java.lang.String str11 = complex3.toString();
    org.apache.commons.math.complex.Complex complex13 = complex3.subtract(472.99170677017315d);
    org.apache.commons.math.complex.Complex complex14 = complex13.sin();
    org.apache.commons.math.complex.Complex complex15 = complex14.sin();
    org.apache.commons.math.complex.Complex complex16 = complex14.sinh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "(0.0, 0.0)"+ "'", str7.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "(0.0, 0.0)"+ "'", str11.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test163"); }


    double d2 = org.apache.commons.math.util.FastMath.log((-1.5707963267948966d), 1.5457331625816941d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test164"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(6.776264E-21f, 5.8774723E-38f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 6.776264E-21f);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test165"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot((-0.5504775027817989d), (-0.13545265870814766d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5668976131718948d);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test166"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.6362444267838565d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test167"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)303.5697911758657d, (java.lang.Number)(-2.3255682831178905d), false);
    boolean b5 = numberIsTooSmallException4.getBoundIsAllowed();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str6 = numberIsTooSmallException4.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test168"); }


    float f2 = org.apache.commons.math.util.FastMath.min(9.536745E-7f, 1.3552527E-20f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.3552527E-20f);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test169"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException5 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable1, number2, (java.lang.Number)1.5707963267948966d, false);
    java.lang.Number number6 = numberIsTooSmallException5.getArgument();
    java.lang.Throwable[] throwable_array7 = numberIsTooSmallException5.getSuppressed();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array7);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str9 = mathIllegalArgumentException8.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test170"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(9.536743E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 9.536743E-7f);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test171"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(0.0628021977353121d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test172"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex5 = complex3.multiply(0);
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.ZERO;
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str8 = complex7.toString();
    org.apache.commons.math.complex.Complex complex10 = complex7.divide(10.0d);
    org.apache.commons.math.complex.Complex complex11 = complex7.sqrt();
    org.apache.commons.math.complex.Complex complex12 = complex11.sqrt();
    org.apache.commons.math.complex.Complex complex13 = complex6.pow(complex11);
    org.apache.commons.math.complex.Complex complex14 = complex11.sin();
    org.apache.commons.math.complex.Complex complex15 = complex5.divide(complex14);
    org.apache.commons.math.complex.Complex complex16 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str17 = complex16.toString();
    org.apache.commons.math.complex.Complex complex19 = complex16.divide(10.0d);
    org.apache.commons.math.complex.Complex complex20 = complex19.cos();
    org.apache.commons.math.complex.Complex complex21 = complex19.sin();
    org.apache.commons.math.complex.Complex complex23 = complex19.pow(155.74607629780772d);
    org.apache.commons.math.complex.Complex complex24 = complex19.tan();
    org.apache.commons.math.complex.Complex complex25 = complex5.add(complex19);
    org.apache.commons.math.complex.Complex complex26 = complex5.negate();
    org.apache.commons.math.complex.Complex complex27 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str28 = complex27.toString();
    org.apache.commons.math.complex.Complex complex30 = complex27.divide(10.0d);
    org.apache.commons.math.complex.Complex complex31 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str32 = complex31.toString();
    org.apache.commons.math.complex.Complex complex34 = complex31.divide(10.0d);
    org.apache.commons.math.complex.Complex complex35 = complex31.atan();
    double d36 = complex31.getReal();
    org.apache.commons.math.complex.Complex complex37 = complex30.divide(complex31);
    double d38 = complex30.getArgument();
    org.apache.commons.math.complex.Complex complex39 = complex30.sqrt();
    org.apache.commons.math.complex.Complex complex41 = new org.apache.commons.math.complex.Complex(1.2352049125074833d);
    org.apache.commons.math.complex.Complex complex42 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str43 = complex42.toString();
    org.apache.commons.math.complex.Complex complex45 = complex42.divide(10.0d);
    org.apache.commons.math.complex.Complex complex46 = complex45.cos();
    org.apache.commons.math.complex.Complex complex47 = complex41.divide(complex45);
    org.apache.commons.math.complex.Complex complex48 = complex41.tanh();
    org.apache.commons.math.complex.Complex complex49 = complex39.multiply(complex48);
    org.apache.commons.math.complex.Complex complex50 = complex49.acos();
    org.apache.commons.math.complex.Complex complex51 = complex5.subtract(complex50);
    org.apache.commons.math.complex.Complex complex52 = complex5.sinh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "(0.0, 0.0)"+ "'", str8.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "(0.0, 0.0)"+ "'", str17.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "(0.0, 0.0)"+ "'", str28.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "(0.0, 0.0)"+ "'", str32.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "(0.0, 0.0)"+ "'", str43.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex52);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test173"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.6324141749317368d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6324141749317368d);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test174"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.0025131448409034325d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0025131395500021694d);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test175"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-9.0d), (java.lang.Number)486.9104569928082d, true);
    java.lang.String str4 = numberIsTooSmallException3.toString();
    java.lang.String str5 = numberIsTooSmallException3.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.exception.NumberIsTooSmallException: -9 is smaller than the minimum (486.91)"+ "'", str4.equals("org.apache.commons.math.exception.NumberIsTooSmallException: -9 is smaller than the minimum (486.91)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.exception.NumberIsTooSmallException: -9 is smaller than the minimum (486.91)"+ "'", str5.equals("org.apache.commons.math.exception.NumberIsTooSmallException: -9 is smaller than the minimum (486.91)"));

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test176"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)8);
    boolean b3 = notPositiveException2.getBoundIsAllowed();
    java.lang.Number number4 = notPositiveException2.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0+ "'", number4.equals(0));

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test177"); }


    int i2 = org.apache.commons.math.util.FastMath.min((-125), 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-125));

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test178"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(2.3247449259825346d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test179"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.7584597774815581d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6401688428505081d);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test180"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test181"); }


    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.valueOf(0.5d, 0.7320611188953036d);
    org.apache.commons.math.complex.Complex complex3 = complex2.tan();
    org.apache.commons.math.complex.Complex complex4 = complex3.acos();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test182"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot((-0.5286359299127451d), (-0.48607150758268913d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7181374916256782d);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test183"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(1.0000004f, 0.7320611188953037d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0000002f);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test184"); }


    double d2 = org.apache.commons.math.util.FastMath.min(1.570796319236628d, 0.5942523830676013d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5942523830676013d);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test185"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)1.0d, (java.lang.Number)1, true);
    boolean b5 = numberIsTooSmallException4.getBoundIsAllowed();
    boolean b6 = numberIsTooSmallException4.getBoundIsAllowed();
    java.lang.Throwable[] throwable_array7 = numberIsTooSmallException4.getSuppressed();
    java.lang.Number number8 = numberIsTooSmallException4.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 1+ "'", number8.equals(1));

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test186"); }


    int i1 = org.apache.commons.math.util.FastMath.round(2.8E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test187"); }


    double d1 = org.apache.commons.math.util.FastMath.sin((-0.5286359299127451d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5043559419342322d));

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test188"); }


    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.valueOf(0.9573014409119268d, (-0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test189"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(0.04213534355718506d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.04213534355718507d);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test190"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(1.570796319236628d, 89.73737489286466d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 89.7511217408399d);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test191"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex2 = complex0.tanh();
    org.apache.commons.math.complex.Complex complex4 = complex2.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str6 = complex5.toString();
    org.apache.commons.math.complex.Complex complex8 = complex5.divide(10.0d);
    org.apache.commons.math.complex.Complex complex9 = complex5.sqrt();
    org.apache.commons.math.complex.Complex complex10 = complex9.sqrt();
    org.apache.commons.math.complex.Complex complex11 = complex4.divide(complex9);
    org.apache.commons.math.complex.Complex complex12 = complex11.cosh();
    org.apache.commons.math.complex.Complex complex13 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.complex.Complex complex14 = complex11.multiply(complex13);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException");
    } catch (org.apache.commons.math.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "(0.0, 0.0)"+ "'", str6.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test192"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(10.000003f, 1.3552529E-20f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.000003f);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test193"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex5 = complex3.multiply(0);
    org.apache.commons.math.complex.Complex complex7 = complex5.subtract(1.633123935319537E16d);
    org.apache.commons.math.complex.Complex complex9 = complex5.subtract(2.9387358770557188E-39d);
    org.apache.commons.math.complex.Complex complex11 = complex9.multiply(127);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str13 = complex12.toString();
    org.apache.commons.math.complex.Complex complex15 = complex12.divide(10.0d);
    org.apache.commons.math.complex.Complex complex16 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str17 = complex16.toString();
    org.apache.commons.math.complex.Complex complex19 = complex16.divide(10.0d);
    org.apache.commons.math.complex.Complex complex20 = complex16.atan();
    double d21 = complex16.getReal();
    org.apache.commons.math.complex.Complex complex22 = complex15.divide(complex16);
    double d23 = complex15.getArgument();
    org.apache.commons.math.complex.Complex complex24 = complex15.sqrt();
    org.apache.commons.math.complex.Complex complex25 = complex11.add(complex15);
    double d26 = complex11.getImaginary();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "(0.0, 0.0)"+ "'", str13.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "(0.0, 0.0)"+ "'", str17.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test194"); }


    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.valueOf(0.5d, 0.7320611188953036d);
    org.apache.commons.math.complex.Complex complex3 = complex2.reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test195"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    double d6 = complex5.abs();
    org.apache.commons.math.complex.Complex complex7 = complex5.negate();
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str9 = complex8.toString();
    org.apache.commons.math.complex.Complex complex11 = complex8.divide(10.0d);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str13 = complex12.toString();
    org.apache.commons.math.complex.Complex complex15 = complex12.divide(10.0d);
    org.apache.commons.math.complex.Complex complex16 = complex12.atan();
    double d17 = complex12.getReal();
    org.apache.commons.math.complex.Complex complex18 = complex11.divide(complex12);
    org.apache.commons.math.complex.Complex complex19 = complex18.sinh();
    org.apache.commons.math.complex.Complex complex20 = complex5.multiply(complex19);
    org.apache.commons.math.complex.Complex complex21 = complex19.sin();
    org.apache.commons.math.complex.Complex complex22 = complex21.acos();
    org.apache.commons.math.complex.Complex complex23 = complex21.sin();
    org.apache.commons.math.complex.Complex complex24 = complex23.sinh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "(0.0, 0.0)"+ "'", str9.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "(0.0, 0.0)"+ "'", str13.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test196"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder((-0.29327778065395443d), 0.8671351611529159d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.29327778065395443d));

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test197"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex2 = complex0.tanh();
    org.apache.commons.math.complex.Complex complex4 = complex2.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex5 = complex2.sinh();
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str7 = complex6.toString();
    org.apache.commons.math.complex.Complex complex8 = complex6.tanh();
    org.apache.commons.math.complex.Complex complex10 = complex8.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex11 = complex8.sinh();
    boolean b12 = complex5.equals((java.lang.Object)complex11);
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str14 = complex13.toString();
    org.apache.commons.math.complex.Complex complex15 = complex13.tanh();
    org.apache.commons.math.complex.Complex complex16 = complex15.negate();
    org.apache.commons.math.complex.Complex complex17 = complex11.divide(complex16);
    org.apache.commons.math.complex.Complex complex18 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str19 = complex18.toString();
    org.apache.commons.math.complex.Complex complex21 = complex18.divide(10.0d);
    org.apache.commons.math.complex.Complex complex22 = complex18.atan();
    org.apache.commons.math.complex.Complex complex23 = complex17.pow(complex18);
    double d24 = complex18.getReal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "(0.0, 0.0)"+ "'", str7.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "(0.0, 0.0)"+ "'", str14.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "(0.0, 0.0)"+ "'", str19.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test198"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str2 = complex1.toString();
    org.apache.commons.math.complex.Complex complex4 = complex1.divide(10.0d);
    org.apache.commons.math.complex.Complex complex5 = complex1.sqrt();
    org.apache.commons.math.complex.Complex complex6 = complex5.sqrt();
    org.apache.commons.math.complex.Complex complex7 = complex0.pow(complex5);
    org.apache.commons.math.complex.Complex complex8 = complex5.sin();
    org.apache.commons.math.complex.Complex complex9 = complex8.negate();
    double d10 = complex9.getImaginary();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "(0.0, 0.0)"+ "'", str2.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == (-0.0d));

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test199"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh((-105.82910609832321d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-4.5705325645604523E45d));

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test200"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.7888691004120912d, 89.7511217408399d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7888691004120914d);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test201"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)0.043779429008038606d);
    java.lang.String str2 = notPositiveException1.toString();
    boolean b3 = notPositiveException1.getBoundIsAllowed();
    java.lang.Throwable[] throwable_array4 = notPositiveException1.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.exception.NotPositiveException: 0.044 is smaller than the minimum (0)"+ "'", str2.equals("org.apache.commons.math.exception.NotPositiveException: 0.044 is smaller than the minimum (0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test202"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.35961776867846035d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.065362353321561d);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test203"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(0.6348421622198784d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.49154626282065744d);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test204"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(20.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 20.000002f);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test205"); }


    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.valueOf(0.19611987703015266d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test206"); }


    int i2 = org.apache.commons.math.util.FastMath.max(0, (-24));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test207"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(3.207572102257646d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 24.718998110500415d);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test208"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(5.6E-45f, 2.3506080457960225E65d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.0E-45f);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test209"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p((-0.5687828665105231d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.8411435257391792d));

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test210"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)1293.9845497873412d, (java.lang.Number)1.3842507050922375d, true);
    org.apache.commons.math.exception.util.Localizable localizable5 = null;
    java.lang.Number number6 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException9 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable5, number6, (java.lang.Number)1.5707963267948966d, false);
    numberIsTooSmallException4.addSuppressed((java.lang.Throwable)numberIsTooSmallException9);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test211"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex5 = complex3.multiply(0);
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.ZERO;
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str8 = complex7.toString();
    org.apache.commons.math.complex.Complex complex10 = complex7.divide(10.0d);
    org.apache.commons.math.complex.Complex complex11 = complex7.sqrt();
    org.apache.commons.math.complex.Complex complex12 = complex11.sqrt();
    org.apache.commons.math.complex.Complex complex13 = complex6.pow(complex11);
    org.apache.commons.math.complex.Complex complex14 = complex11.sin();
    org.apache.commons.math.complex.Complex complex15 = complex5.divide(complex14);
    org.apache.commons.math.complex.Complex complex16 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str17 = complex16.toString();
    org.apache.commons.math.complex.Complex complex19 = complex16.divide(10.0d);
    org.apache.commons.math.complex.Complex complex20 = complex19.cos();
    org.apache.commons.math.complex.Complex complex21 = complex19.sin();
    org.apache.commons.math.complex.Complex complex23 = complex19.pow(155.74607629780772d);
    org.apache.commons.math.complex.Complex complex24 = complex19.tan();
    org.apache.commons.math.complex.Complex complex25 = complex5.add(complex19);
    org.apache.commons.math.complex.Complex complex26 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str27 = complex26.toString();
    org.apache.commons.math.complex.Complex complex29 = complex26.divide(10.0d);
    org.apache.commons.math.complex.Complex complex31 = complex29.multiply(0);
    org.apache.commons.math.complex.Complex complex32 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str33 = complex32.toString();
    org.apache.commons.math.complex.Complex complex35 = complex32.divide(10.0d);
    org.apache.commons.math.complex.Complex complex36 = complex29.add(complex32);
    org.apache.commons.math.complex.Complex complex37 = complex5.subtract(complex29);
    org.apache.commons.math.complex.Complex complex38 = complex5.tanh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "(0.0, 0.0)"+ "'", str8.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "(0.0, 0.0)"+ "'", str17.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "(0.0, 0.0)"+ "'", str27.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "(0.0, 0.0)"+ "'", str33.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex38);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test212"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(5.279280537194311d, 0.3316228397980032d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.026684899573740317d));

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test213"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(6.7762636E-21f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 6.776264E-21f);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test214"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str5 = complex4.toString();
    org.apache.commons.math.complex.Complex complex7 = complex4.divide(10.0d);
    org.apache.commons.math.complex.Complex complex8 = complex4.atan();
    double d9 = complex4.getReal();
    org.apache.commons.math.complex.Complex complex10 = complex3.divide(complex4);
    double d11 = complex3.getArgument();
    org.apache.commons.math.complex.Complex complex12 = complex3.cos();
    org.apache.commons.math.complex.Complex complex15 = new org.apache.commons.math.complex.Complex(155.74607629780772d, 9.498053558627485E-40d);
    boolean b16 = complex3.equals((java.lang.Object)9.498053558627485E-40d);
    org.apache.commons.math.complex.Complex complex17 = complex3.cos();
    org.apache.commons.math.complex.Complex complex18 = complex17.negate();
    org.apache.commons.math.complex.Complex complex20 = complex18.add(0.5946444903718425d);
    org.apache.commons.math.complex.ComplexField complexField21 = complex20.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "(0.0, 0.0)"+ "'", str5.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField21);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test215"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(6.776265E-21f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 6.776265E-21f);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test216"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str5 = complex4.toString();
    org.apache.commons.math.complex.Complex complex7 = complex4.divide(10.0d);
    org.apache.commons.math.complex.Complex complex8 = complex4.atan();
    double d9 = complex4.getReal();
    org.apache.commons.math.complex.Complex complex10 = complex3.divide(complex4);
    org.apache.commons.math.complex.Complex complex11 = complex4.tan();
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.valueOf(2.718281828459045d);
    org.apache.commons.math.complex.Complex complex14 = complex11.subtract(complex13);
    org.apache.commons.math.complex.Complex complex16 = new org.apache.commons.math.complex.Complex(3.141592653589793d);
    org.apache.commons.math.complex.Complex complex17 = complex13.pow(complex16);
    org.apache.commons.math.complex.Complex complex19 = complex17.add(0.0018307116713522018d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "(0.0, 0.0)"+ "'", str5.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test217"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex2 = complex0.tanh();
    org.apache.commons.math.complex.Complex complex3 = complex2.negate();
    org.apache.commons.math.complex.Complex complex5 = complex3.multiply(155.74607629780772d);
    org.apache.commons.math.complex.Complex complex6 = complex3.sin();
    double d7 = complex3.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test218"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians((-0.5981731139335114d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.010440090335046942d));

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test219"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign((-1.1752011936438014d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1752011936438014d);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test220"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(1.1189483930560273d, (-66));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5164578483131362E-20d);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test221"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)16, (java.lang.Number)2.220446049250313E-16d, false);
    java.lang.Throwable[] throwable_array5 = numberIsTooSmallException4.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test222"); }


    long long1 = org.apache.commons.math.util.FastMath.round(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 10L);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test223"); }


    float f2 = org.apache.commons.math.util.FastMath.nextAfter(5.6E-45f, 2.324744925982535d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.0E-45f);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test224"); }


    org.apache.commons.math.complex.Complex complex2 = new org.apache.commons.math.complex.Complex(5.0d, 0.20926878881659672d);
    org.apache.commons.math.complex.Complex complex4 = complex2.pow(2.5243548967072378E-29d);
    org.apache.commons.math.complex.Complex complex6 = complex4.add(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test225"); }


    double d2 = org.apache.commons.math.util.FastMath.log(0.49154626282065744d, 7.480102559594662E12d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-41.73936955408269d));

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test226"); }


    double d2 = org.apache.commons.math.util.FastMath.log(0.0d, 30.336414799556643d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.0d));

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test227"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp((-1.1646962223442414d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.220446049250313E-16d);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test228"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex2 = complex0.tanh();
    org.apache.commons.math.complex.Complex complex4 = complex2.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex5 = complex2.sinh();
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str7 = complex6.toString();
    org.apache.commons.math.complex.Complex complex8 = complex6.tanh();
    org.apache.commons.math.complex.Complex complex10 = complex8.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex11 = complex8.sinh();
    boolean b12 = complex5.equals((java.lang.Object)complex11);
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str14 = complex13.toString();
    org.apache.commons.math.complex.Complex complex15 = complex13.tanh();
    org.apache.commons.math.complex.Complex complex16 = complex15.negate();
    org.apache.commons.math.complex.Complex complex17 = complex11.divide(complex16);
    org.apache.commons.math.complex.Complex complex18 = complex17.sinh();
    org.apache.commons.math.complex.Complex complex19 = complex17.negate();
    org.apache.commons.math.complex.Complex complex20 = complex17.exp();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "(0.0, 0.0)"+ "'", str7.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "(0.0, 0.0)"+ "'", str14.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test229"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(5.715611538515039d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.09975624011206612d);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test230"); }


    double d1 = org.apache.commons.math.util.FastMath.acos(0.40546510810816444d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1533087440668743d);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test231"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)1.0d, (java.lang.Number)1, true);
    boolean b5 = numberIsTooSmallException4.getBoundIsAllowed();
    boolean b6 = numberIsTooSmallException4.getBoundIsAllowed();
    org.apache.commons.math.exception.NotPositiveException notPositiveException8 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)1.0000002f);
    numberIsTooSmallException4.addSuppressed((java.lang.Throwable)notPositiveException8);
    java.lang.Number number10 = notPositiveException8.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 1.0000002f+ "'", number10.equals(1.0000002f));

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test232"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.19611987703015266d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.1973993758473701d);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test233"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh((-3.620554677378942d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 18.69252584800359d);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test234"); }


    double d1 = org.apache.commons.math.util.FastMath.floor((-0.9971579522038727d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test235"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(0.1973993758473701d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.7755575615628914E-17d);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test236"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)1.2056452336298777d, (java.lang.Number)(-67), true);
    java.lang.Number number4 = numberIsTooSmallException3.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + (-67)+ "'", number4.equals((-67)));

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test237"); }


    double d1 = org.apache.commons.math.util.FastMath.log10((-0.9092974268256817d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test238"); }


    double d2 = org.apache.commons.math.util.FastMath.max(2.1158438775614035d, (-2.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.1158438775614035d);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test239"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(9.999999999999987E9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test240"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    double d6 = complex5.abs();
    org.apache.commons.math.complex.Complex complex7 = complex5.negate();
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str9 = complex8.toString();
    org.apache.commons.math.complex.Complex complex11 = complex8.divide(10.0d);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str13 = complex12.toString();
    org.apache.commons.math.complex.Complex complex15 = complex12.divide(10.0d);
    org.apache.commons.math.complex.Complex complex16 = complex12.atan();
    double d17 = complex12.getReal();
    org.apache.commons.math.complex.Complex complex18 = complex11.divide(complex12);
    org.apache.commons.math.complex.Complex complex19 = complex18.sinh();
    org.apache.commons.math.complex.Complex complex20 = complex5.multiply(complex19);
    org.apache.commons.math.complex.Complex complex21 = complex19.cosh();
    org.apache.commons.math.complex.Complex complex22 = complex21.exp();
    org.apache.commons.math.complex.Complex complex24 = complex21.pow(0.011567785282685778d);
    org.apache.commons.math.complex.Complex complex25 = complex24.reciprocal();
    org.apache.commons.math.complex.Complex complex27 = new org.apache.commons.math.complex.Complex(1.2352049125074833d);
    org.apache.commons.math.complex.Complex complex28 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str29 = complex28.toString();
    org.apache.commons.math.complex.Complex complex31 = complex28.divide(10.0d);
    org.apache.commons.math.complex.Complex complex32 = complex31.cos();
    org.apache.commons.math.complex.Complex complex33 = complex27.divide(complex31);
    org.apache.commons.math.complex.Complex complex34 = complex27.tanh();
    org.apache.commons.math.complex.Complex complex35 = complex34.cos();
    org.apache.commons.math.complex.Complex complex36 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str37 = complex36.toString();
    org.apache.commons.math.complex.Complex complex39 = complex36.divide(10.0d);
    org.apache.commons.math.complex.Complex complex41 = complex36.add(0.5d);
    org.apache.commons.math.complex.Complex complex42 = complex41.atan();
    org.apache.commons.math.complex.Complex complex43 = complex35.divide(complex42);
    org.apache.commons.math.complex.Complex complex44 = complex43.sqrt1z();
    org.apache.commons.math.complex.Complex complex45 = complex44.exp();
    org.apache.commons.math.complex.Complex complex46 = complex25.subtract(complex44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "(0.0, 0.0)"+ "'", str9.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "(0.0, 0.0)"+ "'", str13.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "(0.0, 0.0)"+ "'", str29.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "(0.0, 0.0)"+ "'", str37.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex46);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test241"); }


    double d1 = org.apache.commons.math.util.FastMath.atanh(2.0926878881656236E-11d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0926878881656236E-11d);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test242"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex3.cos();
    org.apache.commons.math.complex.Complex complex6 = complex3.subtract((-1.1646962223442412d));
    org.apache.commons.math.complex.Complex complex7 = complex6.sqrt1z();
    org.apache.commons.math.complex.Complex complex8 = complex7.tan();
    org.apache.commons.math.complex.Complex complex10 = complex8.divide((-105.82910609832321d));
    org.apache.commons.math.complex.Complex complex11 = complex10.sinh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test243"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(0.9092974268256817d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4426924270692643d);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test244"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)(-24));

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test245"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign((-0.99999994f), 10.000003f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.99999994f);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test246"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign((-0.8686709614860095d), (-6.102016471589204E38d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.8686709614860095d));

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test247"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(9.498053558627485E-40d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test248"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str5 = complex4.toString();
    org.apache.commons.math.complex.Complex complex7 = complex4.divide(10.0d);
    org.apache.commons.math.complex.Complex complex8 = complex4.atan();
    double d9 = complex4.getReal();
    org.apache.commons.math.complex.Complex complex10 = complex3.divide(complex4);
    org.apache.commons.math.complex.Complex complex11 = complex4.tan();
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.valueOf(2.718281828459045d);
    org.apache.commons.math.complex.Complex complex14 = complex11.subtract(complex13);
    org.apache.commons.math.complex.Complex complex15 = complex11.atan();
    org.apache.commons.math.complex.Complex complex16 = complex11.cosh();
    org.apache.commons.math.complex.Complex complex18 = complex11.multiply(100);
    org.apache.commons.math.complex.Complex complex19 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str20 = complex19.toString();
    org.apache.commons.math.complex.Complex complex22 = complex19.divide(10.0d);
    org.apache.commons.math.complex.Complex complex23 = complex19.atan();
    org.apache.commons.math.complex.Complex complex24 = complex19.sqrt();
    double d25 = complex24.abs();
    org.apache.commons.math.complex.Complex complex26 = complex24.negate();
    org.apache.commons.math.complex.Complex complex27 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str28 = complex27.toString();
    org.apache.commons.math.complex.Complex complex30 = complex27.divide(10.0d);
    org.apache.commons.math.complex.Complex complex31 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str32 = complex31.toString();
    org.apache.commons.math.complex.Complex complex34 = complex31.divide(10.0d);
    org.apache.commons.math.complex.Complex complex35 = complex31.atan();
    double d36 = complex31.getReal();
    org.apache.commons.math.complex.Complex complex37 = complex30.divide(complex31);
    org.apache.commons.math.complex.Complex complex38 = complex37.sinh();
    org.apache.commons.math.complex.Complex complex39 = complex24.multiply(complex38);
    org.apache.commons.math.complex.Complex complex40 = complex38.sin();
    org.apache.commons.math.complex.Complex complex41 = complex38.cosh();
    org.apache.commons.math.complex.Complex complex42 = complex38.atan();
    org.apache.commons.math.complex.Complex complex43 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str44 = complex43.toString();
    org.apache.commons.math.complex.Complex complex46 = complex43.divide(10.0d);
    org.apache.commons.math.complex.Complex complex47 = complex43.atan();
    org.apache.commons.math.complex.Complex complex48 = complex43.sqrt();
    double d49 = complex48.abs();
    org.apache.commons.math.complex.Complex complex50 = complex48.negate();
    org.apache.commons.math.complex.Complex complex51 = complex48.sqrt1z();
    org.apache.commons.math.complex.Complex complex52 = complex51.sqrt();
    org.apache.commons.math.complex.Complex complex53 = complex42.add(complex51);
    double d54 = complex53.getImaginary();
    org.apache.commons.math.complex.Complex complex55 = complex11.pow(complex53);
    double d56 = complex55.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "(0.0, 0.0)"+ "'", str5.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "(0.0, 0.0)"+ "'", str20.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "(0.0, 0.0)"+ "'", str28.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "(0.0, 0.0)"+ "'", str32.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "(0.0, 0.0)"+ "'", str44.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d54, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d56, Double.NaN, 0);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test249"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(1.3808940229080136d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.9784568696039715d);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test250"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(1.2000587563996268d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.2000587563996268d);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test251"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(0.09146855006583478d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.09159657787321782d);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test252"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh((-0.5882501498161081d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5587234072852164d));

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test253"); }


    float f2 = org.apache.commons.math.util.FastMath.max(1.1920928E-7f, 1.4210855E-14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.1920928E-7f);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test254"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = complex0.exp();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test255"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh((-4.5705325645604523E45d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-105.82910609832321d));

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test256"); }


    int i2 = org.apache.commons.math.util.FastMath.max((-1), 24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 24);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test257"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(2.200906014613657d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test258"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.sqrt();
    org.apache.commons.math.complex.Complex complex5 = complex4.atan();
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str7 = complex6.toString();
    org.apache.commons.math.complex.Complex complex8 = complex6.tanh();
    org.apache.commons.math.complex.Complex complex10 = complex8.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex11 = complex8.sinh();
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str13 = complex12.toString();
    org.apache.commons.math.complex.Complex complex14 = complex12.tanh();
    org.apache.commons.math.complex.Complex complex16 = complex14.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex17 = complex14.sinh();
    boolean b18 = complex11.equals((java.lang.Object)complex17);
    org.apache.commons.math.complex.Complex complex19 = complex17.tanh();
    org.apache.commons.math.complex.Complex complex20 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str21 = complex20.toString();
    org.apache.commons.math.complex.Complex complex23 = complex20.divide(10.0d);
    org.apache.commons.math.complex.Complex complex24 = complex20.atan();
    org.apache.commons.math.complex.Complex complex25 = complex20.sqrt();
    double d26 = complex25.abs();
    org.apache.commons.math.complex.Complex complex27 = complex25.negate();
    org.apache.commons.math.complex.Complex complex29 = complex25.pow((-1.0d));
    org.apache.commons.math.complex.Complex complex30 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str31 = complex30.toString();
    org.apache.commons.math.complex.Complex complex33 = complex30.divide(10.0d);
    org.apache.commons.math.complex.Complex complex34 = complex30.atan();
    org.apache.commons.math.complex.Complex complex35 = complex29.multiply(complex30);
    org.apache.commons.math.complex.Complex complex37 = complex29.multiply(2.642452923762922d);
    org.apache.commons.math.complex.Complex complex38 = complex37.negate();
    org.apache.commons.math.complex.Complex complex39 = complex17.add(complex37);
    org.apache.commons.math.complex.Complex complex40 = complex5.add(complex17);
    org.apache.commons.math.complex.Complex complex41 = complex17.tanh();
    org.apache.commons.math.complex.Complex complex43 = complex41.pow(0.309845059984566d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "(0.0, 0.0)"+ "'", str7.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "(0.0, 0.0)"+ "'", str13.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "(0.0, 0.0)"+ "'", str21.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "(0.0, 0.0)"+ "'", str31.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex43);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test259"); }


    double d2 = org.apache.commons.math.util.FastMath.log(2.3012989023072947d, 1.4426924270692643d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.43973925896821614d);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test260"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(0.006671475199418228d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test261"); }


    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.valueOf(0.0d);
    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str3 = complex2.toString();
    org.apache.commons.math.complex.Complex complex4 = complex2.tanh();
    org.apache.commons.math.complex.Complex complex6 = complex4.pow(303.5697911758657d);
    boolean b7 = complex4.isNaN();
    org.apache.commons.math.complex.Complex complex8 = complex4.acos();
    org.apache.commons.math.complex.Complex complex9 = complex8.atan();
    org.apache.commons.math.complex.Complex complex10 = complex1.multiply(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "(0.0, 0.0)"+ "'", str3.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test262"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex2 = complex0.tanh();
    org.apache.commons.math.complex.Complex complex3 = complex2.negate();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str5 = complex4.toString();
    org.apache.commons.math.complex.Complex complex6 = complex4.tanh();
    org.apache.commons.math.complex.Complex complex8 = complex6.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex9 = complex2.divide(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex8.sinh();
    java.lang.String str11 = complex10.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "(0.0, 0.0)"+ "'", str5.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "(NaN, NaN)"+ "'", str11.equals("(NaN, NaN)"));

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test263"); }


    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.valueOf((-1.7886763089571092d), 1293.9845497873412d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test264"); }


    long long2 = org.apache.commons.math.util.FastMath.min(563L, 563L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 563L);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test265"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex2 = complex0.divide(23.7189981105004d);
    org.apache.commons.math.complex.Complex complex3 = complex2.atan();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str5 = complex4.toString();
    org.apache.commons.math.complex.Complex complex6 = complex4.tanh();
    org.apache.commons.math.complex.Complex complex8 = complex6.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex9 = complex2.add(complex8);
    boolean b10 = complex8.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "(0.0, 0.0)"+ "'", str5.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test266"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(1.4401410188114185d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.992198353353061d);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test267"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.7844087630327927d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7844087630327926d);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test268"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.011631784147364786d, 0.5090052002716081d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.10361053709709178d);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test269"); }


    float f2 = org.apache.commons.math.util.FastMath.min(2.9387362E-38f, 1.4210855E-14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.9387362E-38f);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test270"); }


    org.apache.commons.math.complex.Complex complex1 = new org.apache.commons.math.complex.Complex(1.2352049125074833d);
    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str3 = complex2.toString();
    org.apache.commons.math.complex.Complex complex5 = complex2.divide(10.0d);
    org.apache.commons.math.complex.Complex complex6 = complex5.cos();
    org.apache.commons.math.complex.Complex complex7 = complex1.divide(complex5);
    boolean b8 = complex5.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "(0.0, 0.0)"+ "'", str3.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test271"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(2.9387358770557194E-39d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.9387358770557194E-39d);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test272"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(0.9999499987499375d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8414439679653114d);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test273"); }


    double d2 = org.apache.commons.math.util.FastMath.log(0.0d, 1.0284893967016424d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.0d));

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test274"); }


    double d1 = org.apache.commons.math.util.FastMath.log(1.2179033476226095d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.19713081279145062d);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test275"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil((-0.558367151751441d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test276"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.04379342597276536d, 0.19739937584737008d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.19739937584737008d);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test277"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(0.9966608296038961d, (-0.6845225847324312d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.9966608296038961d));

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test278"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    double d6 = complex5.abs();
    org.apache.commons.math.complex.Complex complex7 = complex5.negate();
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str9 = complex8.toString();
    org.apache.commons.math.complex.Complex complex11 = complex8.divide(10.0d);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str13 = complex12.toString();
    org.apache.commons.math.complex.Complex complex15 = complex12.divide(10.0d);
    org.apache.commons.math.complex.Complex complex16 = complex12.atan();
    double d17 = complex12.getReal();
    org.apache.commons.math.complex.Complex complex18 = complex11.divide(complex12);
    org.apache.commons.math.complex.Complex complex19 = complex18.sinh();
    org.apache.commons.math.complex.Complex complex20 = complex5.multiply(complex19);
    org.apache.commons.math.complex.Complex complex21 = complex19.cosh();
    org.apache.commons.math.complex.Complex complex22 = complex21.exp();
    org.apache.commons.math.complex.Complex complex23 = complex22.log();
    org.apache.commons.math.complex.Complex complex24 = complex23.cosh();
    org.apache.commons.math.complex.Complex complex25 = complex24.cos();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "(0.0, 0.0)"+ "'", str9.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "(0.0, 0.0)"+ "'", str13.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test279"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(8.898003867693388d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.875801502910105d);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test280"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter((-0.3003315357936178d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.30033153579361777d));

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test281"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(0.7413298102518842d, 1.4723390893790618d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.7310092791271776d));

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test282"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(2.1564352296007736d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.156435229600774d);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test283"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(1.3808940229080136d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.02410114732085484d);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test284"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(0.7494537294032447d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.692710106786411d);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test285"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(7.610125138662287d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test286"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex2 = complex0.tanh();
    org.apache.commons.math.complex.Complex complex4 = complex2.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex5 = complex2.sinh();
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str7 = complex6.toString();
    org.apache.commons.math.complex.Complex complex8 = complex6.tanh();
    org.apache.commons.math.complex.Complex complex10 = complex8.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex11 = complex8.sinh();
    boolean b12 = complex5.equals((java.lang.Object)complex11);
    org.apache.commons.math.complex.Complex complex13 = complex11.tanh();
    org.apache.commons.math.complex.Complex complex14 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str15 = complex14.toString();
    org.apache.commons.math.complex.Complex complex17 = complex14.divide(10.0d);
    org.apache.commons.math.complex.Complex complex18 = complex14.atan();
    org.apache.commons.math.complex.Complex complex19 = complex14.sqrt();
    double d20 = complex19.abs();
    org.apache.commons.math.complex.Complex complex21 = complex19.negate();
    org.apache.commons.math.complex.Complex complex23 = complex19.pow((-1.0d));
    org.apache.commons.math.complex.Complex complex24 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str25 = complex24.toString();
    org.apache.commons.math.complex.Complex complex27 = complex24.divide(10.0d);
    org.apache.commons.math.complex.Complex complex28 = complex24.atan();
    org.apache.commons.math.complex.Complex complex29 = complex23.multiply(complex24);
    org.apache.commons.math.complex.Complex complex31 = complex23.multiply(2.642452923762922d);
    org.apache.commons.math.complex.Complex complex32 = complex31.negate();
    org.apache.commons.math.complex.Complex complex33 = complex11.add(complex31);
    org.apache.commons.math.complex.Complex complex34 = complex31.asin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "(0.0, 0.0)"+ "'", str7.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "(0.0, 0.0)"+ "'", str15.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "(0.0, 0.0)"+ "'", str25.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex34);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test287"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(0.09539284973523542d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test288"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(0.4454302218969152d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6674055902499733d);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test289"); }


    org.apache.commons.math.complex.Complex complex1 = new org.apache.commons.math.complex.Complex(5.054627147606801d);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test290"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.666452139851179d, 2.3506080457960225E65d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6664521398511791d);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test291"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    double d6 = complex5.abs();
    org.apache.commons.math.complex.Complex complex7 = complex5.negate();
    org.apache.commons.math.complex.Complex complex9 = complex5.pow((-1.0d));
    org.apache.commons.math.complex.Complex complex10 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str11 = complex10.toString();
    org.apache.commons.math.complex.Complex complex13 = complex10.divide(10.0d);
    org.apache.commons.math.complex.Complex complex14 = complex10.atan();
    org.apache.commons.math.complex.Complex complex15 = complex9.multiply(complex10);
    org.apache.commons.math.complex.Complex complex17 = complex10.multiply(0.0d);
    org.apache.commons.math.complex.Complex complex18 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str19 = complex18.toString();
    org.apache.commons.math.complex.Complex complex21 = complex18.divide(10.0d);
    org.apache.commons.math.complex.Complex complex22 = complex18.atan();
    org.apache.commons.math.complex.Complex complex23 = complex18.sqrt();
    double d24 = complex23.abs();
    org.apache.commons.math.complex.Complex complex25 = complex23.negate();
    org.apache.commons.math.complex.Complex complex26 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str27 = complex26.toString();
    org.apache.commons.math.complex.Complex complex29 = complex26.divide(10.0d);
    org.apache.commons.math.complex.Complex complex30 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str31 = complex30.toString();
    org.apache.commons.math.complex.Complex complex33 = complex30.divide(10.0d);
    org.apache.commons.math.complex.Complex complex34 = complex30.atan();
    double d35 = complex30.getReal();
    org.apache.commons.math.complex.Complex complex36 = complex29.divide(complex30);
    org.apache.commons.math.complex.Complex complex37 = complex36.sinh();
    org.apache.commons.math.complex.Complex complex38 = complex23.multiply(complex37);
    org.apache.commons.math.complex.Complex complex39 = complex37.cosh();
    org.apache.commons.math.complex.Complex complex41 = complex37.multiply(100);
    org.apache.commons.math.complex.Complex complex42 = complex17.pow(complex37);
    org.apache.commons.math.complex.Complex complex43 = complex37.acos();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "(0.0, 0.0)"+ "'", str11.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "(0.0, 0.0)"+ "'", str19.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "(0.0, 0.0)"+ "'", str27.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "(0.0, 0.0)"+ "'", str31.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex43);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test292"); }


    float f2 = org.apache.commons.math.util.FastMath.copySign(0.0f, 6.7762636E-21f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test293"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = complex0.sinh();
    org.apache.commons.math.complex.Complex complex2 = complex0.cos();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test294"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(9.999999999999987E9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.48751768244868887d));

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test295"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str5 = complex4.toString();
    org.apache.commons.math.complex.Complex complex7 = complex4.divide(10.0d);
    org.apache.commons.math.complex.Complex complex8 = complex4.atan();
    double d9 = complex4.getReal();
    org.apache.commons.math.complex.Complex complex10 = complex3.divide(complex4);
    double d11 = complex3.getArgument();
    org.apache.commons.math.complex.Complex complex12 = complex3.cos();
    org.apache.commons.math.complex.Complex complex15 = new org.apache.commons.math.complex.Complex(155.74607629780772d, 9.498053558627485E-40d);
    boolean b16 = complex3.equals((java.lang.Object)9.498053558627485E-40d);
    org.apache.commons.math.complex.Complex complex17 = complex3.cos();
    org.apache.commons.math.complex.Complex complex18 = complex17.cosh();
    org.apache.commons.math.complex.ComplexField complexField19 = complex18.getField();
    double d20 = complex18.getReal();
    org.apache.commons.math.complex.Complex complex22 = complex18.multiply((-46));
    org.apache.commons.math.complex.Complex complex23 = complex22.sin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "(0.0, 0.0)"+ "'", str5.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complexField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.5430806348152437d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test296"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex5 = complex3.multiply(0);
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str7 = complex6.toString();
    org.apache.commons.math.complex.Complex complex9 = complex6.divide(10.0d);
    org.apache.commons.math.complex.Complex complex10 = complex3.add(complex6);
    double d11 = complex3.getImaginary();
    boolean b12 = complex3.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "(0.0, 0.0)"+ "'", str7.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test297"); }


    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.valueOf(0.6711409035604262d, 6.188080239632552d);
    org.apache.commons.math.complex.Complex complex3 = complex2.cos();
    org.apache.commons.math.complex.Complex complex5 = complex3.divide(0.0d);
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str7 = complex6.toString();
    org.apache.commons.math.complex.Complex complex8 = complex6.tanh();
    org.apache.commons.math.complex.Complex complex9 = complex8.sinh();
    org.apache.commons.math.complex.Complex complex10 = complex9.tanh();
    org.apache.commons.math.complex.Complex complex11 = complex9.exp();
    org.apache.commons.math.complex.Complex complex12 = complex3.divide(complex11);
    org.apache.commons.math.complex.Complex complex13 = complex12.reciprocal();
    org.apache.commons.math.complex.Complex complex15 = complex12.add(0.011567785282685778d);
    org.apache.commons.math.complex.Complex complex16 = complex15.conjugate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "(0.0, 0.0)"+ "'", str7.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test298"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(4.5172688813910025d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test299"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.2732983724693881d, 0.7494537294032447d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.2732983724693881d);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test300"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    double d6 = complex5.abs();
    org.apache.commons.math.complex.Complex complex7 = complex5.negate();
    org.apache.commons.math.complex.Complex complex8 = complex7.negate();
    org.apache.commons.math.complex.Complex complex9 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str10 = complex9.toString();
    org.apache.commons.math.complex.Complex complex12 = complex9.divide(10.0d);
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str14 = complex13.toString();
    org.apache.commons.math.complex.Complex complex16 = complex13.divide(10.0d);
    org.apache.commons.math.complex.Complex complex17 = complex13.atan();
    double d18 = complex13.getReal();
    org.apache.commons.math.complex.Complex complex19 = complex12.divide(complex13);
    org.apache.commons.math.complex.Complex complex20 = complex19.sinh();
    org.apache.commons.math.complex.Complex complex21 = complex8.multiply(complex20);
    org.apache.commons.math.complex.Complex complex22 = complex21.atan();
    org.apache.commons.math.complex.Complex complex23 = complex22.reciprocal();
    org.apache.commons.math.complex.Complex complex24 = complex23.sinh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "(0.0, 0.0)"+ "'", str10.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "(0.0, 0.0)"+ "'", str14.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test301"); }


    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.valueOf(5.298292365610486d, 562.5908713659215d);
    double d3 = complex2.getReal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 5.298292365610486d);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test302"); }


    double d1 = org.apache.commons.math.util.FastMath.log10(23.7189981105004d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3750963404986902d);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test303"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(1.519543989592945d, 0.692710106786411d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1430740456422557d);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test304"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.10361053709709178d, 2.2737367544323206E-13d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.10361053709709177d);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test305"); }


    double d1 = org.apache.commons.math.util.FastMath.toDegrees(0.6348421622198784d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 36.373776552158596d);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test306"); }


    long long2 = org.apache.commons.math.util.FastMath.min(5L, 5L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 5L);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test307"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(1.0413926851582251d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7136322637331802d);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test308"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex5 = complex3.multiply(0);
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.ZERO;
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str8 = complex7.toString();
    org.apache.commons.math.complex.Complex complex10 = complex7.divide(10.0d);
    org.apache.commons.math.complex.Complex complex11 = complex7.sqrt();
    org.apache.commons.math.complex.Complex complex12 = complex11.sqrt();
    org.apache.commons.math.complex.Complex complex13 = complex6.pow(complex11);
    org.apache.commons.math.complex.Complex complex14 = complex3.add(complex13);
    org.apache.commons.math.complex.Complex complex15 = complex14.cos();
    boolean b16 = complex14.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "(0.0, 0.0)"+ "'", str8.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test309"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(10.000001f, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 5.0000005f);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test310"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex2 = complex0.tanh();
    org.apache.commons.math.complex.Complex complex3 = complex0.sqrt();
    org.apache.commons.math.complex.Complex complex5 = complex3.subtract(155.74607629780772d);
    java.lang.String str6 = complex3.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "(0.0, 0.0)"+ "'", str6.equals("(0.0, 0.0)"));

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test311"); }


    org.apache.commons.math.complex.Complex complex1 = new org.apache.commons.math.complex.Complex(7.610125138662287d);
    org.apache.commons.math.complex.Complex complex2 = complex1.asin();
    double d3 = complex1.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 7.610125138662287d);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test312"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex2 = complex0.tanh();
    org.apache.commons.math.complex.Complex complex3 = complex2.negate();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str5 = complex4.toString();
    org.apache.commons.math.complex.Complex complex6 = complex4.tanh();
    org.apache.commons.math.complex.Complex complex8 = complex6.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex9 = complex2.divide(complex8);
    double d10 = complex9.getArgument();
    org.apache.commons.math.complex.Complex complex11 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str12 = complex11.toString();
    org.apache.commons.math.complex.Complex complex14 = complex11.divide(10.0d);
    org.apache.commons.math.complex.Complex complex15 = complex11.atan();
    org.apache.commons.math.complex.Complex complex16 = complex11.sqrt();
    double d17 = complex16.abs();
    org.apache.commons.math.complex.Complex complex18 = complex16.negate();
    org.apache.commons.math.complex.Complex complex19 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str20 = complex19.toString();
    org.apache.commons.math.complex.Complex complex22 = complex19.divide(10.0d);
    org.apache.commons.math.complex.Complex complex23 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str24 = complex23.toString();
    org.apache.commons.math.complex.Complex complex26 = complex23.divide(10.0d);
    org.apache.commons.math.complex.Complex complex27 = complex23.atan();
    double d28 = complex23.getReal();
    org.apache.commons.math.complex.Complex complex29 = complex22.divide(complex23);
    org.apache.commons.math.complex.Complex complex30 = complex29.sinh();
    org.apache.commons.math.complex.Complex complex31 = complex16.multiply(complex30);
    double d32 = complex16.abs();
    org.apache.commons.math.complex.Complex complex33 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str34 = complex33.toString();
    org.apache.commons.math.complex.Complex complex36 = complex33.divide(10.0d);
    org.apache.commons.math.complex.Complex complex37 = complex16.subtract(complex36);
    double d38 = complex37.getArgument();
    org.apache.commons.math.complex.Complex complex40 = complex37.divide(0.0d);
    org.apache.commons.math.complex.Complex complex41 = complex9.multiply(complex40);
    org.apache.commons.math.complex.Complex complex43 = complex9.multiply(5.279280537194311d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "(0.0, 0.0)"+ "'", str5.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "(0.0, 0.0)"+ "'", str12.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "(0.0, 0.0)"+ "'", str20.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "(0.0, 0.0)"+ "'", str24.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "(0.0, 0.0)"+ "'", str34.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex43);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test313"); }


    double d2 = org.apache.commons.math.util.FastMath.min(1.4723390893790618d, 0.6243247015574062d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6243247015574062d);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test314"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(1.7182818284590453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.574941524760881d);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test315"); }


    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.valueOf((-90.85231683071339d), 0.0d);
    boolean b3 = complex2.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test316"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.util.Localizable localizable3 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException7 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable3, (java.lang.Number)1.0d, (java.lang.Number)1, true);
    java.lang.Throwable[] throwable_array8 = numberIsTooSmallException7.getSuppressed();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable2, (java.lang.Object[])throwable_array8);
    org.apache.commons.math.exception.NullArgumentException nullArgumentException10 = new org.apache.commons.math.exception.NullArgumentException(localizable1, (java.lang.Object[])throwable_array8);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test317"); }


    int i2 = org.apache.commons.math.util.FastMath.min((-127), (-2));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-127));

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test318"); }


    org.apache.commons.math.complex.Complex complex1 = new org.apache.commons.math.complex.Complex(1.2352049125074833d);
    org.apache.commons.math.complex.Complex complex2 = complex1.sin();
    org.apache.commons.math.complex.Complex complex3 = complex2.cos();
    org.apache.commons.math.complex.Complex complex4 = complex2.exp();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test319"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh(2.579315745371787d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.600778968244384d);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test320"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(0.9092974268256817d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0398853009457363d);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test321"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(2.324744925982535d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.3247449259825355d);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test322"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh((-0.9027204557178798d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test323"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)100000.00000348654d);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test324"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2((-0.002492877996873019d), 1.195349803555499d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.0020854768833668933d));

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test325"); }


    double d1 = org.apache.commons.math.util.FastMath.sin(1.4723390893790618d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9951570003641539d);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test326"); }


    double d2 = org.apache.commons.math.util.FastMath.max(0.0d, (-1.2742906661628783d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test327"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(0.9891437136247581d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9891437136247582d);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test328"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.0018307116713522018d, (-4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1441947945951261E-4d);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test329"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(1.300371626015253E-10d, 2.3247449259825355d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.3003716260152533E-10d);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test330"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex5 = complex3.multiply(0);
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str7 = complex6.toString();
    org.apache.commons.math.complex.Complex complex9 = complex6.divide(10.0d);
    org.apache.commons.math.complex.Complex complex10 = complex3.add(complex6);
    java.lang.String str11 = complex3.toString();
    org.apache.commons.math.complex.Complex complex13 = complex3.subtract(472.99170677017315d);
    org.apache.commons.math.complex.Complex complex14 = complex13.sin();
    org.apache.commons.math.complex.Complex complex15 = complex14.reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "(0.0, 0.0)"+ "'", str7.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "(0.0, 0.0)"+ "'", str11.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test331"); }


    float f2 = org.apache.commons.math.util.FastMath.min(9.536744E-7f, 5.877472E-38f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 5.877472E-38f);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test332"); }


    int i1 = org.apache.commons.math.util.FastMath.round(1.2089261E24f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2147483647);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test333"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(1.633123935319537E16d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test334"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(5729.578500735815d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5729.0d);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test335"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)0.043779429008038606d);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext2 = notPositiveException1.getContext();
    java.lang.Number number3 = notPositiveException1.getMin();
    boolean b4 = notPositiveException1.getBoundIsAllowed();
    java.lang.Throwable throwable5 = null;
    // The following exception was thrown during execution in test generation
    try {
      notPositiveException1.addSuppressed(throwable5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test336"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(1.065362353321561d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7253056847827438d);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test337"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)0.7454292289988163d, (java.lang.Number)9.498053558627485E-40d, true);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test338"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(1.4994164853475962d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test339"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(1.1233820640473444d, 0.5668976131718948d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1034478057045112d);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test340"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str5 = complex4.toString();
    org.apache.commons.math.complex.Complex complex7 = complex4.divide(10.0d);
    org.apache.commons.math.complex.Complex complex8 = complex4.atan();
    double d9 = complex4.getReal();
    org.apache.commons.math.complex.Complex complex10 = complex3.divide(complex4);
    org.apache.commons.math.complex.Complex complex11 = complex10.sinh();
    org.apache.commons.math.complex.Complex complex13 = complex10.multiply((-0.19899840435392924d));
    // The following exception was thrown during execution in test generation
    try {
      java.util.List list15 = complex13.nthRoot((-125));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException");
    } catch (org.apache.commons.math.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "(0.0, 0.0)"+ "'", str5.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test341"); }


    double d2 = org.apache.commons.math.util.FastMath.max(3.5171273209499434E-25d, (-0.11906393121016186d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.5171273209499434E-25d);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test342"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.0040689210193623464d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.004068921019362346d);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test343"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    org.apache.commons.math.complex.Complex complex6 = complex0.negate();
    org.apache.commons.math.complex.Complex complex7 = complex6.cosh();
    org.apache.commons.math.complex.Complex complex8 = complex7.tanh();
    org.apache.commons.math.complex.Complex complex10 = complex8.subtract((-0.2958369186554349d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test344"); }


    double d1 = org.apache.commons.math.util.FastMath.floor(0.23313135828856557d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test345"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(0.27510839017791955d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2684669775987317d);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test346"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)8);
    boolean b3 = notPositiveException2.getBoundIsAllowed();
    org.apache.commons.math.exception.util.Localizable localizable4 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException8 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable4, (java.lang.Number)1.0d, (java.lang.Number)1, true);
    boolean b9 = numberIsTooSmallException8.getBoundIsAllowed();
    boolean b10 = numberIsTooSmallException8.getBoundIsAllowed();
    org.apache.commons.math.exception.NotPositiveException notPositiveException12 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)1.0000002f);
    numberIsTooSmallException8.addSuppressed((java.lang.Throwable)notPositiveException12);
    boolean b14 = numberIsTooSmallException8.getBoundIsAllowed();
    notPositiveException2.addSuppressed((java.lang.Throwable)numberIsTooSmallException8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test347"); }


    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.valueOf(100.00000958932033d);
    org.apache.commons.math.complex.Complex complex2 = complex1.tanh();
    org.apache.commons.math.complex.Complex complex3 = complex1.sqrt1z();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test348"); }


    float f1 = org.apache.commons.math.util.FastMath.ulp(3.0092658E-35f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.87E-42f);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test349"); }


    org.apache.commons.math.complex.Complex complex1 = new org.apache.commons.math.complex.Complex(24.242593353387655d);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test350"); }


    org.apache.commons.math.complex.Complex complex2 = new org.apache.commons.math.complex.Complex(0.0d, (-1.1646962223442412d));
    org.apache.commons.math.complex.Complex complex4 = complex2.add(0.041247912511190636d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test351"); }


    float f2 = org.apache.commons.math.util.FastMath.max(0.99999994f, 5.960466E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.99999994f);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test352"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(0.7288857185142362d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8537480415873504d);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test353"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(1.0390895693510367d, 8.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.12916308991070694d);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test354"); }


    org.apache.commons.math.complex.Complex complex2 = new org.apache.commons.math.complex.Complex(100.00000958932033d, 4.504096872756152d);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test355"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(1.3552527E-20f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.3552529E-20f);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test356"); }


    int i1 = org.apache.commons.math.util.FastMath.abs(67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 67);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test357"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign((-0.07505552985078214d), (-8.432785906809195E12d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.07505552985078214d));

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test358"); }


    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.valueOf(562.5914244447071d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test359"); }


    long long2 = org.apache.commons.math.util.FastMath.min(12L, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1L));

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test360"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh(2.3012989023072947d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.043637531419152d);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test361"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(0.041247912511190636d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2030958210086821d);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test362"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.02616975452799687d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test363"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2(1.0413926851582251d, 2.9387358770557194E-39d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test364"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1((-0.1917784567757468d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.1745102701085695d));

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test365"); }


    int i2 = org.apache.commons.math.util.FastMath.min(2, (-8));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-8));

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test366"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(3.138498341311953d, 1.9111409585258783d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.6837835757398034d));

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test367"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-0.5286359299127451d), (java.lang.Number)(-0.6398623118850971d), true);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test368"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)2.642452923762922d, (java.lang.Number)8.255262617767077d, false);
    java.lang.Number number4 = numberIsTooSmallException3.getMin();
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException8 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)(-9.0d), (java.lang.Number)486.9104569928082d, true);
    boolean b9 = numberIsTooSmallException8.getBoundIsAllowed();
    numberIsTooSmallException3.addSuppressed((java.lang.Throwable)numberIsTooSmallException8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 8.255262617767077d+ "'", number4.equals(8.255262617767077d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test369"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex5 = complex3.multiply(0);
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.ZERO;
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str8 = complex7.toString();
    org.apache.commons.math.complex.Complex complex10 = complex7.divide(10.0d);
    org.apache.commons.math.complex.Complex complex11 = complex7.sqrt();
    org.apache.commons.math.complex.Complex complex12 = complex11.sqrt();
    org.apache.commons.math.complex.Complex complex13 = complex6.pow(complex11);
    org.apache.commons.math.complex.Complex complex14 = complex11.sin();
    org.apache.commons.math.complex.Complex complex15 = complex5.divide(complex14);
    org.apache.commons.math.complex.Complex complex16 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str17 = complex16.toString();
    org.apache.commons.math.complex.Complex complex19 = complex16.divide(10.0d);
    org.apache.commons.math.complex.Complex complex20 = complex19.cos();
    org.apache.commons.math.complex.Complex complex21 = complex19.sin();
    org.apache.commons.math.complex.Complex complex23 = complex19.pow(155.74607629780772d);
    org.apache.commons.math.complex.Complex complex24 = complex19.tan();
    org.apache.commons.math.complex.Complex complex25 = complex5.add(complex19);
    org.apache.commons.math.complex.Complex complex26 = complex19.negate();
    org.apache.commons.math.complex.Complex complex28 = complex19.add(2.248249796532139d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "(0.0, 0.0)"+ "'", str8.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "(0.0, 0.0)"+ "'", str17.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test370"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    double d6 = complex5.abs();
    org.apache.commons.math.complex.Complex complex7 = complex5.negate();
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str9 = complex8.toString();
    org.apache.commons.math.complex.Complex complex11 = complex8.divide(10.0d);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str13 = complex12.toString();
    org.apache.commons.math.complex.Complex complex15 = complex12.divide(10.0d);
    org.apache.commons.math.complex.Complex complex16 = complex12.atan();
    double d17 = complex12.getReal();
    org.apache.commons.math.complex.Complex complex18 = complex11.divide(complex12);
    org.apache.commons.math.complex.Complex complex19 = complex18.sinh();
    org.apache.commons.math.complex.Complex complex20 = complex5.multiply(complex19);
    org.apache.commons.math.complex.Complex complex21 = complex19.sin();
    org.apache.commons.math.complex.Complex complex22 = complex21.acos();
    org.apache.commons.math.complex.Complex complex24 = complex21.add(4.9E-324d);
    java.lang.String str25 = complex21.toString();
    double d26 = complex21.getReal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "(0.0, 0.0)"+ "'", str9.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "(0.0, 0.0)"+ "'", str13.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "(NaN, NaN)"+ "'", str25.equals("(NaN, NaN)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d26, Double.NaN, 0);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test371"); }


    double d1 = org.apache.commons.math.util.FastMath.ulp(3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.440892098500626E-16d);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test372"); }


    float f2 = org.apache.commons.math.util.FastMath.scalb(1.6155873E-27f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.6155873E-27f);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test373"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test374"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(0.7288857185142362d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test375"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)3.2285327801518617d);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test376"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(1.1646962223442412d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.02032778386544696d);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test377"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(17.423254322194396d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.30409315433462514d);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test378"); }


    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.valueOf(1.570796319236628d, 0.05465017068373434d);
    org.apache.commons.math.complex.Complex complex4 = complex2.divide((-0.23862835562346357d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test379"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(1.1430740456422557d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.408778794749336d);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test380"); }


    double d1 = org.apache.commons.math.util.FastMath.signum((-0.04813330024320873d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test381"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)(short)1, (java.lang.Number)32739.336271919994d, false);
    java.lang.Number number5 = numberIsTooSmallException4.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 32739.336271919994d+ "'", number5.equals(32739.336271919994d));

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test382"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.23618699012423314d, (-175.92806217526356d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.2361869901242331d);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test383"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(1.1793769339918467d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0027033202416251d);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test384"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(17.4232543221944d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test385"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.0025131448409034325d, (java.lang.Number)0.5668976131718948d, false);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test386"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.004068909791782041d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test387"); }


    int i2 = org.apache.commons.math.util.FastMath.max(2, 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2147483647);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test388"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(1.1752011936438014d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test389"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    double d6 = complex5.abs();
    org.apache.commons.math.complex.Complex complex7 = complex5.negate();
    org.apache.commons.math.complex.Complex complex9 = complex5.pow((-1.0d));
    org.apache.commons.math.complex.Complex complex10 = complex9.reciprocal();
    double d11 = complex9.getReal();
    org.apache.commons.math.complex.Complex complex12 = complex9.tan();
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str14 = complex13.toString();
    org.apache.commons.math.complex.Complex complex16 = complex13.divide(10.0d);
    org.apache.commons.math.complex.Complex complex17 = complex16.cos();
    org.apache.commons.math.complex.Complex complex19 = complex16.subtract((-1.1646962223442412d));
    org.apache.commons.math.complex.Complex complex21 = complex19.multiply(100);
    org.apache.commons.math.complex.Complex complex22 = complex12.add(complex19);
    org.apache.commons.math.complex.Complex complex23 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str24 = complex23.toString();
    org.apache.commons.math.complex.Complex complex26 = complex23.divide(10.0d);
    org.apache.commons.math.complex.Complex complex27 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str28 = complex27.toString();
    org.apache.commons.math.complex.Complex complex30 = complex27.divide(10.0d);
    org.apache.commons.math.complex.Complex complex31 = complex27.atan();
    double d32 = complex27.getReal();
    org.apache.commons.math.complex.Complex complex33 = complex26.divide(complex27);
    org.apache.commons.math.complex.Complex complex34 = complex33.sinh();
    double d35 = complex33.getArgument();
    org.apache.commons.math.complex.Complex complex36 = complex22.divide(complex33);
    org.apache.commons.math.complex.Complex complex38 = org.apache.commons.math.complex.Complex.valueOf((-1.0d));
    java.util.List list40 = complex38.nthRoot(127);
    org.apache.commons.math.complex.Complex complex41 = complex33.pow(complex38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "(0.0, 0.0)"+ "'", str14.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "(0.0, 0.0)"+ "'", str24.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "(0.0, 0.0)"+ "'", str28.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d35, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex41);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test390"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, number1, (java.lang.Number)1.0561710704371283d, false);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext5 = numberIsTooSmallException4.getContext();
    boolean b6 = numberIsTooSmallException4.getBoundIsAllowed();
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext7 = numberIsTooSmallException4.getContext();
    org.apache.commons.math.exception.util.Localizable localizable8 = null;
    org.apache.commons.math.exception.util.Localizable localizable9 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException13 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable9, (java.lang.Number)16, (java.lang.Number)2.220446049250313E-16d, false);
    java.lang.Number number14 = numberIsTooSmallException13.getArgument();
    java.lang.Number number15 = numberIsTooSmallException13.getArgument();
    java.lang.Throwable[] throwable_array16 = numberIsTooSmallException13.getSuppressed();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException17 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable8, (java.lang.Object[])throwable_array16);
    numberIsTooSmallException4.addSuppressed((java.lang.Throwable)mathIllegalArgumentException17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + 16+ "'", number14.equals(16));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + 16+ "'", number15.equals(16));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test391"); }


    double d1 = org.apache.commons.math.util.FastMath.cos(1.0684302966890729d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.48150058149362013d);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test392"); }


    double d1 = org.apache.commons.math.util.FastMath.exp((-0.822564460074651d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.43930363211479795d);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test393"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)8.368430770012559d, (java.lang.Number)32739.336271919994d, false);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test394"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    double d6 = complex5.abs();
    org.apache.commons.math.complex.Complex complex7 = complex5.negate();
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str9 = complex8.toString();
    org.apache.commons.math.complex.Complex complex11 = complex8.divide(10.0d);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str13 = complex12.toString();
    org.apache.commons.math.complex.Complex complex15 = complex12.divide(10.0d);
    org.apache.commons.math.complex.Complex complex16 = complex12.atan();
    double d17 = complex12.getReal();
    org.apache.commons.math.complex.Complex complex18 = complex11.divide(complex12);
    org.apache.commons.math.complex.Complex complex19 = complex18.sinh();
    org.apache.commons.math.complex.Complex complex20 = complex5.multiply(complex19);
    double d21 = complex5.abs();
    org.apache.commons.math.complex.Complex complex22 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str23 = complex22.toString();
    org.apache.commons.math.complex.Complex complex25 = complex22.divide(10.0d);
    org.apache.commons.math.complex.Complex complex26 = complex5.subtract(complex25);
    org.apache.commons.math.complex.Complex complex27 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str28 = complex27.toString();
    org.apache.commons.math.complex.Complex complex30 = complex27.divide(10.0d);
    org.apache.commons.math.complex.Complex complex31 = complex27.atan();
    org.apache.commons.math.complex.Complex complex32 = complex27.sqrt();
    double d33 = complex32.abs();
    org.apache.commons.math.complex.Complex complex34 = complex32.negate();
    org.apache.commons.math.complex.Complex complex36 = complex32.pow((-1.0d));
    org.apache.commons.math.complex.Complex complex37 = complex36.reciprocal();
    double d38 = complex36.getReal();
    org.apache.commons.math.complex.Complex complex39 = complex25.add(complex36);
    double d40 = complex25.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "(0.0, 0.0)"+ "'", str9.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "(0.0, 0.0)"+ "'", str13.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "(0.0, 0.0)"+ "'", str23.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "(0.0, 0.0)"+ "'", str28.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d38, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test395"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(0.2389451304912383d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.24359894913819233d);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test396"); }


    org.apache.commons.math.complex.Complex complex1 = new org.apache.commons.math.complex.Complex(0.23313135828856557d);
    org.apache.commons.math.complex.Complex complex2 = complex1.atan();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test397"); }


    double d1 = org.apache.commons.math.util.FastMath.cosh((-0.527865619301854d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1425863128946585d);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test398"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    double d6 = complex5.abs();
    org.apache.commons.math.complex.Complex complex7 = complex5.negate();
    org.apache.commons.math.complex.Complex complex9 = complex5.pow((-1.0d));
    org.apache.commons.math.complex.Complex complex10 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str11 = complex10.toString();
    org.apache.commons.math.complex.Complex complex13 = complex10.divide(10.0d);
    org.apache.commons.math.complex.Complex complex14 = complex10.atan();
    org.apache.commons.math.complex.Complex complex15 = complex9.multiply(complex10);
    org.apache.commons.math.complex.Complex complex16 = complex9.exp();
    org.apache.commons.math.complex.Complex complex17 = complex16.sinh();
    org.apache.commons.math.complex.Complex complex18 = complex16.sqrt();
    org.apache.commons.math.complex.Complex complex19 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str20 = complex19.toString();
    org.apache.commons.math.complex.Complex complex21 = complex19.tanh();
    org.apache.commons.math.complex.Complex complex23 = complex21.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex24 = complex21.sinh();
    org.apache.commons.math.complex.Complex complex25 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str26 = complex25.toString();
    org.apache.commons.math.complex.Complex complex27 = complex25.tanh();
    org.apache.commons.math.complex.Complex complex29 = complex27.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex30 = complex27.sinh();
    boolean b31 = complex24.equals((java.lang.Object)complex30);
    org.apache.commons.math.complex.Complex complex32 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str33 = complex32.toString();
    org.apache.commons.math.complex.Complex complex34 = complex32.tanh();
    org.apache.commons.math.complex.Complex complex35 = complex34.negate();
    org.apache.commons.math.complex.Complex complex36 = complex30.divide(complex35);
    org.apache.commons.math.complex.Complex complex37 = complex36.sinh();
    org.apache.commons.math.complex.Complex complex39 = complex36.subtract(5.877471754111439E-39d);
    org.apache.commons.math.complex.Complex complex40 = complex39.reciprocal();
    org.apache.commons.math.complex.Complex complex41 = complex18.multiply(complex40);
    org.apache.commons.math.complex.Complex complex42 = complex41.atan();
    double d43 = complex42.getReal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "(0.0, 0.0)"+ "'", str11.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "(0.0, 0.0)"+ "'", str20.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "(0.0, 0.0)"+ "'", str26.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "(0.0, 0.0)"+ "'", str33.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d43, Double.NaN, 0);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test399"); }


    double d2 = org.apache.commons.math.util.FastMath.log(0.9891437136247582d, (-0.9185131419535583d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test400"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.03476210625921191d, Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test401"); }


    float f2 = org.apache.commons.math.util.FastMath.min(6.776264E-21f, 5.960465E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 6.776264E-21f);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test402"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex2 = complex0.tanh();
    org.apache.commons.math.complex.Complex complex4 = complex2.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex5 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str6 = complex5.toString();
    org.apache.commons.math.complex.Complex complex8 = complex5.divide(10.0d);
    org.apache.commons.math.complex.Complex complex9 = complex5.sqrt();
    org.apache.commons.math.complex.Complex complex10 = complex9.sqrt();
    org.apache.commons.math.complex.Complex complex11 = complex4.divide(complex9);
    org.apache.commons.math.complex.Complex complex12 = complex11.cosh();
    org.apache.commons.math.complex.Complex complex14 = complex11.multiply(2.509178478658056d);
    double d15 = complex11.getImaginary();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "(0.0, 0.0)"+ "'", str6.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test403"); }


    org.apache.commons.math.complex.Complex complex2 = new org.apache.commons.math.complex.Complex(0.9573014409119268d, 0.6711409035604263d);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test404"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex2 = complex0.tanh();
    org.apache.commons.math.complex.Complex complex4 = complex2.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex5 = complex2.sinh();
    boolean b6 = complex5.isInfinite();
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str8 = complex7.toString();
    org.apache.commons.math.complex.Complex complex10 = complex7.divide(10.0d);
    org.apache.commons.math.complex.Complex complex11 = complex10.cos();
    org.apache.commons.math.complex.Complex complex12 = complex10.sin();
    org.apache.commons.math.complex.Complex complex14 = complex10.pow(155.74607629780772d);
    org.apache.commons.math.complex.Complex complex15 = complex5.add(complex10);
    org.apache.commons.math.complex.Complex complex16 = complex15.atan();
    org.apache.commons.math.complex.Complex complex17 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str18 = complex17.toString();
    org.apache.commons.math.complex.Complex complex20 = complex17.divide(10.0d);
    org.apache.commons.math.complex.Complex complex21 = complex17.atan();
    org.apache.commons.math.complex.Complex complex22 = complex17.sqrt();
    double d23 = complex22.abs();
    org.apache.commons.math.complex.Complex complex24 = complex22.negate();
    org.apache.commons.math.complex.Complex complex26 = complex22.pow((-1.0d));
    org.apache.commons.math.complex.Complex complex27 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str28 = complex27.toString();
    org.apache.commons.math.complex.Complex complex30 = complex27.divide(10.0d);
    org.apache.commons.math.complex.Complex complex31 = complex27.atan();
    org.apache.commons.math.complex.Complex complex32 = complex26.multiply(complex27);
    org.apache.commons.math.complex.Complex complex33 = complex26.exp();
    org.apache.commons.math.complex.Complex complex34 = complex16.multiply(complex26);
    org.apache.commons.math.complex.Complex complex35 = complex34.tanh();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "(0.0, 0.0)"+ "'", str8.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "(0.0, 0.0)"+ "'", str18.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "(0.0, 0.0)"+ "'", str28.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex35);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test405"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(1.0684302966890729d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.068430296689073d);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test406"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(151.4014000936201d, 1.0000000174533206d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 151.40141335858283d);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test407"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(0.9800040659875793d, 0.8414439679653114d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9800040659875792d);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test408"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(0.0d, (-0.6837835757398034d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6837835757398034d);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test409"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)1.7182818284590453d);
    boolean b3 = notPositiveException2.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test410"); }


    org.apache.commons.math.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)1.0027033202416251d);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test411"); }


    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.valueOf(1.570796319236628d, 0.05465017068373434d);
    org.apache.commons.math.complex.Complex complex4 = complex2.pow((-0.30084639334168484d));
    org.apache.commons.math.complex.Complex complex5 = complex4.reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test412"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(1.9724241318574138d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4044301804851012d);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test413"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex2 = complex0.tanh();
    org.apache.commons.math.complex.Complex complex4 = complex2.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex5 = complex2.sinh();
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str7 = complex6.toString();
    org.apache.commons.math.complex.Complex complex8 = complex6.tanh();
    org.apache.commons.math.complex.Complex complex10 = complex8.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex11 = complex8.sinh();
    boolean b12 = complex5.equals((java.lang.Object)complex11);
    org.apache.commons.math.complex.Complex complex13 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str14 = complex13.toString();
    org.apache.commons.math.complex.Complex complex15 = complex13.tanh();
    org.apache.commons.math.complex.Complex complex16 = complex15.negate();
    org.apache.commons.math.complex.Complex complex17 = complex11.divide(complex16);
    org.apache.commons.math.complex.Complex complex18 = complex16.tan();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "(0.0, 0.0)"+ "'", str7.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "(0.0, 0.0)"+ "'", str14.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test414"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    org.apache.commons.math.exception.util.Localizable localizable6 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException10 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable6, (java.lang.Number)1.0d, (java.lang.Number)1, true);
    boolean b11 = numberIsTooSmallException10.getBoundIsAllowed();
    boolean b12 = numberIsTooSmallException10.getBoundIsAllowed();
    boolean b13 = complex5.equals((java.lang.Object)numberIsTooSmallException10);
    org.apache.commons.math.exception.NotPositiveException notPositiveException15 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)0.043779429008038606d);
    org.apache.commons.math.exception.util.ExceptionContext exceptionContext16 = notPositiveException15.getContext();
    numberIsTooSmallException10.addSuppressed((java.lang.Throwable)notPositiveException15);
    java.lang.Number number18 = numberIsTooSmallException10.getArgument();
    java.lang.Number number19 = numberIsTooSmallException10.getMin();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str20 = numberIsTooSmallException10.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number18 + "' != '" + 1.0d+ "'", number18.equals(1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number19 + "' != '" + 1+ "'", number19.equals(1));

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test415"); }


    double d2 = org.apache.commons.math.util.FastMath.atan2((-0.13630860754417906d), 0.2699088553971d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.46765328831272335d));

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test416"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp(1.300371626015253E-10d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3003716260152533E-10d);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test417"); }


    org.apache.commons.math.complex.Complex complex2 = new org.apache.commons.math.complex.Complex(6.18808023963255d, 1.5687425639732988d);
    org.apache.commons.math.complex.Complex complex3 = complex2.sinh();
    org.apache.commons.math.complex.Complex complex4 = complex2.cosh();
    org.apache.commons.math.complex.Complex complex5 = complex2.reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test418"); }


    double d1 = org.apache.commons.math.util.FastMath.sqrt(0.0018307116713522018d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.04278681656015322d);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test419"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(1.6155873E-27f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test420"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.04379342597276536d, 0.11025732186481996d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7082806646801735d);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test421"); }


    double d1 = org.apache.commons.math.util.FastMath.acosh((-0.5882501498161081d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test422"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(0.3976821521352434d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test423"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(1.1435277726381747E-7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test424"); }


    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.valueOf(3.5171273209499434E-25d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test425"); }


    int i1 = org.apache.commons.math.util.FastMath.round(1.4210856E-14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test426"); }


    double d1 = org.apache.commons.math.util.FastMath.tan(1.6094379124341003d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-25.86597340317637d));

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test427"); }


    float f1 = org.apache.commons.math.util.FastMath.signum(5.0000005f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test428"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(1.1920932E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.1920933E-7f);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test429"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(2.7401365421105055d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.712269167710517d);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test430"); }


    float f2 = org.apache.commons.math.util.FastMath.min(6.776264E-21f, 0.99999994f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 6.776264E-21f);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test431"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(7.0E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 8.4E-45f);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test432"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    double d6 = complex5.abs();
    org.apache.commons.math.complex.Complex complex7 = complex5.negate();
    org.apache.commons.math.complex.Complex complex9 = complex5.pow((-1.0d));
    org.apache.commons.math.complex.Complex complex10 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str11 = complex10.toString();
    org.apache.commons.math.complex.Complex complex13 = complex10.divide(10.0d);
    org.apache.commons.math.complex.Complex complex14 = complex10.atan();
    org.apache.commons.math.complex.Complex complex15 = complex9.multiply(complex10);
    org.apache.commons.math.complex.Complex complex16 = complex9.exp();
    org.apache.commons.math.complex.Complex complex17 = complex16.sinh();
    org.apache.commons.math.complex.Complex complex18 = complex16.sqrt();
    org.apache.commons.math.complex.Complex complex19 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str20 = complex19.toString();
    org.apache.commons.math.complex.Complex complex21 = complex19.tanh();
    org.apache.commons.math.complex.Complex complex23 = complex21.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex24 = complex21.sinh();
    org.apache.commons.math.complex.Complex complex25 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str26 = complex25.toString();
    org.apache.commons.math.complex.Complex complex27 = complex25.tanh();
    org.apache.commons.math.complex.Complex complex29 = complex27.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex30 = complex27.sinh();
    boolean b31 = complex24.equals((java.lang.Object)complex30);
    org.apache.commons.math.complex.Complex complex32 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str33 = complex32.toString();
    org.apache.commons.math.complex.Complex complex34 = complex32.tanh();
    org.apache.commons.math.complex.Complex complex35 = complex34.negate();
    org.apache.commons.math.complex.Complex complex36 = complex30.divide(complex35);
    org.apache.commons.math.complex.Complex complex37 = complex36.sinh();
    org.apache.commons.math.complex.Complex complex39 = complex36.subtract(5.877471754111439E-39d);
    org.apache.commons.math.complex.Complex complex40 = complex39.reciprocal();
    org.apache.commons.math.complex.Complex complex41 = complex18.multiply(complex40);
    org.apache.commons.math.complex.Complex complex42 = complex41.atan();
    org.apache.commons.math.complex.Complex complex44 = complex42.subtract(1.4994164853475962d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "(0.0, 0.0)"+ "'", str11.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "(0.0, 0.0)"+ "'", str20.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "(0.0, 0.0)"+ "'", str26.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "(0.0, 0.0)"+ "'", str33.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex44);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test433"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.util.Localizable localizable1 = null;
    org.apache.commons.math.exception.util.Localizable localizable2 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException6 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable2, (java.lang.Number)1.0d, (java.lang.Number)1, true);
    java.lang.Throwable[] throwable_array7 = numberIsTooSmallException6.getSuppressed();
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable1, (java.lang.Object[])throwable_array7);
    org.apache.commons.math.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test434"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(0.998023154517277d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test435"); }


    double d2 = org.apache.commons.math.util.FastMath.min((-0.21774203168378856d), 0.003379716929909152d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.21774203168378856d));

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test436"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ONE;
    org.apache.commons.math.complex.Complex complex2 = complex0.divide(23.7189981105004d);
    org.apache.commons.math.complex.Complex complex3 = complex2.atan();
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str5 = complex4.toString();
    org.apache.commons.math.complex.Complex complex6 = complex4.tanh();
    org.apache.commons.math.complex.Complex complex8 = complex6.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex9 = complex2.add(complex8);
    org.apache.commons.math.complex.Complex complex10 = complex8.log();
    double d11 = complex10.getReal();
    org.apache.commons.math.complex.Complex complex12 = complex10.sinh();
    double d13 = complex12.getImaginary();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "(0.0, 0.0)"+ "'", str5.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test437"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.atan();
    org.apache.commons.math.complex.Complex complex5 = complex0.sqrt();
    double d6 = complex5.abs();
    org.apache.commons.math.complex.Complex complex7 = complex5.negate();
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str9 = complex8.toString();
    org.apache.commons.math.complex.Complex complex11 = complex8.divide(10.0d);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str13 = complex12.toString();
    org.apache.commons.math.complex.Complex complex15 = complex12.divide(10.0d);
    org.apache.commons.math.complex.Complex complex16 = complex12.atan();
    double d17 = complex12.getReal();
    org.apache.commons.math.complex.Complex complex18 = complex11.divide(complex12);
    org.apache.commons.math.complex.Complex complex19 = complex18.sinh();
    org.apache.commons.math.complex.Complex complex20 = complex5.multiply(complex19);
    org.apache.commons.math.complex.Complex complex21 = complex19.cosh();
    org.apache.commons.math.complex.Complex complex22 = complex21.exp();
    org.apache.commons.math.complex.Complex complex24 = complex21.pow(0.011567785282685778d);
    org.apache.commons.math.complex.Complex complex25 = complex24.reciprocal();
    double d26 = complex25.getImaginary();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "(0.0, 0.0)"+ "'", str9.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "(0.0, 0.0)"+ "'", str13.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d26, Double.NaN, 0);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test438"); }


    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math.exception.NumberIsTooSmallException((java.lang.Number)1.446441332248135d, (java.lang.Number)155.74607629780772d, true);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test439"); }


    long long1 = org.apache.commons.math.util.FastMath.round(0.0628021977353121d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test440"); }


    int i1 = org.apache.commons.math.util.FastMath.round(5.960466E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test441"); }


    double d1 = org.apache.commons.math.util.FastMath.asin(1.4418550724039814d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test442"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.7844087630327926d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6552299438297982d);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test443"); }


    double d2 = org.apache.commons.math.util.FastMath.copySign(8.743598617579881d, 0.1439924411155437d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 8.743598617579881d);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test444"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(572.9577951308232d, 46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.031832051015932E16d);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test445"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)303.5697911758657d, (java.lang.Number)(-2.3255682831178905d), false);
    boolean b5 = numberIsTooSmallException4.getBoundIsAllowed();
    java.lang.Throwable[] throwable_array6 = numberIsTooSmallException4.getSuppressed();
    java.lang.Number number7 = numberIsTooSmallException4.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + (-2.3255682831178905d)+ "'", number7.equals((-2.3255682831178905d)));

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test446"); }


    float f1 = org.apache.commons.math.util.FastMath.nextUp(1.6155871E-27f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.6155873E-27f);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test447"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)2.9387358770557188E-39d, (java.lang.Number)127, true);
    java.lang.Number number5 = numberIsTooSmallException4.getArgument();
    org.apache.commons.math.exception.NotPositiveException notPositiveException7 = new org.apache.commons.math.exception.NotPositiveException((java.lang.Number)1.4401410188114185d);
    java.lang.Throwable[] throwable_array8 = notPositiveException7.getSuppressed();
    numberIsTooSmallException4.addSuppressed((java.lang.Throwable)notPositiveException7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 2.9387358770557188E-39d+ "'", number5.equals(2.9387358770557188E-39d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test448"); }


    int i2 = org.apache.commons.math.util.FastMath.min(24, (-46));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-46));

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test449"); }


    float f2 = org.apache.commons.math.util.FastMath.min(1.192093E-7f, 1.0000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.192093E-7f);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test450"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.9105984992126147d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9692645075454175d);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test451"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex5 = complex3.multiply(0);
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.ZERO;
    org.apache.commons.math.complex.Complex complex7 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str8 = complex7.toString();
    org.apache.commons.math.complex.Complex complex10 = complex7.divide(10.0d);
    org.apache.commons.math.complex.Complex complex11 = complex7.sqrt();
    org.apache.commons.math.complex.Complex complex12 = complex11.sqrt();
    org.apache.commons.math.complex.Complex complex13 = complex6.pow(complex11);
    org.apache.commons.math.complex.Complex complex14 = complex3.add(complex13);
    org.apache.commons.math.complex.Complex complex15 = complex3.negate();
    org.apache.commons.math.complex.Complex complex17 = complex3.pow(0.0d);
    org.apache.commons.math.complex.Complex complex18 = complex17.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "(0.0, 0.0)"+ "'", str8.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test452"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(0.17908288213614815d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.1781392201730711d);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test453"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter(8.0d, 17.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 8.000000000000002d);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test454"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(9.498053558627486E-40d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 9.498053558627486E-40d);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test455"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex0.sqrt();
    org.apache.commons.math.complex.Complex complex5 = complex4.sqrt();
    org.apache.commons.math.complex.Complex complex6 = complex5.sinh();
    org.apache.commons.math.complex.Complex complex7 = complex5.sin();
    boolean b8 = complex7.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test456"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter((-1.3309582279179017d), (-0.5504775027817989d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.3309582279179015d));

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test457"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(0.6664521398511791d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test458"); }


    double d2 = org.apache.commons.math.util.FastMath.scalb(0.35961776867846035d, (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.1136432776842315E-39d);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test459"); }


    double d2 = org.apache.commons.math.util.FastMath.pow(0.7253056847827438d, 0.39953155391705336d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8795768104402543d);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test460"); }


    double d1 = org.apache.commons.math.util.FastMath.toRadians(472.9917067701732d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.255262617767077d);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test461"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)5.043637531419152d);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test462"); }


    double d1 = org.apache.commons.math.util.FastMath.nextUp((-9.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-8.999999999999998d));

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test463"); }


    double d1 = org.apache.commons.math.util.FastMath.signum(0.309845059984566d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test464"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.6389165189617602d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8612872910867334d);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test465"); }


    double d2 = org.apache.commons.math.util.FastMath.IEEEremainder(0.6954094186339685d, 38.025003373828866d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6954094186339685d);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test466"); }


    double d2 = org.apache.commons.math.util.FastMath.pow((-0.0443063174997841d), 0.820703123237321d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test467"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.03476210625921191d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.034748110800923694d);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test468"); }


    double d1 = org.apache.commons.math.util.FastMath.atan(1.5079075814430074d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9852179727937895d);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test469"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.INF;
    org.apache.commons.math.complex.Complex complex1 = complex0.sinh();
    org.apache.commons.math.complex.Complex complex2 = complex0.negate();
    org.apache.commons.math.complex.Complex complex4 = complex2.divide(0.7454292289988163d);
    double d5 = complex4.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-2.356194490192345d));

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test470"); }


    double d1 = org.apache.commons.math.util.FastMath.tanh(0.9936424467350886d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.758911192280214d);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test471"); }


    double d1 = org.apache.commons.math.util.FastMath.sinh(1.4426924270692643d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.9978921693482437d);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test472"); }


    double d2 = org.apache.commons.math.util.FastMath.nextAfter((-1.3309582279179015d), 1.4544251775418204d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.3309582279179013d));

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test473"); }


    org.apache.commons.math.complex.Complex complex1 = org.apache.commons.math.complex.Complex.valueOf(0.27870244104338554d);
    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str3 = complex2.toString();
    org.apache.commons.math.complex.Complex complex5 = complex2.divide(10.0d);
    org.apache.commons.math.complex.Complex complex6 = complex2.atan();
    org.apache.commons.math.complex.Complex complex7 = complex2.sqrt();
    double d8 = complex7.abs();
    org.apache.commons.math.complex.Complex complex9 = complex7.negate();
    org.apache.commons.math.complex.Complex complex11 = complex7.pow((-1.0d));
    org.apache.commons.math.complex.Complex complex12 = complex11.reciprocal();
    org.apache.commons.math.complex.Complex complex14 = complex12.multiply(0.0d);
    org.apache.commons.math.complex.Complex complex15 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str16 = complex15.toString();
    org.apache.commons.math.complex.Complex complex18 = complex15.divide(10.0d);
    org.apache.commons.math.complex.Complex complex19 = complex18.cos();
    org.apache.commons.math.complex.Complex complex20 = complex18.sin();
    org.apache.commons.math.complex.Complex complex22 = complex18.pow(155.74607629780772d);
    org.apache.commons.math.complex.Complex complex23 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str24 = complex23.toString();
    org.apache.commons.math.complex.Complex complex26 = complex23.divide(10.0d);
    org.apache.commons.math.complex.Complex complex27 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str28 = complex27.toString();
    org.apache.commons.math.complex.Complex complex30 = complex27.divide(10.0d);
    org.apache.commons.math.complex.Complex complex31 = complex27.atan();
    double d32 = complex27.getReal();
    org.apache.commons.math.complex.Complex complex33 = complex26.divide(complex27);
    org.apache.commons.math.complex.Complex complex34 = complex33.sinh();
    org.apache.commons.math.complex.Complex complex35 = complex22.divide(complex33);
    org.apache.commons.math.complex.Complex complex36 = complex12.add(complex35);
    org.apache.commons.math.complex.Complex complex37 = complex36.negate();
    org.apache.commons.math.complex.Complex complex38 = complex37.negate();
    org.apache.commons.math.complex.Complex complex39 = complex1.pow(complex38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "(0.0, 0.0)"+ "'", str3.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "(0.0, 0.0)"+ "'", str16.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "(0.0, 0.0)"+ "'", str24.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "(0.0, 0.0)"+ "'", str28.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex39);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test474"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex2 = complex0.tanh();
    org.apache.commons.math.complex.Complex complex4 = complex0.divide(1.5687425639732988d);
    org.apache.commons.math.complex.Complex complex5 = complex4.sqrt1z();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test475"); }


    double d1 = org.apache.commons.math.util.FastMath.expm1(0.27870244104338554d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.32141408676694017d);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test476"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex2 = complex0.tanh();
    org.apache.commons.math.complex.Complex complex4 = complex2.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex5 = complex2.sinh();
    org.apache.commons.math.complex.Complex complex6 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str7 = complex6.toString();
    org.apache.commons.math.complex.Complex complex8 = complex6.tanh();
    org.apache.commons.math.complex.Complex complex10 = complex8.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex11 = complex8.sinh();
    boolean b12 = complex5.equals((java.lang.Object)complex11);
    java.lang.String str13 = complex5.toString();
    double d14 = complex5.getReal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "(0.0, 0.0)"+ "'", str7.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "(0.0, 0.0)"+ "'", str13.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test477"); }


    double d1 = org.apache.commons.math.util.FastMath.log1p(1.0398853009457363d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7128935812488391d);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test478"); }


    double d1 = org.apache.commons.math.util.FastMath.ceil(303.5697911758657d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 304.0d);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test479"); }


    org.apache.commons.math.complex.Complex complex2 = new org.apache.commons.math.complex.Complex(2.482258551879637d, (-0.396162691828034d));
    org.apache.commons.math.complex.Complex complex3 = complex2.sqrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test480"); }


    float f2 = org.apache.commons.math.util.FastMath.max(3.0092658E-35f, 3.009266E-35f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 3.009266E-35f);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test481"); }


    double d2 = org.apache.commons.math.util.FastMath.hypot(1.1233820640473444d, (-0.9027204557178798d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4411424228697067d);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test482"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str5 = complex4.toString();
    org.apache.commons.math.complex.Complex complex7 = complex4.divide(10.0d);
    org.apache.commons.math.complex.Complex complex8 = complex4.atan();
    double d9 = complex4.getReal();
    org.apache.commons.math.complex.Complex complex10 = complex3.divide(complex4);
    double d11 = complex3.getArgument();
    org.apache.commons.math.complex.Complex complex12 = complex3.sqrt();
    org.apache.commons.math.complex.Complex complex13 = complex3.cos();
    org.apache.commons.math.complex.Complex complex14 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str15 = complex14.toString();
    org.apache.commons.math.complex.Complex complex17 = complex14.divide(10.0d);
    org.apache.commons.math.complex.Complex complex18 = complex14.atan();
    org.apache.commons.math.complex.Complex complex19 = complex14.sqrt();
    double d20 = complex19.abs();
    org.apache.commons.math.complex.Complex complex21 = complex19.negate();
    org.apache.commons.math.complex.Complex complex23 = complex19.pow((-1.0d));
    org.apache.commons.math.complex.Complex complex24 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str25 = complex24.toString();
    org.apache.commons.math.complex.Complex complex27 = complex24.divide(10.0d);
    org.apache.commons.math.complex.Complex complex28 = complex24.atan();
    org.apache.commons.math.complex.Complex complex29 = complex23.multiply(complex24);
    org.apache.commons.math.complex.Complex complex30 = complex23.exp();
    org.apache.commons.math.complex.Complex complex31 = complex30.sinh();
    org.apache.commons.math.complex.Complex complex32 = complex30.sqrt();
    org.apache.commons.math.complex.Complex complex33 = complex3.divide(complex32);
    org.apache.commons.math.complex.Complex complex34 = complex3.reciprocal();
    org.apache.commons.math.complex.Complex complex35 = complex34.asin();
    org.apache.commons.math.complex.Complex complex36 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str37 = complex36.toString();
    org.apache.commons.math.complex.Complex complex38 = complex36.tanh();
    org.apache.commons.math.complex.Complex complex40 = complex38.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex41 = complex38.sinh();
    boolean b42 = complex41.isInfinite();
    org.apache.commons.math.complex.Complex complex43 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str44 = complex43.toString();
    org.apache.commons.math.complex.Complex complex46 = complex43.divide(10.0d);
    org.apache.commons.math.complex.Complex complex47 = complex46.cos();
    org.apache.commons.math.complex.Complex complex48 = complex46.sin();
    org.apache.commons.math.complex.Complex complex50 = complex46.pow(155.74607629780772d);
    org.apache.commons.math.complex.Complex complex51 = complex41.add(complex46);
    org.apache.commons.math.complex.Complex complex53 = complex41.divide(1.0E10d);
    org.apache.commons.math.complex.Complex complex54 = complex35.multiply(complex41);
    org.apache.commons.math.complex.Complex complex56 = complex35.subtract((-0.396162691828034d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "(0.0, 0.0)"+ "'", str5.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "(0.0, 0.0)"+ "'", str15.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "(0.0, 0.0)"+ "'", str25.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "(0.0, 0.0)"+ "'", str37.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "(0.0, 0.0)"+ "'", str44.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex56);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test483"); }


    double d1 = org.apache.commons.math.util.FastMath.rint((-0.9111302618846769d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test484"); }


    org.apache.commons.math.complex.Complex complex2 = org.apache.commons.math.complex.Complex.valueOf(0.6711409035604262d, 6.188080239632552d);
    org.apache.commons.math.complex.Complex complex3 = complex2.cos();
    org.apache.commons.math.complex.Complex complex4 = complex3.cos();
    boolean b5 = complex3.isInfinite();
    org.apache.commons.math.complex.Complex complex6 = complex3.conjugate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex6);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test485"); }


    double d1 = org.apache.commons.math.util.FastMath.cbrt(0.9015687974747479d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9660500431571678d);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test486"); }


    double d1 = org.apache.commons.math.util.FastMath.log10((-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test487"); }


    double d1 = org.apache.commons.math.util.FastMath.abs(0.3976821521352434d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.3976821521352434d);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test488"); }


    org.apache.commons.math.exception.util.Localizable localizable0 = null;
    org.apache.commons.math.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math.exception.NotPositiveException(localizable0, (java.lang.Number)100.0d);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str3 = notPositiveException2.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test489"); }


    double d1 = org.apache.commons.math.util.FastMath.rint(0.9954535513251116d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test490"); }


    double d2 = org.apache.commons.math.util.FastMath.min(0.0d, 1.2352049125074833d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test491"); }


    double d1 = org.apache.commons.math.util.FastMath.asinh(0.9800040659875792d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8671634108072467d);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test492"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex2 = complex0.tanh();
    org.apache.commons.math.complex.Complex complex4 = complex2.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex5 = complex2.sinh();
    boolean b6 = complex5.isInfinite();
    boolean b7 = complex5.isNaN();
    org.apache.commons.math.complex.Complex complex9 = complex5.divide(1293.9845497873412d);
    org.apache.commons.math.complex.Complex complex10 = complex5.sinh();
    org.apache.commons.math.complex.Complex complex11 = complex10.cos();
    org.apache.commons.math.complex.Complex complex12 = complex11.sqrt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test493"); }


    float f1 = org.apache.commons.math.util.FastMath.abs(5.6E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 5.6E-45f);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test494"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex2 = complex0.tanh();
    org.apache.commons.math.complex.Complex complex4 = complex2.pow(303.5697911758657d);
    org.apache.commons.math.complex.Complex complex5 = complex2.sinh();
    boolean b6 = complex5.isInfinite();
    boolean b7 = complex5.isNaN();
    double d8 = complex5.abs();
    org.apache.commons.math.complex.Complex complex10 = complex5.add((-9.34654443509748d));
    org.apache.commons.math.complex.Complex complex11 = complex10.negate();
    org.apache.commons.math.complex.Complex complex12 = complex10.log();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test495"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.NaN;
    double d1 = complex0.getArgument();
    org.apache.commons.math.complex.Complex complex2 = complex0.sqrt1z();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex2);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test496"); }


    org.apache.commons.math.complex.Complex complex1 = new org.apache.commons.math.complex.Complex((-0.6792955392460595d));

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test497"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(3.1318260070825197d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 22.91578574868886d);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test498"); }


    int i1 = org.apache.commons.math.util.FastMath.getExponent(0.8350496134445521d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test499"); }


    double d1 = org.apache.commons.math.util.FastMath.exp(0.5638901133613027d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7574960784218994d);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test500"); }


    org.apache.commons.math.complex.Complex complex0 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str1 = complex0.toString();
    org.apache.commons.math.complex.Complex complex3 = complex0.divide(10.0d);
    org.apache.commons.math.complex.Complex complex4 = complex3.cos();
    org.apache.commons.math.complex.Complex complex5 = complex3.sin();
    org.apache.commons.math.complex.Complex complex7 = complex3.pow(155.74607629780772d);
    org.apache.commons.math.complex.Complex complex8 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str9 = complex8.toString();
    org.apache.commons.math.complex.Complex complex11 = complex8.divide(10.0d);
    org.apache.commons.math.complex.Complex complex12 = org.apache.commons.math.complex.Complex.ZERO;
    java.lang.String str13 = complex12.toString();
    org.apache.commons.math.complex.Complex complex15 = complex12.divide(10.0d);
    org.apache.commons.math.complex.Complex complex16 = complex12.atan();
    double d17 = complex12.getReal();
    org.apache.commons.math.complex.Complex complex18 = complex11.divide(complex12);
    org.apache.commons.math.complex.Complex complex19 = complex18.sinh();
    org.apache.commons.math.complex.Complex complex20 = complex7.divide(complex18);
    org.apache.commons.math.complex.Complex complex21 = complex20.exp();
    org.apache.commons.math.complex.Complex complex22 = complex21.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "(0.0, 0.0)"+ "'", str1.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "(0.0, 0.0)"+ "'", str9.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "(0.0, 0.0)"+ "'", str13.equals("(0.0, 0.0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(complex22);

  }

}
